cups (2.2.9-3) unstable; urgency=medium

  * debian/control cleanup:
    - Refresh thanks to `cme fix dpkg-control`
    - Drop xpp suggest
    - Bump S-V to 4.2.1 without changes needed

  * Replace revert with upstream patch to fix `lpadmin -E` regression
    (Issue #5440)

 -- Didier Raboud <odyx@debian.org>  Wed, 05 Dec 2018 22:45:00 +0100

cups (2.2.9-2) unstable; urgency=medium

  * Revert 2.2.9 lpadmin fixes to circumvent 2.2.9 regression revealed
    by autopkgtest, see https://github.com/apple/cups/issues/5440

 -- Didier Raboud <odyx@debian.org>  Mon, 19 Nov 2018 21:53:01 +0100

cups (2.2.9-1) unstable; urgency=medium

  * New 2.2.9 upstream release
    - Remove libcups{cgi1,mime1,ppdc1} packages as they are not built
      anymore upstream

 -- Didier Raboud <odyx@debian.org>  Fri, 16 Nov 2018 21:35:17 +0100

cups (2.2.8-5) unstable; urgency=high

  * CVE-2018-6553: Fix AppArmor cupsd sandbox bypass due to use of hard links
    (Closes: #903605)
  * All these were fixed in 2.2.8:
    - CVE-2018-4180 Local Privilege Escalation to Root in dnssd Backend
      (CUPS_SERVERBIN)
    - CVE-2018-4181 Limited Local File Reads as Root via cupsd.conf Include
      Directive
    - CVE-2018-4182 cups-exec Sandbox Bypass Due to Insecure Error Handling
    - CVE-2018-4183 cups-exec Sandbox Bypass Due to Profile Misconfiguration

 -- Didier Raboud <odyx@debian.org>  Thu, 12 Jul 2018 18:48:48 +0200

cups (2.2.8-4) unstable; urgency=medium

  * Backport upstream patches:
    - Fix A4 crash in Epson 24-pin driver (Closes: #901860)

 -- Didier Raboud <odyx@debian.org>  Tue, 03 Jul 2018 07:18:20 +0200

cups (2.2.8-3) unstable; urgency=medium

  * Renumber first 2.2.8 upload as 2.2.8-1; skip -2.
  * Drop the "Generalize the input validation of some kinds of attributes."
    revert in favour of "Fix regressions in ippValidateAttribute" from upstream

 -- Didier Raboud <odyx@debian.org>  Mon, 11 Jun 2018 19:34:03 +0200

cups (2.2.8-1) unstable; urgency=medium

  * New upstream 2.2.8 release
    - The scheduler allowed environment variables to be specified in the
      `cupsd.conf` file

  [ Didier Raboud ]
  * Revert "Generalize the input validation of some kinds of attributes."
    Fixes FTBFS on 2.2.8, see https://github.com/apple/cups/issues/5322
  * Manpage refresh after 2.2.8

  [ Helge Kreutzmann ]
  * Update German man page (2193t)

 -- Didier Raboud <odyx@debian.org>  Fri, 08 Jun 2018 14:54:46 +0200

cups (2.2.7-5) unstable; urgency=medium

  [ Jean-Paul Guillonneau ]
  * Update French man page (2185t2f) (Closes: #897406)

  [ Didier Raboud ]
  * Manpage refresh after 2.2.7

 -- Didier Raboud <odyx@debian.org>  Wed, 16 May 2018 23:32:28 +0200

cups (2.2.7-4) unstable; urgency=medium

  [ Helge Kreutzmann ]
  * Update German man page (2187t)

  [ Didier Raboud ]
  * Backport an upstream fix:
    - Allow cupsd daemon to exit on idle (Closes: #898745)

 -- Didier Raboud <odyx@debian.org>  Wed, 16 May 2018 21:16:04 +0200

cups (2.2.7-3) unstable; urgency=medium

  * Backport an upstream fix:
    - Fix another CUPS-Create-Local-Printer crash (Issue #5290)

 -- Didier Raboud <odyx@debian.org>  Wed, 11 Apr 2018 17:05:27 +0200

cups (2.2.7-2) unstable; urgency=medium

  * Autopkgtest: blacklist the now-deprecated 'raw' queues (Closes: #894643)

 -- Didier Raboud <odyx@debian.org>  Tue, 03 Apr 2018 08:51:54 +0200

cups (2.2.7-1) unstable; urgency=medium

  * New 2.2.7 upstream release
    - NOTICE: Raw print queues are now deprecated (Issue #5269)
    - Fixed an Avahi crash bug in the scheduler (Issue #5268, LP: #1725749)
    - Systemd did not restart cupsd when configuration changes were made that
      required a restart (Issue #5263. Closes: #861470)
    - The scheduler could crash while adding an IPP Everywhere printer (Issue
      #5258, LP: #1750514)
    - The `lp` and `lpr` commands now provide better error messages when the
      default printer cannot be found (Issue #5096, Closes: #870463)
   * Add cupsHashString@Base 2.2.7 symbol
   * Add lintian override for cups.service WantedBy=printer.target

 -- Didier Raboud <odyx@debian.org>  Tue, 27 Mar 2018 19:45:49 +0200

cups (2.2.6-5) unstable; urgency=medium

  * Bump S-V to 4.1.3 without changes needed
  * Update Vcs-* fields for the move to salsa.d.o

 -- Didier Raboud <odyx@debian.org>  Sat, 10 Feb 2018 11:14:39 +0100

cups (2.2.6-4) unstable; urgency=medium

  * Fix CI: indexv[3,4] Braille drivers cannot print PDF

 -- Didier Raboud <odyx@debian.org>  Sun, 31 Dec 2017 11:35:12 +0100

cups (2.2.6-3) unstable; urgency=medium

  [ Helge Kreutzmann ]
  * Update German man page translations

  [ Didier Raboud ]
  * Bump S-V to 4.1.2 without changes needed
  * Remove trailing whitespace in d/control and d/changelog
  * Drop duplicate priority field for cups-bsd

 -- Didier Raboud <odyx@debian.org>  Mon, 18 Dec 2017 21:52:25 +0100

cups (2.2.6-2) unstable; urgency=medium

  * Backport upstream patch from the 2.3 branch:
    - The `lp` and `lpr` commands now provide better error messages when the
      default printer cannot be found (Issue #5096, Closes: #870463)
  * On the repository: reduce the diff to the upstream tarball to zero to
    allow uploads with dgit.

 -- Didier Raboud <odyx@debian.org>  Fri, 03 Nov 2017 12:55:53 +0100

cups (2.2.6-1) unstable; urgency=medium

  * New 2.2.6 upstream release
    - DBUS notifications could crash the scheduler (Issue #5143)
    - Added USB quirks rules for Canon MP540 and Samsung ML-2160 (Issue #5148)
    - Localization updates (Issue #5152)

  * Update manpage translations
  * Fix DEB_HOST_ARCH_OS dpkg-architecture variable setting
  * Move source local-options to options

 -- Didier Raboud <odyx@debian.org>  Thu, 02 Nov 2017 17:54:53 +0100

cups (2.2.5-2) unstable; urgency=medium

  [ Helge Kreutzmann ]
    * Update German man page translations

 -- Didier Raboud <odyx@debian.org>  Tue, 17 Oct 2017 08:43:33 +0200

cups (2.2.5-1) unstable; urgency=medium

  * New 2.2.5 upstream release
    - The scheduler now creates a PID file when not running on demand with a
      modern service launcher (Issue #5080)
    - The CUPS library did not reuse domain sockets
      (Issue #5098, Closes: #868316)

  [ Didier Raboud ]
  * Patches rework:
    - Drop Debian-specific pidfile patch
    - Drop the 8 patches which were backported from upstream:
      - The `cupsGetDests` function incorrectly returned an empty list of
        printers if there was no default printer (Issue #5046)
      - Workaround for wrong resolution in PPD Generator for driverless
        printing setup
      - Fix an Avahi-related crash bug in the scheduler (Issues #5085 & #5086)
      - The CUPS library did not reuse domain sockets (Issue #5098)
      - Fix the interactions between the "print-quality" and "cupsPrintQuality"
        options (Issue #5090)
      - Fix mapping and defaulting of print-quality/cupsPrintQuality
        (Issue #5090)
      - Fix for resolution list sorting in the PPD generator which caused
        segfaults when generating PPDs for driverless printing.
      - The scheduler (incorrectly) woke up once per second to remove stale
        temporary queues (Issue #5100)

  * Stop symlinking the ssl-cert snakeoil certificates, CUPS will generate them
    on-demand (with a different name)
  * Drop superfluous autotools-dev B-D
  * Let cups-bsd suggest one compatible inet server: inetutils-inetd
    (Closes: #676472)
  * Refresh manpage translations
  * Make cups-bsd priority optional, as 'extra' is deprecated

  [ intrigeri ]
  * AppArmor: allow dac_read_search, now needed on top of dac_override
    (Closes: #872817)

 -- Didier Raboud <odyx@debian.org>  Sat, 14 Oct 2017 13:38:50 +0200

cups (2.2.4-9) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBS; fix manpage-translations.patch (Closes: #878326)

 -- Didier Raboud <odyx@debian.org>  Fri, 13 Oct 2017 10:32:32 +0200

cups (2.2.4-8) unstable; urgency=medium

  [ Didier Raboud ]
  * Drop superfluous dh-systemd Build-Depend
  * Drop --with autotools_dev and autotools-dev B-D, as these are in the
    default dh sequence in compat 10

  [ Till Kamppeter ]
  * test-drivers script of autopkgtest for breakage with cups-filters 1.17.6
    and later: skip gen-brf.ppd and gen-ubrl.ppd as these are test/debug PPD
    for Braille embossers which do not accept PDF as input format

 -- Didier Raboud <odyx@debian.org>  Tue, 10 Oct 2017 13:21:37 +0200

cups (2.2.4-7) unstable; urgency=medium

  [ Till Kamppeter ]
  * Backport upstream fixes:
    - Fix the interactions between the "print-quality" and "cupsPrintQuality"
      options (Issue #5090)
    - Fix mapping and defaulting of print-quality/cupsPrintQuality (Issue #5090)
    - Fix for resolution list sorting in the PPD generator which caused
      segfaults when generating PPDs for driverless printing
    - The scheduler (incorrectly) woke up once per second to remove stale
      temporary queues (Issue #5100)

 -- Didier Raboud <odyx@debian.org>  Wed, 13 Sep 2017 18:53:20 +0200

cups (2.2.4-6) unstable; urgency=medium

  [ intrigeri ]
  * AppArmor: allow dac_read_search, now needed on top of dac_override
    (Closes: #872817)

 -- Didier Raboud <odyx@debian.org>  Mon, 04 Sep 2017 09:22:26 +0200

cups (2.2.4-5) unstable; urgency=medium

  * Backport one upstream patch, thanks to Christoph Pleger
    - The CUPS library did not reuse domain sockets
      (Issue #5098, Closes: #868316)

 -- Didier Raboud <odyx@debian.org>  Tue, 29 Aug 2017 09:21:15 +0200

cups (2.2.4-4) unstable; urgency=low

  * Backport two upstream patches, thanks to Till Kamppeter
    - The IPP Everywhere PPD generator now sorts the supported resolutions
      before choosing them for draft, normal, and best quality modes
      (Issue #5091)
    - Fix an Avahi-related crash bug in the scheduler
      (Issues #5085 & #5086)

 -- Didier Raboud <odyx@debian.org>  Mon, 28 Aug 2017 19:32:14 +0200

cups (2.2.4-3) unstable; urgency=medium

  [ Helge Kreutzmann ]
  * Update German man page translations

 -- Didier Raboud <odyx@debian.org>  Fri, 21 Jul 2017 15:00:58 +0200

cups (2.2.4-2) unstable; urgency=low

  * Cleanup patch suite to come closer to upstream:
    - Remove IPP backend from CUPS 1.4
    - Remove cupsd upstart support
    - Remove a test weakening for mips
    - Remove libcupsppdc dynamic linking for mipsen
  * Don't install the ipp14 backend
  * Drop all postinst code managing versions before the current oldoldstable
    (wheezy, 1.5.3-5)
  * Drop all postinst code managing versions before the current oldstable
    (jessie, 1.7.5-11)
  * Drop the Ubuntu-specific upstart patches and files
  * Drop Launchpad PNG_PKG_MANGLE workaround
  * Drop two unused lintian overrides
  * Allow parallel builds
  * Backport upstream patch:
    - The `cupsGetDests` function incorrectly returned an empty list of
      printers if there was no default printer (Issue #5046, Closes: #867818)

  [ Vangelis Skarmoutsos ]
  * Add Greek translation for debconf templates (Closes: #867339)

 -- Didier Raboud <odyx@debian.org>  Mon, 10 Jul 2017 21:23:54 +0200

cups (2.2.4-1) unstable; urgency=medium

  * New 2.2.4 upstream release

  * Cope with upstream documentation format change to markdown
  * Migrate to debhelper compat 10
  * Add two new libcups2 symbols
  * Lintian overrides updates:
    - Update cups' override for the non-standard-executable-perm usb
      backend
    - Add source override for the libcups{,image}2-dev circular
      dependency
  * Make libcupsimage2-dev Multi-Arch: same
  * Bump Standards-Version to 4.0.0
    - Make sure to update config.{sub,guess} at build time

 -- Didier Raboud <odyx@debian.org>  Wed, 05 Jul 2017 21:45:48 +0200

cups (2.2.3-2) unstable; urgency=low

  * Migrate 2.2.3 to unstable

 -- Didier Raboud <odyx@debian.org>  Sun, 18 Jun 2017 16:24:03 +0200

cups (2.2.3-1) experimental; urgency=medium

  * New 2.2.3 upstream release
  * Cherry-pick upstream fix for regression in job file preservation

 -- Didier Raboud <odyx@debian.org>  Tue, 18 Apr 2017 21:24:32 +0200

cups (2.2.2-2) experimental; urgency=medium

  * Use /run instead of /var/run everywhere meaningful
    (Closes: #858341)
    * /run/cups:
      - in debian/rules; pass --with-rundir=/run/cups
      - update cups.init
    * /run/cups/cupsd.pid:
      - update cups.init
      - update pidfile.patch
    * /run/cups/printcap:
      - in debian/rules; update --with-printcap
      - update cups-daemon postinst
    * /run/cups/cups.sock:
      - update cups postinst and postrm for the lpadmin calls
      - update the autopkgtest for the lpadmin call
      - update the libcups2 example script
      - update the upstart script
    * /run/cups/certs:
      - update cups.init
      - update the upstart script
    Thanks-To: Russell Coker <russell@coker.com.au>

   [ Jamie Strandboge ]
   * Update debian/local/apparmor-profile (Closes: #858571)
      - allow cupsd and cups-pdf to communicate via Unix sockets (LP: #1675503)
      - adjust cups-pdf log location
      - allow cups-pdf to read /etc/cups/ppd/*.ppd
      - silence noisy denials for cupsd occasionally trying to send signals to
        unconfined
      - allow capability wake_alarm (seen in LP: 1641985)

 -- Didier Raboud <odyx@debian.org>  Thu, 23 Mar 2017 22:32:26 +0100

cups (2.2.2-1) experimental; urgency=medium

  * New 2.2.2 upstream release
  * Refresh manpage translations
  * dpkg-source: update extend-diff-ignore to cope with the difference between
    upstream's VCS and tarball

 -- Didier Raboud <odyx@debian.org>  Wed, 18 Jan 2017 13:48:47 +0100

cups (2.2.1-56-ga2f30a72f-1) experimental; urgency=medium

  * New 2.2.1+ upstream snapshot
    - Updated systemd config files (Issue #4935)

  [ Didier Raboud ]
  * Merge 2.2.1-5 from unstable

  [ Till Kamppeter ]
  * Updated debian/control: CUPS does not support PPD-less printing any
    more, we do driverless printing instead

 -- Didier Raboud <odyx@debian.org>  Sun, 15 Jan 2017 15:00:04 +0100

cups (2.2.1-46-g10887d272-2) experimental; urgency=medium

  * Merge 2.2.1-4 from unstable.

 -- Didier Raboud <odyx@debian.org>  Tue, 20 Dec 2016 09:16:41 +0100

cups (2.2.1-46-g10887d272-1) experimental; urgency=medium

  * New 2.2.1+ upstream snapshot
    - Fix assymetric resolutions in IPP Everywhere and Apple Raster
      (Closes: #848164)

 -- Didier Raboud <odyx@debian.org>  Fri, 16 Dec 2016 14:28:04 +0100

cups (2.2.1-41-g49c592936-1) experimental; urgency=medium

  * New 2.2.1+ upstream snapshot

 -- Didier Raboud <odyx@debian.org>  Fri, 09 Dec 2016 09:57:28 +0100

cups (2.2.1-8) unstable; urgency=medium

  [ JP Guillonneau ]
  * French manpages translation update (Closes: #852662)

 -- Didier Raboud <odyx@debian.org>  Tue, 31 Jan 2017 08:00:49 +0100

cups (2.2.1-6) unstable; urgency=medium

  * Cherry-pick three more upstream fixes:
    - Add a USB quirk rule for the Kyocera Ecosys P6026cdn (Issue #4900)
    - Fix rastertopwg line offset bug (Issue #4942)
    - Fix Russian localization bug (Issue #4946)

 -- Didier Raboud <odyx@debian.org>  Wed, 18 Jan 2017 14:06:44 +0100

cups (2.2.1-5) unstable; urgency=medium

  * Cherry-pick and adapt upstream's systemd configuration update to ensure
    clean shutdown of CUPS (LP: #1642966)

 -- Didier Raboud <odyx@debian.org>  Wed, 11 Jan 2017 09:44:52 +0100

cups (2.2.1-4) unstable; urgency=medium

  [ Didier Raboud ]
  * Cleanup the cups debconf questions from 'parallel' leftovers
    (Closes: #848718)

  [ intrigeri ]
  * AppArmor profile: support merged-/usr (Closes: #846868)

 -- Didier Raboud <odyx@debian.org>  Tue, 20 Dec 2016 08:58:02 +0100

cups (2.2.1-3) unstable; urgency=low

  [ Helge Kreutzmann ]
  * Update German man page

 -- Didier Raboud <odyx@debian.org>  Fri, 16 Dec 2016 13:19:49 +0100

cups (2.2.1-2) unstable; urgency=medium

  [ Helge Kreutzmann ]
  * Several fixes to german manpages due to proofreading on
    debian-l10n-german

 -- Didier Raboud <odyx@debian.org>  Thu, 03 Nov 2016 09:26:32 +0100

cups (2.2.1-1) unstable; urgency=medium

  * New 2.2.1 upstream release
    - Updated man pages (PR #4885, Closes: #838854)

  [ Helge Kreutzmann ]
  * Update German man page

  [ Didier Raboud ]
  * Demote libcupsfilters{1,-dev} dependencies to recommends (Closes: #711697)
  * Remove lsb Depends from cups, bump cups-daemon's to 3.2-14~

  [ Helmut Grohne ]
  * Fix FTCBFS (Closes: #837936)
    - Build mantohtml with the build architecture compiler
    - Do not execute genstrings during build

 -- Didier Raboud <odyx@debian.org>  Wed, 05 Oct 2016 11:32:06 +0200

cups (2.2.0-2) unstable; urgency=medium

  * Backport upstream patch to handle partial failures when connecting
    (Closes: #838434)

 -- Didier Raboud <odyx@debian.org>  Wed, 21 Sep 2016 09:30:58 +0200

cups (2.2.0-1) unstable; urgency=medium

  * New 2.2.0 upstream release
    - http*Connect did not work on Linux when cupsd was not running
      (Issue #4870)

  [ Helge Kreutzmann ]
  * Several fixes due to proofreading on debian-l10n-german

  [ Didier Raboud ]
  * Update the manpage-po4a README

 -- Didier Raboud <odyx@debian.org>  Mon, 19 Sep 2016 16:29:10 +0200

cups (2.2~rc1-5) experimental; urgency=medium

  * In tests, use variable test-environment directory CUPS_TESTBASE, thanks to
    Santiago Vila for the hint.
  * Patches:
    - Drop now-unneeded 'tests-use-cupsfilters.patch' patch
    - Refresh some patch titles
    - Rename Ubuntu-specific patches' directory to debian/patches-ubuntu to
      avoid wrong deletions when using git-dpm update-patches
  * Remove now-unneeded cups-filters from Build-Depends

 -- Didier Raboud <odyx@debian.org>  Tue, 30 Aug 2016 14:40:09 +0200

cups (2.2~rc1-4) experimental; urgency=medium

  * Revert unintentional Ubuntu patches removal; refresh them

 -- Didier Raboud <odyx@debian.org>  Sun, 14 Aug 2016 16:26:04 +0200

cups (2.2~rc1-3) experimental; urgency=medium

  [ Jeremy Bicha ]
  * Add libcups2-dev dependency on libcupsimage2-dev, as ppd.h includes raster.h
    (Closes: #833889)

 -- Didier Raboud <odyx@debian.org>  Thu, 11 Aug 2016 15:51:20 +0200

cups (2.2~rc1-2) experimental; urgency=medium

  * Add patch to ignore the 'Unable to write uncompressed print data: Broken
    pipe' error on kfreebsd
  * Initialize git-dpm; reword most patch descriptions from the original
    commits

 -- Didier Raboud <odyx@debian.org>  Tue, 09 Aug 2016 19:09:58 +0200

cups (2.2~rc1-1) experimental; urgency=medium

  * New 2.2~rc1 upstream release
  * Refresh patches

 -- Didier Raboud <odyx@debian.org>  Mon, 08 Aug 2016 20:35:24 +0200

cups (2.2~b2-1) experimental; urgency=low

  * New 2.2b2 upstream release

  * Patches:
    - Refresh all
    - Drop the wrong fix for #2763
    - Udate patch to use the ipv4's 127.0.0.1 instead of localhost to also
      patch the ipp:// shared printer URL, that fixes the tests
    - Add patch to revert the addition of pdftourf usage in the test-suite
  * Refresh manpage translations
  * Rewrite debian/watch following the new upstream schema

 -- Didier Raboud <odyx@debian.org>  Fri, 05 Aug 2016 23:36:28 +0200

cups (2.1.4-4) unstable; urgency=medium

  * Patch a final lpstat call to really make the build reproducible when built
    in italian

 -- Didier Raboud <odyx@debian.org>  Mon, 11 Jul 2016 13:19:05 +0200

cups (2.1.4-3) unstable; urgency=low

  * Change the default ErrorPolicy from 'stop-printer' to 'retry-job'
    - Update documentation, manpage and manpage translations
    - Add a cups-daemon NEWS entry
    (Closes: #631025)
  * Patch another lpstat call to also make the build reproducible when built in
    italian

 -- Didier Raboud <odyx@debian.org>  Thu, 07 Jul 2016 16:43:34 +0200

cups (2.1.4-2) unstable; urgency=medium

  [ Helge Kreutzmann ]
  * Update German man page (2118t3f1u)

  [ Didier Raboud ]
  * Add patch to force LC_ALL=C on lpstat when grepping its output for
    Description; should fix the FTBFS on forced-languages reproducible builds
    environments

 -- Didier Raboud <odyx@debian.org>  Sun, 03 Jul 2016 11:35:21 +0200

cups (2.1.4-1) unstable; urgency=medium

  * New 2.1.4 upstream release

  * Update debian/watch to check for new releases on GitHub
  * Remove 3 patches backported from upstream, refresh some
  * Refresh manpage translations

 -- Didier Raboud <odyx@debian.org>  Fri, 17 Jun 2016 09:45:39 +0200

cups (2.1.3-6) unstable; urgency=medium

  [ Till Kamppeter ]
  * De-activate CUPS web interface when the files for it are not installed.
    This allows for auto-shutdown on mobile device installations.
  * Make CUPS with the Upstart support patch (Ubuntu-only) also build on
    ubuntuBSD (LP: #1582002)

  [ Helge Kreutzmann ]
  * Update German translation

  [ Didier Raboud ]
  * Backport upstream-included patch to fix malformed device-id for printers
    found by dnssd, thanks to Laurent Bigonville.
  * Bump S-V to 3.9.8 without changes needed
  * Drop duplicate 'using' word in libcups2's README.Debian

 -- Didier Raboud <odyx@debian.org>  Wed, 08 Jun 2016 21:43:14 +0200

cups (2.1.3-5) unstable; urgency=medium

  * Automatically generate debug package, B-D against debhelper >= 9.20160114
  * Convert homepage and Vcs-Browser to https urls
  * Drop the patch to allow auto-shutdown on idle with active web interface,
    this induces a regression for web-interface users (Closes: #816490)

 -- Didier Raboud <odyx@debian.org>  Fri, 25 Mar 2016 12:01:30 +0100

cups (2.1.3-4) unstable; urgency=medium

  [ Till Kamppeter ]
  * Quirk rule to make Lexmark C540n work (STR #4778)
  * Quirk rule to make Xerox WorkCentre 3220 work (LP: #1406203, STR #4789)

 -- Didier Raboud <odyx@debian.org>  Fri, 18 Mar 2016 15:24:54 +0100

cups (2.1.3-3) unstable; urgency=medium

  * Install missing cups-snmp.8 manpage (Closes: #816316)

 -- Didier Raboud <odyx@debian.org>  Mon, 29 Feb 2016 22:11:50 +0100

cups (2.1.3-2) unstable; urgency=medium

  * Drop unused libslp-dev Build-Dependency (Closes: #815359)
  * Bump Standards-Version to 3.9.7 without changes needed

 -- Didier Raboud <odyx@debian.org>  Wed, 24 Feb 2016 13:55:29 +0100

cups (2.1.3-1) unstable; urgency=medium

  * New 2.1.3 upstream release:
    - /admin resource files (like config files of CUPS) were not served when
      the web interface was disabled, breaking utilities like "cupsctl"
      (CUPS STR #4755)

 -- Didier Raboud <odyx@debian.org>  Sat, 13 Feb 2016 16:35:01 +0100

cups (2.1.2-2) unstable; urgency=medium

  [ Till Kamppeter ]
  * Add patch to avoid letting pending subscriptions prevent CUPS from
    auto-shutdown when idle (CUPS STR#4754)
  * Add patch to allow auto-shutdown when idle if the web interface is not
    turned off in the CUPS configuration, the web interface is too important
    (CUPS STR #4755)

  [ Didier Raboud ]
  * Remove libpng12-dev Build-Depends alternative to libpng-dev
    (Closes: #810183)

 -- Didier Raboud <odyx@debian.org>  Wed, 13 Jan 2016 16:21:31 +0100

cups (2.1.2-1) unstable; urgency=low

  * New 2.1.2 upstream release

  * Drop patches included upstream:
    - usb-backend-fix-infinite-loop-when-usblp-module-attached.patch
    - usb-backend-delayed-closing-for-old-laserjets.patch
    - fix-ppd-file-load-for-ipp-printers.patch
    Refresh 2 other patches
  * Update Apple Inc. Copyright years in debian/copyright

 -- Didier Raboud <odyx@debian.org>  Thu, 03 Dec 2015 21:25:48 +0100

cups (2.1.0-7) unstable; urgency=medium

  [ Till Kamppeter ]
  * Removed deprecated no-op "--upstart-only" option from dh_installinit call
    in debian/rules (LP: #1519228)
  * Moved empty directories /etc/cups/ppd and /etc/cups/interfaces to the
    cups-core-drivers binary package
  * Moved mime.convs from cups-server-common to cups-core-drivers to get it
    onto mobile devices with level-2 printing stack (support for IPP printers
    with common PDLs auto-set-up by cups-browsed)

 -- Didier Raboud <odyx@debian.org>  Mon, 30 Nov 2015 22:21:04 +0100

cups (2.1.0-6) unstable; urgency=medium

  [ Till Kamppeter ]
  * Move /usr/lib/cups/daemom/cups-exec from the "cups" binary package to the
    "cups-daemon" binary package as it is already needed for basic job
    execution and therefore already in the level-1 (minimum) printing stack
    (LP: #1509423)

 -- Didier Raboud <odyx@debian.org>  Fri, 06 Nov 2015 17:09:44 +0100

cups (2.1.0-5) unstable; urgency=medium

  [ Till Kamppeter ]
  * Add upstream patch to fix cupsGetPPD* with IPP print queues
    (CUPS STR #4725)

 -- Didier Raboud <odyx@debian.org>  Wed, 21 Oct 2015 15:01:21 +0200

cups (2.1.0-4) unstable; urgency=medium

  [ Till Kamppeter ]
  * Corrected info header (author and Debian bug closure) of
    usb-backend-fix-infinite-loop-when-usblp-module-attached.patch
  * USB-backend: Added new quirk rules for delayed closing of the backend for
    several older HP LaserJet printers (CUPS STR #4549)

  [ Didier Raboud ]
  * Add maintscript stanzas to properly remove the oopstops.{convs,types}
    conffiles in /etc/cups that are not shipped since 1.3.10-3
    (Closes: #799025)

 -- Didier Raboud <odyx@debian.org>  Wed, 16 Sep 2015 19:00:13 +0200

cups (2.1.0-3) unstable; urgency=medium

  [ Helge Kreutzmann ]
  * Update German man page (2114t4f1u)

  [ Till Kamppeter ]
  * The libusb-based USB backend sometimes did not unload the kernel usblp
    module if it was preventing the backend from accessing the printer causing
    an infinite loop taking 100% CPU (CUPS STR #4707)

 -- Didier Raboud <odyx@debian.org>  Mon, 14 Sep 2015 11:17:28 +0200

cups (2.1.0-2) unstable; urgency=low

  * Upload to unstable

  [ Helge Kreutzmann ]
  * Update German man page (2105t4f1u)

  [ Jean-Paul Guillonneau ]
  * Update french manual pages translations, for 2.0.3-6 (Closes: #798257)

  [ Didier Raboud ]
  * Refresh the manpage translations for 2.1.0
  * Given upstream's new enforcement of ConfigFilePerm on /etc/cups/ppd/ files,
    make sure this is enforced on upgrade

 -- Didier Raboud <odyx@debian.org>  Fri, 11 Sep 2015 09:51:24 +0200

cups (2.1.0-1) experimental; urgency=medium

  * New 2.1.0 upstream release

  [ Till Kamppeter ]
  * Removed scheduler-create-ppd-correct-permissions.patch, included upstream
  * Refreshed patches with quilt for the new 2.1.0 source code

  [ Didier Raboud ]
  * Refresh manpage translations

 -- Didier Raboud <odyx@debian.org>  Thu, 03 Sep 2015 12:24:12 +0200

cups (2.1~rc1-4) experimental; urgency=medium

  [ Till Kamppeter ]
  * Add patch from upstream to fix scheduler and make sure that the permissions
    and ownerships of PPDs in /etc/cups/ppd/ are always the same
    (STR #4703, Closes: #784271)

 -- Didier Raboud <odyx@debian.org>  Fri, 28 Aug 2015 15:36:40 +0200

cups (2.1~rc1-3) experimental; urgency=medium

  * Remove leftover test changelog entry
  * Update the GetJobs patch in tests for the mips FTBFS

 -- Didier Raboud <odyx@debian.org>  Tue, 18 Aug 2015 19:56:55 +0200

cups (2.1~rc1-2) experimental; urgency=medium

  * Add patch to use the IPv4 127.0.0.1 address instead the 'localhost'
    name in tests, this could fix the reproducible builds

 -- Didier Raboud <odyx@debian.org>  Thu, 06 Aug 2015 18:47:38 +0200

cups (2.1~rc1-1) experimental; urgency=low

  * New 2.1~rc1 upstream version

  [ Helge Kreutzmann ]
  * Update German man page (2000t39f71u)

  [ Didier Raboud ]
  * Merge upstream version 2.0.4
    - Fixed processing of server overrides without port numbers
      (STR #4675, Closes: #711327, #791876)
  * Drop patches included upstream:
    - str4538-fix-redirection-from-cgi-scripts.patc
    - str4646-fix-the-activejobs-loop-in-cupsdcheckjobs.patch
    - cupsd-logs-manpage-in-section-5.patch
    - libsystemd.patch
    - str4679-fix-local-domainsocket-access-checking.patch
    Refresh other patches

 -- Didier Raboud <odyx@debian.org>  Wed, 05 Aug 2015 14:39:41 +0200

cups (2.1~b1-4) experimental; urgency=medium

  * Merge 2.0.3-10 from unstable

 -- Didier Raboud <odyx@debian.org>  Tue, 21 Jul 2015 16:38:53 +0200

cups (2.1~b1-3) experimental; urgency=medium

  * Merge 2.0.3-8 from unstable

 -- Didier Raboud <odyx@debian.org>  Wed, 15 Jul 2015 17:49:51 +0200

cups (2.1~b1-2) experimental; urgency=low

  [ Michael Biebl ]
  * Transition from libsystemd-daemon to libsystemd:
    - Update Build-Depends
    - Patch the configuration system
    (Closes: #779770)

 -- Didier Raboud <odyx@debian.org>  Mon, 13 Jul 2015 18:43:43 +0200

cups (2.1~b1-1) experimental; urgency=low

  * New 2.1~b1 release
   - No longer install banner files since third-party banner filters now
     supply their own (STR #4518)
   - The scheduler no longer listens on the loopback interface unless the
     web interface or printer sharing are enabled
   - Added a PPD generator for IPP Everywhere printers (STR #4258)
   - Now install "default" versions of more configuration files
   - Added SSLOptions values to allow Diffie-Hellman key exchange and
     disable TLS/1.0 support.
   - The scheduler now supports advanced ASL and journald logging when
     "syslog" output is configured (STR #4474)
   - The scheduler now supports logging to stderr when running in the
     foreground (STR #4505)

  * Drop two patches included upstream
  * Refresh all patches
  * Refresh manpage translations
  * Install the cups-files.conf and snmp.conf default files in usr/share/cups

 -- Didier Raboud <odyx@debian.org>  Thu, 09 Jul 2015 13:36:17 +0200

cups (2.0.3-10) unstable; urgency=medium

  * Backport upstream patches:
    - Fix redirections from CGI scripts (STR: #4538)
    - Fix the active jobs loop (STR: #4646)

 -- Didier Raboud <odyx@debian.org>  Tue, 21 Jul 2015 16:15:03 +0200

cups (2.0.3-9) unstable; urgency=medium

  [ Helge Kreutzmann ]
  * Update German man page (1606t320f184u)

  [ Didier Raboud ]
  * Add patch to relax socket access checking to only check read-and-write, not
    execution (Closes: #792730)
  * Add maintscript stanzas to properly remove the mime.convs and mime.types
    conffiles in /etc/cups that are not shipped in this path since
    1.4.0~svn8773-1~ (Closes: #792731, LP: #1475683)

 -- Didier Raboud <odyx@debian.org>  Mon, 20 Jul 2015 17:38:49 +0200

cups (2.0.3-8) unstable; urgency=medium

  * Mark the libsystemd as reported (and fixed) upstream
  * Translate and install the cupsd-helper.8 manpage (Closes: #792484)
  * Update the manpage translation infrastructure: install multiple missing
    new manpages
  * Add patch to move cupsd-logs manpage to section 5

 -- Didier Raboud <odyx@debian.org>  Wed, 15 Jul 2015 17:03:00 +0200

cups (2.0.3-7) unstable; urgency=medium

  [ Michael Biebl ]
  * Transition from libsystemd-daemon to libsystemd:
    - Update Build-Depends
    - Patch the configuration system
    (Closes: #779770)

 -- Didier Raboud <odyx@debian.org>  Mon, 13 Jul 2015 18:35:43 +0200

cups (2.0.3-6) unstable; urgency=low

  * Fix the 'which' calls, causing uninstallation error of cups-bsd

 -- Didier Raboud <odyx@debian.org>  Tue, 07 Jul 2015 16:24:20 +0200

cups (2.0.3-5) unstable; urgency=low

  * Amend the previous changelog to reflect its upload to unstable
  * Add patch to make some attributes optional in the IPP-1.1 3.2.6 GetJobs
    test, that was causing a FTBFS on mips

 -- Didier Raboud <odyx@debian.org>  Tue, 07 Jul 2015 14:41:57 +0200

cups (2.0.3-4) unstable; urgency=medium

  * Upload to unstable

  [ Helge Kreutzmann ]
  * Update German man page (1366t464f280u)

  [ Didier Raboud ]
  * Replace full paths in maintainer scripts '[ -x ]' by 'which' calls
  * Refresh debian/copyright thanks to cme
  * Remove the superfluous XS-Testsuite header in debian/control

 -- Didier Raboud <odyx@debian.org>  Mon, 06 Jul 2015 21:57:18 +0200

cups (2.0.3-3) experimental; urgency=medium

  [ Till Kamppeter ]
  * Created new binary package cups-ipp-utils for the IPP utilities ippfind,
    ipptool, and ippserver.

  [ Didier Raboud ]
  * Install the cups-ipp-utils translated manpages in the correct package
  * Translate the ippserver.1 manpage too, refresh the manpage translation
    files
  * Add debian/gbp.conf to ease dch and import-orig
  * Update README.source with the latest branch names

 -- Didier Raboud <odyx@debian.org>  Tue, 30 Jun 2015 08:46:04 +0200

cups (2.0.3-2) experimental; urgency=medium

  [ Till Kamppeter ]
  * Fixed IPP Everywhere PPD generator patch. It passes the tests now.

  [ Helge Kreutzmann ]
  * Update German man page (870t789f404u)

  [ Didier Raboud ]
  * Set QUILT_PATCHES in the two README files that need it (Closes: #788481)

 -- Didier Raboud <odyx@debian.org>  Fri, 12 Jun 2015 08:46:01 +0200

cups (2.0.3-1) experimental; urgency=medium

  * New 2.0.3 upstream release
    - Security: Fixed CERT VU #810572 exploiting the dynamic linker (STR #4609)
      - CVE-2015-1158 Improper Update of Reference Count
      - CVE-2015-1159 Cross-Site Scripting
    - Security: The scheduler could hang with malformed gzip data (STR #4602)

  [ Didier Raboud ]
  * Remove the upstream fix for the FTBS on mips through reordering of IPP-1.1
    tests, included in 2.0.3
  * Refresh patches
  * Disable the IPP Everywhere PPD generator patch, as it breaks the test-suite

  [ Till Kamppeter ]
  * Fixed PPD generator (for IPP printers) to write floating-point numbers in
    a locale-neutral way (always with decimal point, CUPS STR #4579).
  * Make fix for floating point number output in the PPD generator also apply
    to the PageRegion option (CUPS STR #4579).
  * Let the PPD generator not create a ColorModel option without choices
    (CUPS STR #4638).
  * Fix values of the pwg-raster-document-types-supported attribute of
    ippserver, the IPP printer emulator.

 -- Didier Raboud <odyx@debian.org>  Tue, 09 Jun 2015 11:07:54 +0200

cups (2.0.2-3) experimental; urgency=medium

  [ Till Kamppeter ]
  * Re-introduced the patch for IdleExitTimeout under upstart, but
    Ubuntu-only.
  * Added PPD generator to support IPP Everywhere printers (Use "lpadmin -p pr
    -E -v ipp://... -m everywhere" or equivalent operation in the CUPS web
    interface).
  * Exclude driver "everywhere" from auto package tests as it only works with
    IPP URIs.
  * Refreshed patches with quilt.

  [ Didier Raboud ]
  * Merge Ubuntu's AppArmor profile diff in Debian's (Closes: #779901)
  * Import upstream fix for the FTBS on mips through reordering the IPP-1.1
    tests to avoid a timing issue

 -- Didier Raboud <odyx@debian.org>  Thu, 04 Jun 2015 13:41:53 +0200

cups (2.0.2-2) experimental; urgency=low

  [ Till Kamppeter ]
  * Removed patches for USB quirk rules which got included upstream
  * Updated Ubuntu-specific patch for the AppArmor profile

  [ Didier Raboud ]
  * Drop the patch for IdleExitTimeout under upstart, as it breaks non-linux
    builds

 -- Didier Raboud <odyx@debian.org>  Tue, 10 Feb 2015 21:25:32 +0100

cups (2.0.2-1) experimental; urgency=low

  * New 2.0.2 upstream version
    - Add 2.0.2 symbols
    - Drop 5 upstream patches that were from the upstream 2.0 branch
    - Drop systemd patches as systemd support got included upstream
    - Drop the patch avoiding the linking against libgrypt, as it got included
      upstream
    - Add patch and dh-exec magic to rename the upstream systemd units away
      from org.cups.cupsd.*
    - Drop all references to lppasswd, as it got dropped by upstream in 2.0b1
    - Refresh all patches for 2.0.2
    - Rebase the manpage translation infrastructure for 2.0.2
    - Refresh all test-related patches
    - Update debian/copyright with the updates made in 2.0.0
    - Update configure arguments

  [ Till Kamppeter ]
  * Merged in more Ubuntu-specific AppArmor profile changes:
     - Fix peer on signal rule to use /usr/sbin/cupsd//third_party
       (LP: #1376611)
     - Temporarily use attach_disconnected to work around LP: 1373070.
     - Allow all signals to /usr/sbin/cupsd//third_party
     - Allow unix to /usr/sbin/cupsd//third_party (LP: #1382042)
     - Added "flags=(attach_disconnected)" to third_party profile
       (LP: #1413313)
  * Fix -h option not honoured when CUPS_SERVER variable is defined
    (LP: #1352809)

 -- Didier Raboud <odyx@debian.org>  Tue, 10 Feb 2015 17:13:38 +0100

cups (1.7.5-10) unstable; urgency=medium

  * Change ppd-updaters trigger to use interest-noawait instead of interest to
    avoid trigger cycles (Closes: #772871, #771765)

 -- Didier Raboud <odyx@debian.org>  Mon, 15 Dec 2014 22:22:33 +0100

cups (1.7.5-9) unstable; urgency=medium

  * Drop color-management patch; it got refused by upstream and is not
    available in non-english translations (Closes: #763517, #768163)
  * Drop the upstream patch to limit Get-Jobs replies to 500, as this triggers
    a FTBS on mips

 -- Didier Raboud <odyx@debian.org>  Thu, 27 Nov 2014 20:44:45 +0100

cups (1.7.5-8) unstable; urgency=medium

  * Add a USB quirk fix for Brother HL-1250 (Closes: #712512)
  * Backport upstream patch to fix random crash in TLS handling. The patch also
    enables coredumps.(Closes: #760475, #760476)

 -- Didier Raboud <odyx@debian.org>  Sun, 23 Nov 2014 13:26:24 +0100

cups (1.7.5-7) unstable; urgency=medium

  * Revert to not socket-activating CUPS (Closes: #747073)
    - Drop patch to let CUPS write the systemd.socket configuration files
    - Replace preinst generation of the same configuration file, delete them on
      upgrade
    - Drop the symlink enforcing the automatic configuration
    - Update NEWS and README.Debian to reflect that change
    - Create two cups socket configuration examples, document their existence
      in README.Debian
    - Update the systemd socket activation patch to include
      PassCredentials=true in the socket configuration, following upstream's
      feedback
    - Disable automatic idle exit timeout under systemd, as this will get
      activated without socket activation

 -- Didier Raboud <odyx@debian.org>  Thu, 23 Oct 2014 22:06:18 +0200

cups (1.7.5-6) unstable; urgency=medium

  * Backport several upstream patches:
    - Update the patch restoring the access to cupsd.conf with Upstream's
      latest
    - Fix the icon display in web interface during server restart (STR: #4475)
    - Enforce correct newest-to-oldest order in the completed jobs returned by
      the scheduler (STR: #4396)
    - Limit Get-Jobs replies to 500 jobs (STR: #2913)
    - Do not let cupsGetPPD* return a symlink if it was not readable by the
      user (STR: #4500). This should help with #764253.
  * Dropped the FINAL_CONTENT_TYPE revert, stick back to upstream, following
    RedHat's analysis
  * Add tests' patch to ignore the 'Address family not supported' that breaks
    the errorlines counting on buildds without a working IPv6 stack

 -- Didier Raboud <odyx@debian.org>  Wed, 22 Oct 2014 13:44:42 +0200

cups (1.7.5-5) unstable; urgency=medium

  [ Didier Raboud ]
  * In debian/rules, add conditionals to enable build-indep build
  * Bump Standards-Version to 3.9.6 without changes needed
  * Remove Martin Pitt, Masayuki Hatta and Jeff Licquia from the Uploaders'
    field; with many thanks for their past work on CUPS.

  [ Ondřej Surý ]
  * Remove libjpeg8-dev from libcupsimage2-dev (Closes: #765919)

 -- Didier Raboud <odyx@debian.org>  Mon, 20 Oct 2014 08:54:21 +0200

cups (1.7.5-4) unstable; urgency=medium

  [ intrigeri ]
  * In the apparmor profile, drop features yet unsupported in Debian
    (Closes: #763673)

  [ Didier Raboud ]
  * Add the Ubuntu-specific apparmor profile as Ubuntu-specific patch

 -- Didier Raboud <odyx@debian.org>  Wed, 01 Oct 2014 21:40:15 +0200

cups (1.7.5-3) unstable; urgency=medium

  [ Didier Raboud ]
  * Add two USB quirk fixes for Canon MX310 and MX320 printers
    (LP: #1346868, #1369547)

  [ Jamie Strandboge ]
  * Update the apparmor-profile
    - move Ux to Cx -> third_party and provie a third_party child profile. In
      this manner, we can add some modest confinement (can't change MAC
      policy, change_profile or mount) but more importantly it allows us to
      specify peer=third_party to restrict where the strictly confined cups
      process can send signals (LP: #1370930)
    - allow r of /var/cache/samba/*.tdb (LP: #1371097)
    - allow r of /var/{cache,lib}/samba/printing/printers.tdb

 -- Didier Raboud <odyx@debian.org>  Tue, 30 Sep 2014 08:21:21 +0200

cups (1.7.5-2) unstable; urgency=medium

  [ Helge Kreutzmann ]
  * Update German man page (1537t)

  [ Till Kamppeter ]
  * Updated color management extension patch to the newest version from Joseph
    Simon, especially to fix PPD updates via the web interface (LP: #1362321).

  [ Didier Raboud ]
  * Replace the RedHat patch restoring the access to cupsd.conf and logfiles
    with upstream's

 -- Didier Raboud <odyx@debian.org>  Wed, 17 Sep 2014 13:37:01 +0200

cups (1.7.5-1) unstable; urgency=medium

  * New 1.7.5 upstream release
    - Drop upstream-originated patches, refresh all
    - Refresh manpage translations for new upstream release

 -- Didier Raboud <odyx@debian.org>  Thu, 14 Aug 2014 19:32:52 +0200

cups (1.7.4-5) unstable; urgency=medium

  [ Till Kamppeter ]
  * Color management extensions: Added color management checkboxes to the
    Japanese version of the web interface, on request of Deng Pang from Ricoh.

  [ Didier Raboud ]
  * Add patch from RedHat to restore access to logfiles from the webinterface,
    regression from the fix for STR: #4455 (Closes: #757964)

 -- Didier Raboud <odyx@debian.org>  Thu, 14 Aug 2014 08:52:09 +0200

cups (1.7.4-4) unstable; urgency=medium

  * Add patch to ignore the 'Failed to connect to system bus' error that
    sometimes breaks the errorlines counting on various architectures
  * Refresh cupsd-write-systemd-Port patch

 -- Didier Raboud <odyx@debian.org>  Wed, 30 Jul 2014 10:40:53 +0200

cups (1.7.4-3) unstable; urgency=medium

  * In cups-daemon's postinst, remove leftover cups.patch symlink in
    multi-user.target.wants (Closes: #755932)
  * Correct default listening address used under systemd for new installations;
    also correct the discrepancy on upgrades (Closes: #755807)

 -- Didier Raboud <odyx@debian.org>  Mon, 28 Jul 2014 08:22:29 +0200

cups (1.7.4-2) unstable; urgency=medium

  * Install systemd's cups.path in paths.target instead of multi-user.target
    (Closes: #755690)
  * Import two upstream patches:
    - Fix for unsufficient permission checking for files accesses from the
      webinterface (STR: #4455)
      CVE-2014-5029 Incomplete fix CVE-2014-3537
      CVE-2014-5030 Disallow symlinks for directory index files
      CVE-2014-5031 File/directory does not have world read permissions for
                    directory index files
    - Fix for CGI scripts (STR: #4454)

 -- Didier Raboud <odyx@debian.org>  Wed, 23 Jul 2014 09:45:49 +0200

cups (1.7.4-1) unstable; urgency=medium

  * New 1.7.4 upstream release
    - Security: The web interface incorrectly served symlinked files and
      files that were not world-readable, potentially leading to a
      disclosure of information (STR #4450, CVE-2014-3537)
    - Added USB quirk rule for Lexmark E230 (STR #4448)
    - Fix broken links on the web homepage (STR #4453, Closes: #754243)
    - Refresh patches

  [ Helge Kreutzmann ]
  * Update German man page (1531t)

  [ Didier Raboud ]
  * Stop managing the rename of /etc/pam.d/cups in the cups binary package:
    /etc/pam.d/cups is not renamed anymore but is now just installed from a
    different package (cups-daemon). (Closes: #753439)
    Thanks to Raphaël Hertzog

 -- Didier Raboud <odyx@debian.org>  Mon, 14 Jul 2014 16:55:45 +0200

cups (1.7.3-6) unstable; urgency=medium

  * Discard lpadmin stderr in the tests' utility, fixes autopkgtests.

 -- Didier Raboud <odyx@debian.org>  Thu, 26 Jun 2014 07:51:30 +0200

cups (1.7.3-5) unstable; urgency=medium

  * Add a trap to test-drivers utility, move it to cups-client instead of cups
  * Run the tests using the installed test-drivers utility

 -- Didier Raboud <odyx@debian.org>  Wed, 25 Jun 2014 09:53:34 +0200

cups (1.7.3-4) unstable; urgency=medium

  * In cups-config, run krb5-config at runtime to avoid architecture
    differences due to the output of krb5-config; add check at build-time to
    avoid this happening again (Closes: #751157)
  * Fix dpkg-architecture calls in cups-config
  * Make the test-drivers utility more generic, install it in the cups package
    to be able to use it in other packages' autopkgtests

 -- Didier Raboud <odyx@debian.org>  Mon, 23 Jun 2014 17:09:02 +0200

cups (1.7.3-3) unstable; urgency=medium

  * Fix autopkgtests:
    - only use accessible files,
    - extend the tests to test-print all PDFs in the source test/ directory,
    - abstract the drivers testing script as a separate script.

 -- Didier Raboud <odyx@debian.org>  Tue, 10 Jun 2014 13:18:23 +0200

cups (1.7.3-2) unstable; urgency=medium

  [ Till Kamppeter ]
  * Added IPP attributes required by IPP Everywhere for PWG Raster when PWG
    Raster as input format is supported. This is needed for shared printers
    correctly emulating an IPP Everywhere printer (CUPS STR #4428)

  [ Didier Raboud ]
  * Add SystemdIdleExit and IdleExitTimeout references in cupsd.conf manpage
  * Rename the cups pam configfile from cups-daemon to cups (Closes: #750602)
  * Rewrite the autopkgtests suite:
    - Drop isolation-container restriction
    - Test cups-core-drivers with no driver for now
    - Test cups with all available drivers

  [ Jean-Paul Guillonneau ]
  * Update the manpages' french translation (Closes: #744987)

 -- Didier Raboud <odyx@debian.org>  Mon, 09 Jun 2014 20:46:07 +0200

cups (1.7.3-1) unstable; urgency=medium

  * New 1.7.3 upstream release
    - Refresh patches

  * Add one simple autopackagetest
  * In cups-daemon.preinst, only write ListenStream stanzas for 'Port' OR
    'Listen localhost', not both (Closes: #742668)
  * Explicitly install README.Debian to libcups2, add symlinks in various
    other packages (Closes: #750532)

 -- Didier Raboud <odyx@debian.org>  Wed, 04 Jun 2014 15:27:04 +0200

cups (1.7.2-3) unstable; urgency=medium

  [ Till Kamppeter ]
  * Updated version numbers in Replaces:/Breaks: for cups-bsd to also work with
    updating CUPS under Ubuntu (LP: #1315766)

 -- Didier Raboud <odyx@debian.org>  Sun, 04 May 2014 12:18:32 +0200

cups (1.7.2-2) unstable; urgency=low

  [ Helge Kreutzmann ]
  * Update German man page (1526t)

  [ Till Kamppeter ]
  * Removed Ubuntu difference in the dependency of cups-deamon on avahi-daemon:
    avahi-daemon is a Recommends for both now; remove "on started avahi-daemon"
    from the "start on ..." rule in /etc/init/cups.conf upstart script
    (LP: #1242185, #1178172)
  * Add two patches for Upstart socket-triggered activation:
    - allow starting cupsd socket-triggered through Upstart, for on-demand
      starting to save resources (especially on mobile devices)
    - let cupsd stop after 30 seconds idle time in when started by Upstart
      socket-activation (if timeout is not explicitly set to another time)
    (Closes: #742666, LP: #1276713)

 -- Didier Raboud <odyx@debian.org>  Fri, 02 May 2014 15:54:20 +0200

cups (1.7.2-1) unstable; urgency=medium

  * New 1.7.2 upstream release
    - Security: The scheduler now blocks URLs containing embedded HTML
      (STR #4356)
  * Drop 10 patches that were backported from upstream or are now solved
    differently:
    - str4393-fix-memoryleak-in-rastertolabel
    - fix-cupsdgetprivateattrs-function-missing-null-check
    - fix-cupsenumdests-does-not-fill-in-is_default-field
    - cupsenumdests-does-not-set-cb
    - cupsd-support-avahi-daemon-restarting
    - prevent-dnssd-backend-exiting-too-early
    - fix-a-dbus-threading-issue-that-caused-the-scheduler-to-crash
    - ipptool-doco-updates
    - build-with-full-relro
    - fix-template.c-typo
  * Regenerate manpage-hyphen-minus patch to adapt to upstream changes
  * Refresh 9 patches with quilt to cope with upstream updates
    - airprint-support
    - color-management-extension
    - cupsd-idleexittimeout-systemd
    - cupsd-idleexittimeout
    - cupsd-write-systemd-Port
    - no-conffile-timestamp
    - pidfile
    - read-embedded-options-from-incoming-postscript-and-add-to-ipp-attrs
    - systemd-optional-socket-activation
  * Refresh manpage translation files

 -- Didier Raboud <odyx@debian.org>  Thu, 10 Apr 2014 22:05:22 +0200

cups (1.7.1-13) unstable; urgency=medium

  * Fix hyphen-used-as-minus and a typo in the lppasswd manpage patch
  * Build against GnuTLS 3.x (Closes: #638416, #714492)
    - Add Build-Conflicts against libgmp-dev (<< 2:6) to avoid license
      incompatibilities
    - Build-Depend against libgnutls28-dev
    - Add patch to stop build-depending on libgcrypt as nothing is used from
      it (STR: #4399)
    - Refresh affected patches
  * In the postinst code fixing the lack of 'compress' stanza in the logrotate
    for some versions, don't assume that all uncompressed files are present;
    also clarify when the renaming should happen (Closes: #742668)

 -- Didier Raboud <odyx@debian.org>  Wed, 09 Apr 2014 21:04:57 +0200

cups (1.7.1-12) unstable; urgency=medium

  [ Didier Raboud ]
  * Fix the implicit-declaration problem in the D-BUS threading patch
    by backporting an upstream update

  [ Alf Gaida ]
  * Create /etc/cups directory before attempting to create files in it
    (Closes: #743249)

 -- Didier Raboud <odyx@debian.org>  Tue, 01 Apr 2014 08:00:00 +0200

cups (1.7.1-11) unstable; urgency=medium

  [ Didier Raboud ]
  * Add patch on cups-config to:
    - let it use dpkg-architecture at runtime to make it
      architecture-independent (Closes: #741519)
    - avoid /usr/lib/triplet appearing in --ldflags output
      (Closes: #727058)
    - strip unnecessary libs from --libs output (Closes: #730838); therefore
      also strip libgnutls-dev and libkrb5-dev from libcups2-dev's Depends
  * Drop now-unused rfc2911 patch in ipptoolfile manpage as it got replaced by
    upstream's; fix missing backslash escape in upstream fix that broke po4a
    translation, thanks to Helge Kreutzmann
  * Add upstream patch to fix memoryleak in rastertolabel
  * Move the cupsd-systemd-listen.conf file creation from postinst to preinst as
    it is a symlink's destination. Letting said symlink be dangling for a
    timespan can make systemd crash, see #742322

  [ Helge Kreutzmann ]
  * Update German man page (1525t)

 -- Didier Raboud <odyx@debian.org>  Mon, 31 Mar 2014 10:00:00 +0200

cups (1.7.1-10) unstable; urgency=medium

  [ Till Kamppeter ]
  * Remove upstream patch to fix race condition in cupsDoIORequest, as this
    does not actually solve STR #4386 and also causes STR #4391, CUPS not being
    able to communicate with Brother printers anymore

 -- Didier Raboud <odyx@debian.org>  Thu, 20 Mar 2014 22:00:41 +0100

cups (1.7.1-9) unstable; urgency=medium

  * Remove cupsd-systemd-listen.conf on purge (Closes: #741489)
  * In logrotate script, use 'compress' in addition to 'delaycompress',
  * thanks to Michael Biebl (Closes: #741896), re-order and compress the
    logs that weren't in postinst.

 -- Didier Raboud <odyx@debian.org>  Tue, 18 Mar 2014 19:34:44 +0100

cups (1.7.1-8) unstable; urgency=medium

  [ Helge Kreutzmann ]
  * Update German man page (1522t1f)

  [ Didier Raboud ]
  * Make libcups2-dev Multi-Arch: same (Closes: #689084)
  * Replace the cupsd-support-avahi-daemon-restarting patch with the latest
    upstream iteration (STR: #4373)
  * Add patch to let CUPS write its own systemd sockets configuration when
    configured through the webinterface; document this new behaviour in
    cups-daemon.NEWS and README.Debian (Closes: #740382)
  * Stop making lppasswd setuid root as it is only needed in specific cases
    - Add patch to lppasswd manpage to document how dpkg-statoverride should be
      used
    - Update translations
  * Move the repository from pkg-cups to printing; update the VCS-* fields
    accordingly

  [ Ansgar Burchardt ]
  * systemd socket activation support: add cups.socket in Requires of
    cups.service to ensure that the service is stopped before the socket is
    attempted to be started. Also add Documentation references in cups.service

  [ Till Kamppeter ]
  * Fix crash bug in the cupsEnumDests() function (STR #4380).
  * Import upstream patch to fix race condition in cupsDoIORequest()
    (STR: #4386)
  * Import upstream patch to fix a missing NULL check for input parameters in
    cupsdGetPrivateAttrs() from scheduler/policy.c (STR: #4378)
  * Import upstream fix to let cupsEnumDests() fill in is_default field
    (STR: #4332)

  [ Michael Biebl ]
  * Fix the logrotate script to use delaycompress instead of stopping and
    restarting cups, which spits out warnings under systemd (Closes: #740380)

 -- Didier Raboud <odyx@debian.org>  Wed, 12 Mar 2014 12:03:14 +0100

cups (1.7.1-7) unstable; urgency=low

  * systemd socket activation:
    - Drop ListenDatagram from cups.socket as that's now in use by
      cups-browsed
    - Drop the Debian-specific patch to make sure that the localhost web
      access works; Listen on 0.0.0.0 and [::] in the main patch instead
  * cups-bsd cleanup:
    - Demote update-inetd Dependency to a Suggests, add conditionals in
      the maintainer scripts (Closes: #590436)
    - Move the cupsd-lpd manpage to cups
    - Install the translated manpages
  * In postinst scripts, only chown and chmod when no dpkg-statoverrides
    are set (Closes: #587015)
  * Demote cups-client's smbclient Recommendation to a Suggests
    (Closes: #618545)
  * Drop two obsolete configuration options from dh_auto_configure
  * Drop boilerplate comments from all maintainer scripts

 -- Didier Raboud <odyx@debian.org>  Thu, 27 Feb 2014 16:14:55 +0100

cups (1.7.1-6) unstable; urgency=low

  * Add systemd socket activation support (Closes: #732435):
    - Add Gentoo patch to enable runtime-detected systemd socket activation
    - Build-depend on libsystemd-daemon-dev on linux-any
    - Build-depend on and use dh-systemd
    - Install cups.service, cups.path and cups.socket files in cups-daemon
    - Add Ubuntu patch to implement IdleExitTimeout
    - Add patch to let cupsd exit-on-idle after 30-seconds when started
      by systemd, given that systemdIdleExit is not set to Off
    - Add ListenStream=127.0.0.1:631 to cups.socket to ensure that
      http://localhost:631 works in Debian
    - Explain the above configuration options in cups-daemon.NEWS and
      README.Debian

  * Drop /etc/default/cups in favour of its handling by cups-filters:
    LOAD_LP_MODULES' configuration is moved to
    /etc/modules-load.d/cups-filters.conf
  * Update and reoder patches included upstream:
    - Prevent dnssd backend from exiting too early (STR: #4365)
    - ipptool doco updates (STR #3259, STR #4346), replaces the custom
      ipptoolfile manpage fix
    - Let cupsd cope with avahi daemon server restarts (STR: #4373)
    - Fix a D-BUS threading issue that caused the scheduler to crash
      (STR #4347), replace Fedora's fix for the multiple-threads dbus
      usage; require dbus >= 1.0.2
  * Replace the upstream pgp keyring with an armored version in
    debian/upstream to cope with uscan's new default

 -- Didier Raboud <odyx@debian.org>  Tue, 25 Feb 2014 12:06:47 +0100

cups (1.7.1-5) unstable; urgency=medium

  * In cups' initscript, stop trying to restart xprint.
    Thanks to Damyan Ivanov (Closes: #738801)
  * Import Fedora patch to prevent the dnssd backend from exiting too
    early

 -- Didier Raboud <odyx@debian.org>  Tue, 18 Feb 2014 15:44:18 +0100

cups (1.7.1-4) unstable; urgency=medium

  [ Martin Pitt ]
  * debian/libcups2-dev.preinst: Move aside a /usr/include/cups/i18n.h
    directory during upgrades (from wheezy/precise); this directory got
    replaced with a file, and triggers a bug in overlayfs when dist-upgrading
    schroots/containers/similar. This is a hackish workaround and can be
    dropped again in jessie+1/trusty+1. (LP: #1272285)

  [ Didier Raboud ]
  * Fix LGPL-2 references in debian/copyright, hanks to Thorsten Alteholz
  * Move commandtops from cups to cups-core-drivers (Closes: #737306)

 -- Didier Raboud <odyx@debian.org>  Tue, 04 Feb 2014 15:31:13 +0100

cups (1.7.1-3) unstable; urgency=low

  [ Till Kamppeter ]
  * Split binary package "cups" into "cups" and "cups-core-drivers". In
    low-footprint (mobile) environments we can restrict the printer
    support to only IPP printers with known common languages (PDF,
    PostScript, PWG Raster, PCL) to get rid of the heavy load of drivers
    and PPDs for thousands of printers. From CUPS we need only the
    "cups-daemon" and "cups-core-drivers" (plus library packages) then.
    "cups-core-drivers" currently only contains the gziptoany and pstops
    filters.

  [ Didier Raboud ]
  * Avoid specifying mode, user and (wrong) group in the logrotate
    'create' statement (LP: #1268011)
  * Install cups-daemon AppArmor, ufw profile and apport hooks on Debian
    too (Closes: #735313)
  * Replace custom AppArmor post{inst,rm} machinery with a dh_apparmor
    call
  * Add patch to move cupsd.conf.default from /etc/cups to
    /usr/share/cups as it's not a configuration file (Closes: #640124)
  * Reorder most patches to let those that upstream doesn't intend to
    fix stay on top of the pile; most also mark those reported upstream
    as such
  * Drop configure-default-browse-protocols patch, now useless
  * Drop update-rc.d arguments in Debian, as they are no longer
    supported

  [ Helge Kreutzmann ]
  * Update German man page (1518t)

 -- Didier Raboud <odyx@debian.org>  Mon, 20 Jan 2014 23:06:36 +0100

cups (1.7.1-2) unstable; urgency=medium

  * Revert "Link against OpenSSL instead of GnuTLS", reopens #714492
  * Add tests' patch to ignore a kfreebsd-amd64 error that breaks the
    error lines counting

 -- Didier Raboud <odyx@debian.org>  Tue, 14 Jan 2014 10:03:37 +0100

cups (1.7.1-1) unstable; urgency=medium

  * New 1.7.0 upstream release
   - Security: the lppasswd program incorrectly used settings from
     ~/.cups/client.conf (STR #4319)
   - Some gzip'd PPD files could not be used
   - Cleaned up some job logging in the scheduler
   - ATTR messages could cause string pool memory corruption in the
     scheduler
   - Printing to a raw queue could result in corrupt output due to
     opportunistic compression
   - The "make check" test suite did not work on Linux without the
     cups-filters package installed (That's not fully fixed yet)
   - The libusb-based USB backend incorrectly used write timeouts
   - Using "@IF(name)" in an Allow or Deny rule did not wor
     (STR #4328, Closes: #674520)
   - The D-BUS notifier did not remove its lockfile (STR #4314)

  [ Didier Raboud ]
  * Link against OpenSSL instead of GnuTLS; mark two GnuTLS-specific
    symbols in libcups2 as optional (Closes: #714492)
  * Refresh 13 patches for 1.7.1
  * Drop patches obsoleted by 1.7.1:
    - avoid-sign-extending-CRCs-for-gz-decompression
    - avoid_stale_lockfile_in_dbus_notifier
    - cups-dbus-utf8
    - fix-job-history-logging
    - fix-stringpool-corruption
    - prevent-USB-timeouts-causing-incorrect-print-output
  * Refresh the testsuite patches
  * Rewrite tests-use-cupsfilters patch to have the whole test-suite
    pass

  [ wookey ]
  * Honour DEB_BUILD_OPTIONS=nocheck (Closes: #734670)

 -- Didier Raboud <odyx@debian.org>  Thu, 09 Jan 2014 16:54:26 +0100

cups (1.7.0-2) unstable; urgency=low

  [ Russell Coker ]
  * In the cups init script, run restorecon after creating a /var/run
    directory (Closes: #677580)

  [ Bastien ROUCARIÈS ]
  * Add patch to drop two dangling references in cups-lpd.man
    (Closes: #570157)

  [ Nicolas Boulenguez ]
  * Enhance cups' init-script(Closes: #718798)
    - Specify SCRIPTNAME instead of relying on N=${0##*/} bashism
    - Replace restart_xprint() implicit parameter (success) with an
      explicit first parameter for readability
    - Replace log_begin_msg() calls by log_daemon_msg() to use the
      vendor-specific formatting
    - Clarify exit statuses handling by making sure only the result of
      start-stop-daemon is returned
    - Don't call coldplug_usb_printers when the daemon fails to start
    - Use status_of_proc from lsb-base >= 3.2.14 instead of a
      hand-written implementation
    - Unimplemented actions must return 3

  [ Didier Raboud ]
  * Let uscan verify PGP signatures on signed upstream tarballs
  * Update manpage-hyphen-minus.patch to fix three missing fixes in
    ippfind.1
  * Add patch to fix expres{,s}ion typo
  * Fix two occurences of pointer-from-integer in the color-management
    extension patch
  * Update drop_unnecessary_dependencies patch to make sure
    libcupsimage2 is linked against pthread
  * Bump Standards-Version to 3.9.5 without changes needed

 -- Didier Raboud <odyx@debian.org>  Sat, 04 Jan 2014 15:46:02 +0100

cups (1.7.0-1) unstable; urgency=low

  * New 1.7.0 upstream release

  [ Till Kamppeter ]
  * Refresh most patches with quilt
  * Removed usb-backend-do-not-crash-if-usb-disabled-in-bios and
    cupsd-no-crash-on-avahi-threaded-poll-shutdown patches as they got
    applied upstream
  * Removed drop-arch-specifics-from-doc patch as it is not needed
    anymore
  * Updated drop_unnecessary_dependencies, manpage-hyphen-minus,
    manpage-translations and ppd-poll-with-client-conf patches manually
    to apply to the new CUPS version
  * Added error counting exception from
    usb-backend-do-not-crash-if-usb-disabled-in-bios to
    tests-ignore-warnings
  * Install the newly added ippfind utility and its manpage in
    cups-client
  * Added pwg.h to libcups2-dev package
  * Call dh_auto_clean only if the file Makedefs is present, to avoid a
    FTBFS
  * Added color management extensions from Joe Simon's GSoC 2013
    project.
  * Patch cups-files.conf to activate CUPS daemon syncing of files when
    closing, so that config files (like printers.conf) do not
    mysteriously disappear (LP: #1157972)
  * In the AppArmor profile, allow execution of programs in
    /etc/cups/interfaces/, needed to make CUPS working with queues based
    on System V interface scripts, especially PPD-less queues
    auto-generated by cups-browsed from cups-filters 1.0.41 on.
  * Silenced AppArmor noise from udev.conf in syslog (LP: #1229766)

  [ Steve Langasek ]
  * Add cups-filters (>= 1.0.42) as alternative to foomatic-filters
    (which is deprecated) in package relationships

  [ Didier Raboud ]
  * Remove Roger Leigh from uploaders on his request with thanks for his
    past work!
  * Switch avahi LSB Should-Start dependency to be avahi-daemon; also
    bump package relationship to >= 0.6.31-3~ (Closes: #731608)
  * Refresh the manpage translation files
  * Move the USB backend quirk rules file to cups-server-common
  * Add 38 new 1.7.0 libcups2 symbols
  * Mark one C++ libcupsppdc1 symbol as optional as it isn't exported in
    1.7.0 anymore
  * Import Fedora patches:
    - to avoid sign-extending CRCs in gz decompression
    - to build with full read-only relocations
    - to fix job history logging (upstream patch)
    - to set the internal default for SyncOnClose to Yes, instead of
      only configuring it to Yes
    - to fix a stringpool corruption issue
    - to prevent USB timeouts causing incorrect print output
  * Import Fedora patch updates:
    - to dont-use-dbus-from-two-threads patch so it removes a call to
      avahi_threaded_poll_stop()
    - to avoid_stale_lockfile_in_dbus_notifier patch to call _exit when
      handling SIGTERM
  * Move manpage-translations patch at the very end of the patch series
    to have it include all our patches

 -- Didier Raboud <odyx@debian.org>  Fri, 03 Jan 2014 18:42:39 +0100

cups (1.6.4-2) unstable; urgency=low

  * Import several patches from Fedora, thanks to Tim Waugh:
    - Avoid stale lockfile in dbus notifier
    - Stop accessing avahi through D-Bus using two threads
    - Fix jobs with multiple files and  multiple formats
    - Revert upstream change to FINAL_CONTENT_TYPE in order to fix
      printing to remote CUPS servers
  * On purge, also delete the cupsd.conf.pre16-bak file to leave no
    traces

 -- Didier Raboud <odyx@debian.org>  Thu, 28 Nov 2013 12:22:09 +0100

cups (1.6.4-1) unstable; urgency=low

  * New 1.6.4 upstream release:
    - Removed some duplicate size definitions for some ISO sizes that
      were causing problems
    - The IPP backend did not add the "last-document" attribute
    - Added a SyncOnClose directive to cups-files.conf to force cupsd to
      call fsync before closing any configuration/state files it writes
    - Added USB quirk rule for Lexmark E238
    - Closed server connections were still not always detected
    - The libusb-based USB backend now loads its list of quirks from
      files in /usr/share/cups/usb instead of using a hardcoded table
    - The scheduler did not properly register ICC color profiles with
      colord

  [ Adam Conrad ]
  * Update the cupsfilters tests patch to reflect the filter list in
    cups-filters 1.0.36 and fix the testsuite
  * Remove versioned Suggests/Recommends on ghostscript-cups (LP: #1212239)

  [ Till Kamppeter ]
  * debian/local/cups-daemon.cups.upstart: Increased timeout for waiting for
    the CUPS daemon to get ready before automatically configuring printers
    from 3 sec to 30 sec, on slower systems CUPS often needs more than 3
    seconds and so the automatic printer configuration does not get done
    (LP: #933308).
  * debian/cups.dirs: Create empty /etc/cups/interfaces directory
    (LP: #499585).
  * debian/control: Use "Recommends: cups-filters (>= 1.0.36) |
    ghostscript-cups (>= 9.02~)" as the CUPS filters in ghostscript-cups moved
    to cups-filters.

  [ Didier Raboud ]
  * Don't run the dh_auto_clean command if the Makedefs doesn't exist
    (Closes: #724134)
  * Refresh patches for 1.6.4:
    - Drop colord-add-profile-fix.patch, fixed differently upstream
    - Drop usb-backend-more-quirk-rules.patch, fixed differently upstream
    - Refresh 9 other patches
  * Refresh the manpages translation files
  * Install the usb-quirks in cups-common
  * Update the tests-use-cupsfilters patch to use a patched copy of
    cups-filters 1.0.38's cupsfilters.convs to circumvent #712337 and
    allow cups-filters 1.0.38 to ship with the optimized pstops filters
    path
  * Bump cups-filters B-D to 1.0.38 to make sure the tests run as
    expected
  * Fix typo in README.Debian
  * On upgrade to 1.6.4, keep a copy of obsolete stanzas to let
    cups-browsed's postinst read them. This eases the 1.5->1.6 upgrade.

  [ Helge Kreutzmann ]
  * Update German manpages translation.

 -- Didier Raboud <odyx@debian.org>  Wed, 27 Nov 2013 17:19:20 +0100

cups (1.6.3-1) unstable; urgency=low

  * New 1.6.3 upstream release:
    - The lp, lpq, lpr, and lpstat now display an error message advising the
      use of the /version=1.1 ServerName option (<rdar://problem/14290628>)
    - Added documentation about the /version=1.1 option to ServerName in
      client.conf (<rdar://problem/14216262>)
    - httpStatus(HTTP_ERROR) did not return a useful error message
      (Closes: #645436)
    - The lp, lpq, lpr, and lpstat commands incorrectly ignored the default
      printer set in the lpoptions file (Closes: #711848)
    - The USB backend could crash on libusb-based systems if USB was
      disabled in the BIOS (LP: #1108719).
    - Added more USB quirks for the libusb-based backend
    - The scheduler no longer tries to do Kerberos authentication over the
      loopback interface. (Closes: #640939).

  [ Didier Raboud ]
  * Refresh patches for 1.6.3:
    - usb-backend-more-quirk-rules: Shrink to only Lexmark E238 that
      missed 1.6.3 merge window
    - usb-backend-do-not-crash-if-usb-disabled-in-bios: Shrink to only
      keep the error counting exception.
    - remove-unreal-printers: Drop, was from upstream.
    - more-verbose-http-error-message: Drop, was from upstream.
    - mention-ipp-version-specifier-in-man-and-ref: Drop, differently
      included upstream. (Closes: #711848)
  * Invert symlink handling in cups-client's preinst to cope with the
    symlink-to-directory migration for /usr/share/doc. (Closes: #716867)
  * Update usb backend quirks to fix Lexmark E238 printer (Closes: #716843)
  * Get dpkg-maintscript-helper to delete /e/c/acroread.conf and
    /e/c/pdftops.conf again in 1.6.2-9~ to cleanup upgrades from cups
    1.5. (Closes: #711136)
  * Update debian/watch to cope with the new cups.org layout

  [ Brian Potkin ]
  * Rewrite README.Debian for Jessie (>= 1.6) (Closes: #714852)

 -- Didier Raboud <odyx@debian.org>  Thu, 18 Jul 2013 21:45:15 +0200

cups (1.6.2-10) unstable; urgency=low

  [ Didier Raboud ]
  * Mark the cups-client NEWS as released and make sure it can be
    installed by dropping the /usr/share/doc/cups-client symlink.
    Thanks to Evgeni Golov (Closes: #704238)
  * Backport upstream patch to remove unreal printers from the potential
    printers' list to avoid jobs to go to unexpected printers
    (Closes: #711848)
  * Backport upstream patch to enhance the HTTP_ERROR handling
    (Closes: #645436)
  * Bump Standards-Version to 3.9.4 without changes needed
  * Source package cleanup:
    - Drop outdated and not-applied cups-avahi.patch
    - Drop unused bzr-builddep configuration files
    - Add gitignore file to ignore .pc/ directory

  [ Helge Kreutzmann ]
  * Update German manpages translation.

 -- Didier Raboud <odyx@debian.org>  Wed, 26 Jun 2013 13:51:10 +0200

cups (1.6.2-9) unstable; urgency=low

  [ Helge Kreutzmann ]
  * Update German manpages translation.
  * In ipptoolfile manpage, mention that possible attribute-name are
    defined in RFC2911, for clarity. (Closes: #711709)

  [ Didier Raboud ]
  * Add a cups-client.NEWS notice, a cups-client manpage patch and amend
    the client.conf example file to inform about IPP default version
    change to 2.0 and circumvention measures. (Closes: #704238, #711192)
    - thanks to Brian Potkin
  * Reorder patches to have the manpages translation patch higher on the
    patch queue
  * Fix hyphen-correction typo
  * Update manpage translations with the recent changes
  * Drop outdated and not-applied colord-support patch.

  [ Alexey Galakhov ]
  * Add patch to fix printer icc profiles registration in colord
    (Closes: #711868)

 -- Didier Raboud <odyx@debian.org>  Sun, 16 Jun 2013 15:32:29 +0200

cups (1.6.2-8) unstable; urgency=low

  * Upload to unstable.

  [ Helge Kreutzmann ]
  * Update German manpages translation.

 -- Didier Raboud <odyx@debian.org>  Tue, 04 Jun 2013 14:17:42 +0200

cups (1.6.2-7) experimental; urgency=low

  * Update the patch adding libusb error handling to also discard its
    errors in the counting of warning messages; this should make the
    error-suite succeed in more cases.

 -- Didier Raboud <odyx@debian.org>  Fri, 03 May 2013 11:30:59 +0200

cups (1.6.2-6) experimental; urgency=low

  [ Till Kamppeter ]
  * In Ubuntu, let the cups-daemon binary package depend on
    avahi-daemon, not only recommend it, as the Upstart script for CUPS
    starts CUPS only after starting avahi-daemon (LP: #1133794).
  * In the logrotate config file: Do not remove CUPS' log files while
    the CUPS daemon is running. Stop CUPS, move the files, and then
    start it again.  This avoids crashes during the log rotation process
    (LP: #1086019).
  * Add patch to add more error handling to the libusb-based USB
    backend, especially to avoid a crash when USB is disabled in the
    BIOS (LP: #1108719).

 -- Didier Raboud <odyx@debian.org>  Wed, 01 May 2013 16:25:53 +0200

cups (1.6.2-5) experimental; urgency=low

  * Added quirk rule for the QinHeng CH340S USB->Parallel adapter.
    (LP: #1000253)

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 15 Apr 2013 15:13:01 +0200

cups (1.6.2-4) experimental; urgency=low

  [ Till Kamppeter ]
  * Let the DNS-SD subtype "_universal" get added to the printer's
    DNS-SD registration; it is needed for iOS to find the printers.
  * Merged the quirk rule patches, added quirk rules for five
    additional printers:
    - Lexmark e250d (LP: #1084164)
    - Canon PIXMA iP6000D (LP: #1160638)
    - Canon MF4150 (LP: #1160638)
    - Brother HL-1450 (LP: #1000253)
    - Epson Stylus Color 670 (LP: #872483)

  [ Martin Pitt ]
  * Allow "audit_write" capability in AppArmor profile. (LP: #1157318)

 -- Didier Raboud <odyx@debian.org>  Fri, 12 Apr 2013 11:24:27 +0200

cups (1.6.2-3) experimental; urgency=low

  [ Didier Raboud ]
  * Update the upstream status of the manpage-hyphen-minus patch.
  * Cleanup cups-server-common cleanup. Fixes FTBFS for arch-only build.

  [ Till Kamppeter ]
  * Added rm_conffile /etc/logrotate.d/cups 1.6.2-3~ to clean up
    logrotate conffile if it did not get moved by the mv_conffile line
    (LP: #1157758)

 -- Didier Raboud <odyx@debian.org>  Thu, 21 Mar 2013 13:23:45 +0100

cups (1.6.2-2) experimental; urgency=low

  * Split architecture independent documentation and files out of cups,
    to cups-server-common:
    - Patch the documentation generation to make it fully arch-independant
  * Packages cleanup:
   - In cups-daemon, drop superfluous Suggests against lsb-base.
   - Add missing DEP3 headers.
   - Add missing 'empty-directory' lintian overrides.
   - Add patch to correct all hyphen-used-as-minus-sign lintian errors.

 -- Didier Raboud <odyx@debian.org>  Wed, 20 Mar 2013 15:00:08 +0100

cups (1.6.2-1) experimental; urgency=low

  * New upstream release
    - Adds localizations for Czech, French, and Russian
    - Adds several improvements to the USB backend on Linux
    - Fixes several printing and tool bugs

  * Patches:
    - Drop all patches previously backported from upstream
    - Update all remaining patches
  * Merge changes targeted at Wheezy:
    - Correct usb-backend quirk for Epson Stylus Photo 750
      (Closes: #697970)
  * Manpage translation infrastructure:
    - Refresh it.
    - Allow the translation of the ipptool and ipptoolfile manpages.
    - Fix translation infrastructure typos, to get 'man cups-files.conf'
      localized.
  * More cups-daemon split cleanup:
    - Drop superfluous Priority snd Section settings.
    - Install the forgotten ipp14 backend.
    - Drop two unmatched lintian overrides.
    - Drop ipp and ipp14 from the cups backends selection; they are
      shipped unconditionally in cups-daemon.
    - Add long-description to the init script
    - Alter the cups-daemon short description.
  * In cups-client, add 'accept' and 'reject' manpage symlinks.
  * Bump private symbols version to latest upstream.

 -- Didier Raboud <odyx@debian.org>  Tue, 19 Mar 2013 16:21:18 +0100

cups (1.6.1-3) experimental; urgency=low

  * Wait 30 minutes for jobs to complete, hopefully fixes the mips
    FTBFS.
  * Make 'noopt' building succeed by relaxing the makeshlibs
    requirements in that case, thanks to Sam Lantinga. (Closes: #645329)
  * Add slapd and nslcd to cups' Should-Start LSB headers.
    (Closes: #702248)
  * Backport upstream documentation fix for STR#4223 "lpadmin to root
    privilege escalation"

 -- Didier Raboud <odyx@debian.org>  Sat, 09 Mar 2013 17:40:09 +0100

cups (1.6.1-2) experimental; urgency=low

  [ Till Kamppeter ]
  * In upstart, let the CUPS daemon start after avahi-daemon, to assure
    that the Bonjour broadcasting of shared printers works.
  * Import upstream patch to add support for specifying the IPP version
    of a remote CUPS server in /etc/cups/client.conf (LP: #1069671),
    refresh the other ones affected.

  [ Didier Raboud ]
  * Cherry-pick more upstream enhancements:
    - Add french translation (CUPS STR: #4247)
  * Refresh po4a translations
  * Merge the 1.5.3-2.14 Debian release.
  * Correct Replaces/Breaks versions of cups-daemon against cups to cope
    with recent Ubuntu releases (LP: #1099242).
  * Make sure /e/cups/raw.{convs,types} are deleted during purge.
    (Closes: #698213)
  * Take manpage translations out of the manpage-translations patch to
    ease external contributions to the .po files.
  * Add usb-backend quirk for Epson Stylus Photo 750 (Closes: #697970)

  [ Helge Kreutzmann ]
  * Update German manpages translation. (Closes: #698965)

  [ Julien Patriarca ]
  * Update French manpages translation. (Closes: #700295)

  [ Vincent McIntyre ]
  * Document the way to make sure LPD support, as provided by cups-bsd,
    is kept enabled across upgrades. (Closes: #671347)

 -- Didier Raboud <odyx@debian.org>  Thu, 14 Feb 2013 21:35:20 +0100

cups (1.6.1-1) experimental; urgency=low

  * New upstream release
     - Avahi-based Bonjour/DNS-SD/mDNS support
     - ICC-based color management with colord
     - IPP-Everywhere support
     - Moved filters not needed by Mac OS to cups-filters project at
       OpenPrinting.
     - Moved API of libcupsdrivers (driver.h) and of part of libcupsimage
       (image.h) to cups-filters.
     - cups-polld removed
     - Fixes: LP: #904093, LP: #1027804, Closes: #690522

  [ Marc Deslauriers ]
  * debian/local/apport-hook.py: Also attach AppArmor information and logs.

  [ Jamie Strandboge ]
  * debian/local/apparmor-profile: deny capability block_suspend. It is noisy
    and doesn't seem to actually be needed. This can be revisited if it turns
    out it is needed. (LP: #1031583)

  [ Till Kamppeter ]
  * debian/patches/ipp-backend-cups-1.5.4-fixes.patch,
    debian/patches/install-sh-remove-bashism.patch,
    debian/patches/usb-backend-busy-loop-fix.patch,
    debian/patches/usb-backend-detach-usblp-earlier-crash-guards.patch,
    debian/patches/usb-backend-initialize-usblp-attached-state.patch,
    debian/patches/usb-backend-further-enhancements.patch,
    debian/patches/snmp-dont-stop-without-ipv6.patch,
    debian/patches/cups-avahi.patch,
    debian/patches/colord-support.patch: Removed, included upstream.
  * debian/patches/dnssd-reg-array-linear-search.patch: Removed, not applicable
    any more.
  * debian/patches/pidfile.patch,
    debian/patches/airprint-support.patch,
    debian/patches/no-conffile-timestamp.patch,
    debian/patches/drop_unnecessary_dependencies.patch,
    debian/patches/configure-default-browse-protocols.patch
    debian/patches/add-ipp-backend-of-cups-1.4.patch
    debian/patches/printer-filtering.patch,
    debian/patches/show-compile-command-lines.patch,
    debian/patches/pstops-based-workflow-only-for-printing-ps-on-a-ps
    -printer.patch,
    debian/patches/tests-ignore-usb-crash.patch: Manually regenerated to adapt
    to upstream changes.
  * debian/patches/debian/patches/ppd-poll-with-client-conf.patch,
    debian/patches/manpage-translations.patch,
    debian/patches/rootbackends-worldreadable.patch,
    debian/patches/reactivate_recommended_driver.patch,
    debian/patches/read-embedded-options-from-incoming-postscript-and-add-to-ipp
    -attrs.patch,
    debian/patches/do-not-broadcast-with-hostnames.patch,
    debian/patches/confdirperms.patch,
    debian/patches/log-debug-history-nearly-unlimited.patch,
    debian/patches/tests-ignore-warnings.patch,
    debian/patches/tests-ignore-usb-crash.patch,
    debian/patches/tests-slow-lpstat.patch,
    debian/patches/tests-fix-ppdLocalize-on-unclean-env.patch,
    debian/patches/pidfile.patch: Refreshed with quilt.
  * debian/patches/airprint-support.patch: Fixes in the conditionals to make
    AirPrint work with the new upstream Avahi support, support for iOS 6
    clients (LP: #1054495).
  * debian/patches/network-backends-snmp-queries-optional.patch: SNMP queries
    by network backends can get suppressed now by adding "?snmp=false" to the
    end of the URI. SNMP queries to Bonjour-shared CUPS queue will get
    suppressed by default.
  * debian/patches/usb-backend-reset-after-job-only-for-specific-devices.patch:
    Let the USB backend only send a clean-up reset after the job if it is
    really needed (LP: #1032456), force-uni-directional access for Canon
    Pixma iP4200 (CUPS STR #4155) and iP4300 (LP: #1032385).
  * debian/patches/usb-backend-more-quirk-rules.patch: Added more quirk rules
    which are not yet committed upstream: Canon MP500 (LP: #1032456), MP510
    (LP: #1050009), MP550 (CUPS STR #4155), MP560 (CUPS STR #4155), Brother
    HL-1430 (LP: #1038695), Oki Okipage 14ex (LP: #872483), Oki B410d
    (LP: #872483), all Zebra printers (LP: #1001028).
  * debian/patches/cupsd-conf-remove-obsolete-browse-directives.patch:
    Removed obsolete "BrowseOrder" and "BrowseAllow" lines from cupsd.conf.
  * debian/patches/get-ppd-file-for-statically-configured-bonjour-shared
    -queues.patch:
    Applications could not get the PPD file for statically-configured Bonjour-
    shared print queues (CUPS STR #4159)
  * debian/patches/get-ppd-file-for-statically-configured-ipp-shared
    -queues.patch:
    Applications could not get the PPD file for statically-configured IPP-
    shared print queues (CUPS STR #4178)
  * debian/patches/printers-c-recognize-remote-cups-queue-via-dnssd-uri.patch,
    Treat raw queues pointing to a CUPS server as remote queues (using PPD on
    server) also if they have a "dnssd://..." URI.
  * debian/patches/avahi-not-considered-at-some-dnssd-conditionals.patch: At
    some points Avahi was not considered in conditionals for DNS-SD. This
    broke most of the printer sharing functionality.
  * debian/patches/prevent-crash-due-to-null-host-name-or-fqdn-from-avahi.patch:
    Prevent crash due to NULL host name or FQDN from Avahi (CUPS STR #4183,
    LP: #1046982, LP: #1034045).
  * debian/patches/fix-crash-on-shutdown-caused-by-broken-avahi-config.patch:
    Fix crash on shutdown caused by broken Avahi config (CUPS STR #4192,
    LP: #1036974).
  * debian/patches/fix-another-spot-where-avahi-crashes-cupsd-because-it-does
    -not-handle-null-values-from-its-own-apis.patch:
    Fix another spot where Avahi crashes cupsd because it does not handle NULL
    values returned by its own APIs (CUPS STR #4200, LP: #1041013).
  * debian/patches/cupsd-no-crash-on-avahi-threaded-poll-shutdown.patch:
    Fixed crash which sometimes happens on shutdown of the CUPS daemom,
    caused by a wrong shutdown sequence for shutting down the Avahi threaded
    poll (CUPS STR #4213, CUPS STR #4180, LP: #1034045).
  * debian/patches/filter-out-all-control-characters-from-the-1284-device
    -id.patch:
    Do not only filter newline characters out of device IDs but any
    non-printable character (CUPS STR #4124).
  * debian/patches/ipp-backend-did-not-specify-the-compression-used.patch:
    The IPP backend did not specify the compression used (CUPS STR #4181).
  * debian/patches/ipp-backend-did-not-send-cancel-request-to-printers-when-a
    -job-was-canceled-and-printer-did-not-support-create-job.patch:
    The IPP backend did not send a cancel request to printers when a job was
    canceled and the printer did not support Create-Job. This is to improve the
    "ipp" backend as much as possible to reduce the ned of the "ipp14" backend
    ("ipp" backend of CUPS 1.4.x added to the Debian/Ubuntu package as fallback
    in case of regressions of the current "ipp" backend).
  * debian/patches/work-around-some-broken-ipp-printers.patch: Work around
    some broken IPP printers (CUPS STR #4190). Also catch late authentication
    issues so the backend doesn't just spin on a print request that will never
    succeed.
  * debian/patches/ipp-backend-abort-the-outer-loop-if-we-get-a-failure-from
    -send-document.patch,
    debian/patches/ipp-backend-could-get-stuck-in-an-endless-loop-on-certain
    -network-errors.patch:
    Prevent IPP backend from falling into an infinite loop in certain
    situations (CUPS STR #4194).
  * debian/patches/fix-make-check.patch: Fix "make check".
  * debian/patches/ubuntu/ubuntu-disable-browsing.patch: Updated.
  * debian/cups.install: Removed all references to the discontinued cups-polld.
  * debian/rules: Removed lines for deletion of filters, fonts and glyphs which
    have moved to cups-filters and also the line for commenting out conversion
    rules.
  * debian/rules, debian/cups.install, debian/cups-common.install: Do not
    install fonts and charsets, there are none any more in CUPS.
  * debian/control, debian/libcupsdriver1-dev.install,
    debian/libcupsdriver1.symbols, debian/libcupsdriver1.install:
    libcupsdriver.so got moved to cups-filters as part of libcupsfilters.so.
  * debian/libcupsimage2-dev.install: image.h removed, this API has moved to
    cups-filters.
  * debian/rules: Removed "--with-remote_protocols='CUPS dnssd'" from the
    ./configure command line and removed the "CUPS" from
    "--with-local_protocols='CUPS dnssd'". These settings are not supported
    any more in CUPS 1.6.x.
  * debian/rules, debian/libcups2-dev.examples: Removed references to scripting/
    this subdirectory does not exist any more in CUPS 1.6.x.
  * debian/libcups2.symbols, debian/libcupsimage2.symbols: Refreshed using the
    diff of the dpkg-gensymbols output during build.
  * debian/cups.postinst: Clean /etc/cups/cupsd.conf from all keywords and
    settings which got obsolete with the dropping CUPS Broadcasting/Browsing
    in CUPS 1.6.x: BrowsePoll, BrowseAllow, BrowseDeny, BrowseOrder, and
    BrowseRemoteProtocols lines get removed and the "cups" argument gets
    removed from the BrowseLocalProtocols line (LP: #1052897).
  * Split the "cups" binary package into "cups" and "cups-daemon".
    Installation of "cups-daemon" without "cups" gives a CUPS
    environment for raw queues only, especially as a client-only mode
    with queues pointing to remote printers set up automatically with
    cups-browsed from cups-filters. This environment gives basic
    printing support on low-footprint mobile systems, like Ubuntu for
    Android.

  [ Martin Pitt ]
  * manpage-translations.patch: Update German manpage translations, thanks
    Helge Kreutzmann! (Closes: #670042)
  * manpage-translations.patch: Update French manpage translations, thanks
    Julien Patriarca! (Closes: #670224)
  * debian/README.Debian: Explain how to enable cups-lpd, thanks Vincent
    McIntyre. (Closes: #508941)

  [ Didier Raboud ]
  * Make sure unowned obsolete backends are removed on configure.
    (Closes: #683754)
  * Update all debconf translations to cope with the ipp14 addition and
    parallel and serial removals.
  * Add patch to force C locale when testing the (non-)localized PPD
    content fetch.
  * Re-order patches to put the tests-fixing ones earlier.
  * Rename tests-slow-lpstat.patch to
    tests-wait-on-unfinished-jobs-everytime.patch : wait on remaining
    jobs before each test. This fix the too slow architectures' FTBFS.
  * When modprobe'ing usblp, respect the blacklist. Thanks to Julien
    Cristau for noticing!
  * Use cups-filters' filters, type declarations, conversions, libraries
    and banners in the tests. Add cups-filters' and libcupsfilters1-dev
    Build-Depends, with a version bigger than 1.0.24-3~ (to pull bc in).
  * Convert packaging repository to Git, change VCS-* fields accordingly,
    update debian/README.source.
  * Merge releases targeted at wheezy.
  * Refresh all patches using "quilt -p ab".
  * Uploaders:
    - Add myself.
    - Remove Kenshi Muto <kmuto@debian.org> with his agreement and with
      great thanks for his past work!
  * Put under Debian Printing Team umbrella.
  * Drop cupsddk transitional package, was transitional in Squeeze.
  * Make libcupsimage2 depend on libcupsfilters1 as functions (and
    exported symbols) moved there.
  * Enable manpage translations by installing them from debian/rules
    when they exist. This allows the build to be more robust against
    non-complete translations.
  * Disable pstops-based-workflow-only-for-printing-ps-on-a-ps-printer.patch,
    as it breaks the build tests in 1.6.1. Re-opens #593338.
  * Remove the obsolete etc/cups/pdftops.conf and etc/cups/acroread.conf
    using cups.maintscript. (Closes: #645442)
  * Drop redundant dpkg-maintscript-helper snippets in cups maintainer
    scripts.
  * Drop redundant Priority and Section values in debian/control.
  * Convert packaging to debhelper 9; drop cdbs Build-Depends.
  * Drop all relationships to libcupsys2{,-dev} and cupsddk-drivers as
    they got removed before Lenny.
  * In tests-ignore-usb-crash.patch, also ignore "[cups-deviced] PID *
    (dnssd) stopped with status 1" errors.
  * Make sure internal libraries relationships are tight enough.
  * Fix STR#4223 "lpadmin to root privilege escalation" by including the
  * upstream heavy fix.
    Fixes CVE-2012-5519, Closes: #692791.
  * Update most patches to cope with the above change.
  * Make sure to drop CVS tags from all config files.
  * Import "The scheduler did not delete job control backup files
    (STR #4244)" from upstream to fix the testsuite.

 -- Didier Raboud <odyx@debian.org>  Sat, 12 Jan 2013 09:41:00 +0100

cups (1.5.3-4) experimental; urgency=low

  [ Till Kamppeter ]
  * debian/patches/usb-backend-further-enhancements.patch: USB backend: Do
    a printer reset after each job, this makes the Prolific USB -> Parallel
    adapter finally work (LP: #987485) and makes it unnecessary to blacklist
    the usblp kernel module for some printers (LP: #997040).

  [ Martin Pitt ]
  * debian/control: Have cups strictly depend on the same binary version of
    libcups2, to avoid crashes when later libcups2 versions remove private
    symbols. (Closes: #668662)
  * Add snmp-dont-stop-without-ipv6.patch: snmp: do not die if there is no
    IPv6 support available. Patch backported from upstream trunk, thanks to
    Pino Toscano! (first half of #680604)
  * tests-ignore-warnings.patch: Also ignore avahi failure -1, to fix FTBFS on
    hurd due to D-BUS problems. Thanks Pino Toscano! (Closes: #680604)

 -- Martin Pitt <mpitt@debian.org>  Wed, 11 Jul 2012 08:57:53 +0200

cups (1.5.3-3) experimental; urgency=low

  * debian/patches/usb-backend-further-enhancements.patch: Added latest
    development work on the libusb-based USB backend:
     - Support for uni-directional devices, both protocol-1 devices and
       devices where no read endpoint is found.
     - Soft reset specific to the "PRINTER" device class. This allows a
       reset without reconnecting.
     - When closing the device, it will also get reset to its original
       configuration, before re-attaching the usblp kernel module. Do not
       restore the configuration setting when the old configuration was zero,
       as zero means "unconfigured".
     - Added option "usb-unidir" to force the backend into uni-directional
       mode. This allows to work around problems with bi-di communications,
       especially also a delay at the end of the job caused by closing the
       read channel (happens only for some devices, LP: #1001028). Also
       useful for debugging.
     - Added the quirk management of the usblp kernel module. So the problems
       of all printers which were worked around in the kernel module are
       also worked around in the libusb-based CUPS backend now (LP: #1000253).
     - Added new quirk type to quirk manager: Printers for which the usblp
       kernel module should not get reattached after printing a job
       (LP: #1000253, perhaps also LP: #995111).
     - Added additional quirks for the Prolific Technology USB -> Parallel
       adapter, as the adapter needs uni-directional mode to be forced and
       also does not like re-attaching the usblp kernel module after the
       job (last third of last page gets cut off, re-attaching probably
       sends a reset to the printer while there is still data to be printed
       in the printer's internal buffer (LP: #987485).
     - Added the command line option "usb-no-reattach". With the option set
       the usblp kernel module does not get reattached after a job has been
       printed. Some printers cut off the end of the job or even crash by
       re-attaching the module. This is a development/debug mode to test
       whether re-attaching was the culprit of a problem. Users should
       report such issues so that their printers can get added to the quirk
       list.
     - Some extra debug messages.
     - Added a missing libusb_free_config_descriptor().
    This patch is submitted upstream as CUPS STR #4128.
  * debian/patches/add-ipp-backend-of-cups-1.4.patch, debian/cups.config,
    debian/cups.lintian-overrides, debian/cups.postinst, debian/cups.prerm,
    debian/cups.templates: Add the IPP backend of CUPS 1.4.x to the current
    CUPS package as independent backend "ipp14". Some devices (like the
    LiveBox 2) do not work with the current IPP backend (LP: #945028,
    LP: #973270, LP: #990734, LP: #992468, LP: #992982).
  * debian/patches/ipp-backend-cups-1.5.4-fixes.patch: Backported latest
    fixes on the IPP backend from upstream.
  * debian/local/blacklist-cups-usblp.conf, debian/cups.postinst,
    debian/cups.install, debian/cups.preinst, debian/cups.postinst,
    debian/cups.postrm: As we have vastly improved the USB backend, we try to
    work without blacklisting the usblp kernel module again during the
    development cycle of Ubuntu Quantal.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri,  6 Jul 2012 17:28:01 +0200

cups (1.5.3-5) unstable; urgency=low

  * Team upload
    - Rebuild against a fixed libmagic1 (see #703274).
    - Non-NMU version, above all past 1.5.x experimental versions.

  * Uploaders:
    - Remove Kenshi Muto <kmuto@debian.org> with his agreement and with
      great thanks for his past work!
    - Add myself.

 -- Didier Raboud <odyx@debian.org>  Mon, 18 Mar 2013 15:23:04 +0100

cups (1.5.3-2.16) unstable; urgency=low

  * Backport upstream documentation fix for STR#4223 "lpadmin to root
    privilege escalation"
  * Correct usb-backend quirk for Epson Stylus Photo 750, thanks to
    Denis Prost (Closes: #697970)

 -- Didier Raboud <odyx@debian.org>  Mon, 11 Mar 2013 10:18:37 +0100

cups (1.5.3-2.15) unstable; urgency=low

  [ Till Kamppeter ]
  * Update airprint-support.patch to make AirPrint support also work for
    iOS 6. (Closes: #700961, LP: #1054495) - thanks to Jan Wagner.

  [ Didier Raboud ]
  * Add usb-backend quirk for Epson Stylus Photo 750 (Closes: #697970)

 -- Didier Raboud <odyx@debian.org>  Wed, 27 Feb 2013 12:59:30 +0100

cups (1.5.3-2.14) unstable; urgency=low

  * Add upstream patch to avoid using Kerberos over the local socket.
    Avoids having the hplip-cups upgrade asking for a root password
    during upgrade (Closes: #640939).
  * Fix Japanese and Russian templates translations typos (Closes: #698521)

 -- Didier Raboud <odyx@debian.org>  Sun, 20 Jan 2013 17:20:16 +0100

cups (1.5.3-2.13) unstable; urgency=low

  [ Helge Kreutzmann ]
  * Update German manpage translation (Closes: #697860).

  [ Didier Raboud ]
  * Also refresh the po4a translations infrastructure.

 -- Didier Raboud <odyx@debian.org>  Fri, 11 Jan 2013 10:30:13 +0100

cups (1.5.3-2.12) unstable; urgency=low

  [ Julien Cristau ]
  * In the dbus UTF8 checker:
    - Make sure to reset the buffer correctly.

 -- Didier Raboud <odyx@debian.org>  Sun, 30 Dec 2012 14:12:20 +0100

cups (1.5.3-2.11.1) unstable; urgency=low

  * Re-upload without spurious debian-changes-* patch.

 -- Didier Raboud <odyx@debian.org>  Sat, 29 Dec 2012 12:38:55 +0100

cups (1.5.3-2.11) unstable; urgency=low

  [ Julien Cristau ]
  * In the dbus UTF8 checker:
    - Use C.UTF-8 instead of not-certainly-available en_US.UTF-8; make
      cups depend on libc-bin (>= 2.13).
    - Make sure the buffer is really big enough.

 -- Didier Raboud <odyx@debian.org>  Fri, 28 Dec 2012 13:41:27 +0100

cups (1.5.3-2.10) unstable; urgency=low

  * Backport more upstream configuration split fixes:
    - Fix cupsctl man page
    - Generate and install cups-files.conf online help.
    - Fix "-t" operation that shows correct filename.
    - Use syslog for startup errors.
    - Fix installation of cupsd.conf: need to use ConfigurationFile and not
      ServerRoot/cupsd.conf.
    - Check permissions of ConfigurationFile and CupsFilesFile: should be
      ConfigFilePerm.

 -- Didier Raboud <odyx@debian.org>  Sun, 16 Dec 2012 15:33:27 +0100

cups (1.5.3-2.9) unstable; urgency=low

  [ Didier Raboud ]
  * In the configuration file split patch:
    - Include 'FileDevice warning fix in ipp.c:add_printer()' from Tim
      Waugh (RedHat).
    - Drop pure-comment part.
  * Remove cupsd.conf during purge too. (Closes: #695337)

  [ Bernard Massot ]
  * Fix lpa{t,d}min typo in cups.NEWS.

 -- Didier Raboud <odyx@debian.org>  Fri, 07 Dec 2012 11:41:51 +0100

cups (1.5.3-2.8) unstable; urgency=low

  * Bugfix the configuration stanzas split: it left some possibilities
    to have configuration stanzas taken from the wrong file.
    - Refresh affected patches too.

 -- Didier Raboud <odyx@debian.org>  Tue, 04 Dec 2012 17:10:04 +0100

cups (1.5.3-2.7) unstable; urgency=low

  * Backport upstream configuration files split to address CVE-2012-5519.
    - Add split-configuration-files-STR4223.patch
    - Refresh affected patches:
     - cups-deviced-allow-device-ids-with-newline.patch
     - default_log_settings.patch
     - pidfile.patch
     - reactivate_recommended_driver.patch
     - removecvstag.patch
     - tests-ignore-usb-crash.patch
    - Install the new cups-files.conf
    Fixes: CVE-2012-5519 (Closes: #692791)
  * Make cupsd.conf a non-conffile, as it is managed by cups itself.
    - On new installs, set it up from cupsd.conf.default.
    - On upgrades, move it away in preinst and move it back in postinst.
    - On aborted upgrades, move the file back in place.
  * Document the split in cups.NEWS.
  * Update translations for new manpage, install it.
  * Put under Debian Printing Team umbrella.

 -- Didier Raboud <odyx@debian.org>  Tue, 04 Dec 2012 12:13:14 +0100

cups (1.5.3-2.6) unstable; urgency=low

  * Import more fixes:
    - From RedHat:
      * USB backend quirk rule for Xerox Phaser 3124 (and maybe others).
        (STR #4217)
      * Ensure attributes are valid UTF-8 in dbus notifier.
        (RedHat #863387, STR #4219)
    - From upstream:
      * Fix to properly send cancel requests to printers not supporting
        Create-Job.
      * Fix to work around broken 1284 device IDs that use a newline
        instead of a semicolon.
      * Fix to avoid letting the IPP backend stuck in an endless loop on
        certain network errors. (STR #4194)
   * Tighten all internal dependencies on libcups2 to avoid any version
     disparity. (Closes: #668662)

 -- Didier Raboud <odyx@debian.org>  Tue, 06 Nov 2012 16:26:25 +0100

cups (1.5.3-2.5) unstable; urgency=low

  * Furhter tighten cups dependency on libcups2. (Closes: #668662)

 -- Didier Raboud <odyx@debian.org>  Fri, 02 Nov 2012 22:30:39 +0100

cups (1.5.3-2.4) unstable; urgency=low

  * Non-maintainer upload on behalf of the Printing Team.

  [ Till Kamppeter ]
  * Correctly install language-private.h as /usr/include/cups/i18n.h,
    .install file entries cannot rename files (LP: #1013470).

  [ Martin Pitt ]
  * Tighten cups' and cups-client's dependency to libcups2 to current binary
    version. They use private symbols from the libraries which the automatic
    dependencies from the .symbols files don't cover.
    (Closes: #668662, #677180)
  * manpage-translations.patch: Update German manpage translations, thanks
    Helge Kreutzmann! (Closes: #670042)
  * manpage-translations.patch: Update French manpage translations, thanks
    Julien Patriarca! (Closes: #670224)
  * debian/README.Debian: Explain how to enable cups-lpd, thanks Vincent
    McIntyre. (Closes: #508941)

  [ Didier Raboud ]
  * Backport upstream quirks for the libusb backend (Closes: #690982).
  * Packaging repository moved to Git, change VCS-* fields accordingly.

 -- Didier Raboud <odyx@debian.org>  Thu, 25 Oct 2012 08:56:29 +0200

cups (1.5.3-2.3) unstable; urgency=low

  * Non-maintainer upload on behalf of the Printing Team.
  * When modprobe'ing usblp, respect the blacklist. Thanks to Julien
    Cristau for noticing!

 -- Didier Raboud <odyx@debian.org>  Fri, 12 Oct 2012 20:13:28 +0200

cups (1.5.3-2.2) unstable; urgency=low

  * Non-maintainer upload on behalf of the Printing Team.
  * Update tests-slow-lpstat.patch to wait on remaining jobs before each
    test. This should fix the slow architectures' FTBFS.

 -- Didier Raboud <odyx@debian.org>  Thu, 11 Oct 2012 17:34:30 +0200

cups (1.5.3-2.1) unstable; urgency=low

  [ Didier Raboud ]
  * Non-maintainer upload on behalf of the Printing Team.
  * Revert all 1.5.3-2 changes.
  * Cherry-pick changes targeted at Wheezy.
  * Make sure unowned obsolete backends are removed on configure.
    (Closes: #683754)
  * Update all debconf translations to cope with the ipp14 addition and
    parallel and serial removals.
  * Add patch to force C locale when testing the (non-)localized PPD
    content fetch.

  [ Till Kamppeter ]
  * debian/patches/add-ipp-backend-of-cups-1.4.patch, debian/cups.config,
    debian/cups.lintian-overrides, debian/cups.postinst, debian/cups.prerm,
    debian/cups.templates: Add the IPP backend of CUPS 1.4.x to the current
    CUPS package as independent backend "ipp14". Some devices (like the
    LiveBox 2) do not work with the current IPP backend (LP: #945028,
    LP: #973270, LP: #990734, LP: #992468, LP: #992982).
  * debian/patches/usb-backend-further-enhancements.patch: Added latest
    development work on the libusb-based USB backend:
     - Support for uni-directional devices, both protocol-1 devices and
       devices where no read endpoint is found.
     - Soft reset specific to the "PRINTER" device class. This allows one to
       reset without reconnecting.
     - When closing the device, it will also get reset to its original
       configuration, before re-attaching the usblp kernel module. Do not
       restore the configuration setting when the old configuration was zero,
       as zero means "unconfigured".
     - Added option "usb-unidir" to force the backend into uni-directional
       mode. This allows one to work around problems with bi-di
       communications, especially also a delay at the end of the job caused by
       closing the read channel (happens only for some devices, LP:#1001028).
       Also useful for debugging.
     - Added the quirk management of the usblp kernel module. So the problems
       of all printers which were worked around in the kernel module are
       also worked around in the libusb-based CUPS backend now (LP: #1000253).
     - Added new quirk type to quirk manager: Printers for which the usblp
       kernel module should not get reattached after printing a job
       (LP: #1000253, perhaps also LP: #995111).
     - Added additional quirks for the Prolific Technology USB -> Parallel
       adapter, as the adapter needs uni-directional mode to be forced and
       also does not like re-attaching the usblp kernel module after the
       job (last third of last page gets cut off, re-attaching probably
       sends a reset to the printer while there is still data to be printed
       in the printer's internal buffer (LP: #987485).
     - Added the command line option "usb-no-reattach". With the option set
       the usblp kernel module does not get reattached after a job has been
       printed. Some printers cut off the end of the job or even crash by
       re-attaching the module. This is a development/debug mode to test
       whether re-attaching was the culprit of a problem. Users should
       report such issues so that their printers can get added to the quirk
       list.
     - debian/patches/usb-backend-further-enhancements.patch: USB backend: Do
       a printer reset after each job, this makes the Prolific USB -> Parallel
       adapter finally work (LP: #987485) and makes it unnecessary to
       blacklist the usblp kernel module for some printers (LP: #997040).
     - Some extra debug messages.
     - Added a missing libusb_free_config_descriptor().
    This patch is submitted upstream as CUPS STR #4128.
  * debian/local/blacklist-cups-usblp.conf, debian/cups.maintscript,
    debian/cups.install, debian/control: Lift the usblp blacklist, not
    needed anymore with the above fixes (Closes: #630556, #635041).

 -- Didier Raboud <odyx@debian.org>  Fri, 28 Sep 2012 12:28:55 +0200

cups (1.5.3-2) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/libcups2-dev.install, debian/rules: Correctly install
    language-private.h as /usr/include/cups/i18n.h, .install file entries
    cannot rename files (LP: #1013470).

  [ Martin Pitt ]
  * debian/local/apparmor-profile: Allow cups-pdf to read /proc/*/auxv; it's
    harmless information. (LP: #1009367)
  * debian/control: Tighten cups' and cups-client's dependency to libcups2 to
    current binary version. They use private symbols from the libraries which
    the automatic dependencies from the .symbols files don't cover.
    (Closes: #668662, #677180)

  [ Andy Whitcroft ]
  * debian/libcupsppdc1.symbols: add two optional symbols which are only
    emitted on armel and armhf architectures.

 -- Martin Pitt <mpitt@debian.org>  Tue, 19 Jun 2012 12:25:11 +0200

cups (1.5.3-1) unstable; urgency=low

  [ Till Kamppeter ]
  * New upstream release
     - Numerous fixes on IPP (LP: #945028, LP: #973270, LP: #990734,
       LP: #992468, LP: #992982, LP: #1000172, LP: #1000758)
     - USB backend based on the maintained libusb 1.0.x with support for
       bi-directional communication
     - Fixes on SNMP-based supply level reporting
     - PostScript prtinter auto-configuration reliable now
     - Several fixes on PostScript, SSL, authenticated printing, and
       networking issues
  * debian/patches/ipp-fixes-1.5.3.patch,
    debian/patches/fix-empty-translations.patch,
    debian/patches/ppd-cache-fix-crash.patch,
    debian/patches/commandtops-make-robust-against-broken-postscript.patch,
    debian/patches/cups-polld-reconnect.patch,
    debian/patches/usb-backend-libusb-1.0.patch,
    debian/patches/usb-backend-backchannel-support.patch: Removed patches which
    got included upstream.
  * debian/patches/fix-supply-level-computation-for-percent-supply-unit.patch,
    debian/patches/fix-supply-levels-for-enumerated-prtmarkersupplieslevel.patch,
    debian/patches/fix-status-reports-when-supply-levels-grow.patch,
    debian/patches/add-status-reports-for-full-waste-trays-and-cleaner-unit-eol.patch,
    debian/patches/match-marker-colorants-which-use-non-standard-string.patch,
    debian/patches/truncate-marker-supply-names-at-comma.patch: Removed supply
    level report fixes. This got solved differently upstream.
  * debian/patches/do-not-suppress-inputslot-setting-with-empty-ap-d-inputslot.patch:
    Removed, problem solved differently upstream.
  * debian/patches/cups-avahi.patch: Manually regenerated to adapt to upstream
    changes.
  * debian/patches/ppd-poll-with-client-conf.patch,
    debian/patches/colord-support.patch,
    debian/patches/airprint-support.patch,
    debian/patches/no-conffile-timestamp.patch,
    debian/patches/drop_unnecessary_dependencies.patch,
    debian/patches/read-embedded-options-from-incoming-postscript-and-add-to-ipp-attrs.patch,
    debian/patches/show-compile-command-lines.patch: Refreshed using quilt.
  * debian/patches/usb-backend-busy-loop-fix.patch: Correct loops to repeat
    claiming interfaces on USB devices when they are busy. Before, hitting busy
    state made the device opening function error out without comment
    (LP: #987485).
  * debian/patches/usb-backend-detach-usblp-earlier-crash-guards.patch: Protect
    against crashes by checking error codes of libusb functions (LP: #997040)
    and detach usblp kernel module in an earlier stage when opening a device
    (LP: #987485, LP: #997040).
  * debian/patches/usb-backend-initialize-usblp-attached-state.patch: Initialize
    usblp_attached field in printer data structure to assure that detaching
    and re-attaching the usblp kernel module is always done correctly
    (LP: #902535, LP: #959676, LP: #960666, LP: #987485,
    LP: #995111, LP: #997040, LP: #1000253, LP: #1001028).
  * debian/patches/install-sh-remove-bashism.patch: Removed bashism.
  * debian/local/blacklist-cups-usblp.conf, debian/cups.postinst,
    debian/cups.install: Blacklist the "usblp" kernel module again. We have
    now a full-featured USB backend based on the maintained libusb 1.0.x
    and so we can acess printers always through the raw USB devices making
    the module deprecated. Detaching the kernel module for each access causes
    a lot of problems: LP: #902535, LP: #959676, LP: #960666, LP: #987485,
    LP: #995111, LP: #997040, LP: #1000253, LP: #1001028.
  * debian/watch: Fixed URL.

  [ Bastian Blank ]
  * debian/control: Support multi-arch: Mark cups, cups-client, cups-bsd,
    cups-common and cups-ppdc as foreign. (Closes: #672879)

  [ Martin Pitt ]
  * debian/cups.{preinst,postinst,postrm}: Drop the removal of obsolete
    /etc/modprobe.d/blacklist-cups-usblp.conf conffile, as this file is
    reintroduced now.

 -- Martin Pitt <mpitt@debian.org>  Wed, 23 May 2012 14:31:36 +0200

cups (1.5.2-11) unstable; urgency=low

  * Add tests-slow-lpstat.patch: Wait a bit for the scheduler to catch up in
    the lpstat test. Fixes failures on slow architectures like armel. Thanks
    to Steve McIntyre! (Closes: #670878)

 -- Martin Pitt <mpitt@debian.org>  Mon, 14 May 2012 10:38:14 +0200

cups (1.5.2-10) unstable; urgency=low

  [ Martin Pitt ]
  * debian/control: Drop libtiff5-dev, just use libtiff-dev. (Closes: #665646)
  * debian/rules: Enable all hardening flags. Thanks Simon Ruderich!
    (Closes: #662821)

  [ Steve Langasek ]
  * debian/local/cups.upstart: Don't wait on udevtrigger before starting cups;
    the only reason this is here is to let '/lib/udev/udev-configure-printer
    enumerate' work, but if cups does start before we've cold-plugged
    everything, the udev rule will call '/lib/udev/udev-configure-printer add'
    for each device it discovers anyway, so this is redundant.

 -- Martin Pitt <mpitt@debian.org>  Tue, 10 Apr 2012 07:41:03 +0200

cups (1.5.2-9) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/control: In the Recommends: section of the "cups" binary package
    replaced "cups-driver-gutenprint" by "printer-driver-gutenprint" to
    reflect the new name (LP: #966217).
  * debian/patches/cups-polld-reconnect.patch: The CUPS polling daemon did not
    reinitialize its connection to the remote server on errors in all cases
    (LP: #965124, CUPS STR #4031, Red Hat bug #799595).
  * debian/patches/commandtops-make-robust-against-broken-postscript.patch:
    Updated patch to the upstream state of commandtops.
  * debian/patches/ppd-cache-fix-crash.patch: Added NULL check to fix crash
    of cupsd on corrupted data in /var/cache/cups/ (LP: #957023, CUPS STR
    #4049).
  * debian/patches/cups-avahi.patch: Refreshed with quilt.

  [ Martin Pitt ]
  * debian/cups.postinst: Don't fall over if /etc/apparmor.d/local exists and
    is not a directory. (LP: #962226)

 -- Martin Pitt <mpitt@debian.org>  Fri, 30 Mar 2012 08:44:35 +0200

cups (1.5.2-8) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/patches/ipp-fixes-1.5.3.patch: Updated IPP backend to the state of
    the upcoming CUPS 1.5.3, fixing most of the known problems with printing
    to IPP printers or servers.
  * debian/patches/ipp-backend-fails-to-trigger-authentication-prompts.patch,
    debian/patches/ipp-backend-http-1.0-fallback-fix.patch,
    debian/patches/ipp-backend-missing-document-type.patch: Removed old
    patches for the IPP backend.

  [ Martin Pitt ]
  * test-i18n-nonlinux.patch: Fix typo in #if which broke the patch. Hopefully
    Closes: #662996 for good now.

 -- Martin Pitt <mpitt@debian.org>  Wed, 14 Mar 2012 14:40:23 +0100

cups (1.5.2-7) unstable; urgency=low

  * Add fix-empty-translations.patch: Do not translate msgids to empty
    strings. Backported from upstream SVN. (LP: #953321)
  * Add test-i18n-nonlinux.patch: Do not run the CUPS_EUC_JP test case on
    BSD/Hurd either, as glibc's iconv behavior is different than what the test
    expects. (Closes: #662996)
  * debian/local/apparmor-profile: Allow gs to read /proc/*/auxv; it's
    harmless information. (LP: #936629)
  * debian/cups.dirs, debian/rules: Disable /usr/local/share/ppd/ directory
    for now, until dh_usrlocal stops failing on those.

 -- Martin Pitt <mpitt@debian.org>  Tue, 13 Mar 2012 11:46:09 +0100

cups (1.5.2-6) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/cups.postinst: Run "triggered" code porion of cups postinstall
    script also when configuring cups ("configure") so that when cups
    and a printer driver package (which triggers cups to update the PPD files
    of existing print queues) get updated together the PPD update for sure
    happens also if the driver's trigger action is not executed due to cups
    also being updated (LP: #932882).

  [ Martin Pitt ]
  * debian/control: Wrap dependencies.
  * debian/control, debian/rules: Move from hardening-wrapper to using
    dpkg-buildflags. Bump dpkg-dev build dependency to (>= 1.16.1~) for this.
  * Add tests-ignore-warnings.patch: Ignore warnings from colord and Avahi in
    the tests, as they change the expected number of warnings. These services
    are not running in a buildd environment.
  * debian/rules: Have package fail to build on test failures again.
  * debian/copyright: Convert to copyright format 1.0, and update to current
    license/copyrights.
  * debian/control: Bump Standards-Version to 3.9.3.
  * debian/control: Build against libpng-dev, with an alternative to the older
    libpng12-dev. (Closes: #662294)
  * debian/control: Prefer building against libtiff5-dev if available, falling
    back to libtiff-dev.
  * Add tests-ignore-usb-crash.patch: Ignore "[cups-deviced] PID 17962 (usb)
    crashed on signal 11!" errors in the log during the test suite. This seems
    to regularly happen on Debian/Ubuntu buildds.

 -- Martin Pitt <mpitt@debian.org>  Mon, 05 Mar 2012 08:05:41 +0100

cups (1.5.2-5) unstable; urgency=low

  * debian/patches/commandtops-make-robust-against-broken-postscript.patch:
    CUPS' commandtops filter allows auto-configuration of the default option
    settings of PostScript printers querying the printer using PostScript
    commands defined in the PPD file ("*?..." entries). Problem is that if
    one of the query commands has a PostScript error (rather common in
    manufacturer-supplied PPD files) the printer errors out and ignores all
    subsequent queries putting the auto-configuration job into a 90-second
    timeout for each query. This patch protects the job against failures
    on broken PostScript and shortens the timeout to 10 seconds, so that
    as many options as possible get auto-configured in a reasonable time.
    Thanks to Helge Blischke for applying the needed PostScript tricks
    (CUPS STR #4028). Now auto-configuration of PostScript printers actually
    works by sending a job like "echo -en '#CUPS-COMMAND\nAutoConfigure\n' |
    lp -d <printer>" which could be done by a button in a printer setup tool.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 23 Feb 2012 14:52:01 +0100

cups (1.5.2-4) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/local/blacklist-cups-usblp.conf, debian/cups.install: Removed
    the blacklisting of the "usblp" kernel module. The new libusb-1.0.x-
    based "usb" backend automatically disconnects the module from the
    printer with which it communicates and reconnects it afterwards. This
    way we can keep the module available for third-party drivers but let
    the CUPS backend use the more modern libusb method, especially
    providing bi-di access for all printers (CUPS STR #3626).

  [ Martin Pitt ]
  * Clean up /etc/modprobe.d/blacklist-cups-usblp.conf conffile on upgrade,
    using dpkg-maintscript-helper. Add necessary dpkg pre-depends for this.
  * debian/cups.{pre,post}inst: Remove upgrade transitions for versions prior
    to Debian Squeeze/Ubuntu 10.04 LTS.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 16 Feb 2012 11:28:36 +0100

cups (1.5.2-3) unstable; urgency=low

  * debian/patches/usb-backend-backchannel-support.patch: Added backchannel
    (bi-directional access) support to the "usb" backend. This allows things
    like status checks, auto-configuration (run command "echo -en
    '#CUPS-COMMAND\nAutoConfigure\n' | lpr -P <printer>" on USB-connected
    PostScript printer with manufacturer's PPD), and also use of proprietary
    manufacturer drivers which require read-back from printer (CUPS STR #2890).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 09 Feb 2012 06:17:57 +0100

cups (1.5.2-2) unstable; urgency=low

  * debian/patches/series: Actually add the new patches for the IPP backend and
    the SNMP supply level check (LP: #879625, LP: #881843, LP: #925086,
    LP: #926457).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 07 Feb 2012 17:57:57 +0100

cups (1.5.2-1) unstable; urgency=low

  [ Till Kamppeter ]
  * New upstream release
  * debian/patches/00svn_gif_overflow.patch,
    debian/patches/cups-driverd-recognize-cached-drv-generated-ppds.patch,
    debian/patches/dont-send-malformed-dbus-messages.patch,
    debian/patches/execute-commandtops-commands.patch,
    debian/patches/usb-backend-gracefully-fail-on-more-cases-of-bad-device-id.patch,
    debian/patches/usb-backend-skip-set-configuration-set-interface.patch:
    Removed, included upstream.
  * debian/patches/ipp-patch-r8950+.patch,
    debian/patches/ipp-backend-fails-to-trigger-authentication-prompts.patch,
    debian/patches/ipp-backend-missing-document-type.patch,
    debian/patches/ipp-backend-http-1.0-fallback-fix.patch: Replaced patch
    for downgrading to the IPP backend to the version of CUPS 1.4.x by patches
    for the current backend (LP: #879625, LP: #881843, CUPS STR #3985,
    CUPS STR #3986, CUPS STR #3988, thanks to Robert Bradley, robert dot
    bradley1 at gmail dot com, for the patches).
  * debian/patches/drop_unnecessary_dependencies.patch: Updated patch to
    add "-lm" to the linker command line, libcups uses the "fmod()" function
    now.
  * debian/patches/cups-avahi.patch,
    debian/patches/usb-backend-libusb-1.0.patch,
    debian/patches/printer-filtering.patch:
    Manually regenerated to adapt to upstream changes.
  * debian/patches/pidfile.patch,
    debian/patches/rootbackends-worldreadable.patch,
    debian/patches/colord-support.patch,
    debian/patches/airprint-support.patch,
    debian/patches/no-conffile-timestamp.patch,
    debian/patches/read-embedded-options-from-incoming-postscript-and-add-to-ipp-attrs.patch,
    debian/patches/do-not-broadcast-with-hostnames.patch,
    debian/patches/do-not-suppress-inputslot-setting-with-empty-ap-d-inputslot.patch,
    debian/patches/confdirperms.patch,
    debian/patches/show-compile-command-lines.patch,
    debian/patches/log-debug-history-nearly-unlimited.patch,
    debian/patches/dnssd-reg-array-linear-search.patch:
    Refreshed using quilt.
  * debian/patches/fix-supply-level-computation-for-percent-supply-unit.patch,
    debian/patches/fix-supply-levels-for-enumerated-prtmarkersupplieslevel.patch,
    debian/patches/fix-status-reports-when-supply-levels-grow.patch:
    The printer supply levels reported via SNMP, according to the printer MIB
    were not correctly interpreted (LP: #925086, CUPS STR #4016, thanks to
    Peter Hurley, peter at hurleysoftware dot com, for the patches).
  * debian/patches/add-status-reports-for-full-waste-trays-and-cleaner-unit-eol.patch:
    Added status reports for waste tray status and cleaner unit end-of-life
    (LP: #925086, CUPS STR #4017, thanks to Peter Hurley, peter at
    hurleysoftware dot com, for the patch).
  * debian/patches/match-marker-colorants-which-use-non-standard-string.patch:
    Try harder to match supply colorant values (LP: #925086, CUPS STR #4019,
    thanks to Peter Hurley, peter at hurleysoftware dot com, for the patch).
  * debian/patches/truncate-marker-supply-names-at-comma.patch: Commas in
    marker supply names misinterpreted as additional markers (LP: #926457,
    CUPS STR #4020, thanks to Peter Hurley, peter at hurleysoftware dot com,
    for the patch).
  * debian/cups.postinst, debian/cups.prerm: Updated symlinks for alias names
    of debconf-selectable CUPS backends.

  [ Martin-Éric Racine ]
  * Removed myself from Uploaders.

  [ Martin Pitt ]
  * debian/control: Drop now obsolete poppler-dev build dependency, thanks
    Pino Toscano. (Closes: #658237)
  * Drop do-not-emit-ps-level-3-with-poppler.patch, filter is now built by
    the cups-filters package.
  * debian/control, debian/rules: libusb-1.0 is not available on hurd. Drop
    build dependency on hurd and build with --disable-libusb there. Thanks
    Pino Toscano for the patch. (Closes: #658236)

 -- Martin Pitt <mpitt@debian.org>  Tue, 07 Feb 2012 09:29:59 +0100

cups (1.5.0-16) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/filters/, debian/local/backends/, debian/local/filters/,
    debian/local/cpdftocps.convs, debian/local/oopstops.convs,
    debian/local/oopstops.types, debian/local/postscript.ppd,
    debian/local/pstopdf.convs, debian/local/pstopdf.types,
    debian/local/text.convs, debian/local/textonly.ppd, debian/cups.install,
    debian/cups-common.links, debian/cups.links, debian/rules: Removed all
    add-on filters and backends which now get hosted by OpenPrinting in the
    OpenPrinting CUPS filters package (Debian package "cups-filters"). Also
    removed some obsolete or redundant filters/backends/PPDs: mailto, oopstops,
    dvipipetops, samba-to-ps, postscript.ppd, pdf.ppd.
  * debian/rules: Removed filters, backends, and MIME conversion rules from
    upstream CUPS which have now moved to the cups-filters package.
  * debian/rules: Do not apply the PDF filters add-on package any more as
    the filters are supplied by cups-filters now. Call aclocal and
    autoconf explicitly, as the add-on package does not call them for us
    any more.
  * debian/control: Let the cups binary package depend on cups-filters, so
    that the moved filters and backends stay available.
  * debian/control: Do not build-depend on liblcms1-dev any more. We do not
    have the PDF filters in this package any more.
  * debian/control: Do not depend on ttf-freefont any more.
  * debian/cups.lintian-overrides: Removed entries for serial and parallel
    backends.
  * debian/cups.postinst, debian/cups.prerm, debian/cups.templates,
    Updated debconf for the removal of the parallel and serial backends.
  * debian/patches/ubuntu/poppler-0.18.patch: Removed, as the CUPS package
    does not contain the PDF filters any more.

  [ Martin Pitt ]
  * debian/rules: Stop setting LC_MESSAGES, this was fixed upstream in the
    test suite a while ago.
  * Drop debian/dirs: Unnecessary.
  * Drop debian/suid: Not used anywhere, and the time when cups shipped suid
    backends is long gone.
  * Drop debian/docs: Redundant with debian/cups.docs.
  * Drop debian/patches/pdftops-testsuite.patch: Not applied, and fixed
    upstream.
  * manpage-translations.patch: Update German translations, thanks Helge
    Kreutzmann. (Closes: #630217)
  * Add Polish debconf translations, thanks Michał Kułach. (Closes: #657670)
  * debian/local/apparmor-profile: Allow cups-pdf to read /var/spool/cups.
    (LP: #923538)

 -- Martin Pitt <mpitt@debian.org>  Mon, 30 Jan 2012 08:35:28 +0100

cups (1.5.0-15) unstable; urgency=low

  * debian/patches/execute-commandtops-commands.patch: When sending maintenance
    command files to PostScript printers the commands got printed as plain text
    and not executed, due to the "commandtops" filter not being executed
    (CUPS STR #4007).
  * debian/patches/series,
    debian/patches/usb-backend-gracefully-fail-on-more-cases-of-bad-device-id.patch,
    debian/patches/usb-backend-libusb-1.0.patch,
    debian/patches/usb-backend-skip-set-configuration-set-interface.patch:
    Added references to the upstream bugs under which these patches got
    submitted upstream as header comments. Also moved the entries in the series
    file to the section of patches submitted upstream.
  * debian/patches/usb-backend-libusb-1.0.patch: Updated the patch to correctly
    generate the make/model string if no device ID could be found. Before,
    arbitrary memory content was picked up, not only giving an ugly listing
    of the ID-less printer in printer setup tools but also a being a potential
    crash bug.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 20 Jan 2012 10:02:27 +0100

cups (1.5.0-14) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/patches/usb-backend-libusb-1.0.patch: Migrated the "usb" CUPS
    backend to libusb 1.0.x, as libusb 0.1.x is deprecated and not maintained
    upstream any more. Also make printers working independent of what gets
    reported as their device ID, including random characters or nothing. This
    should especially make all USB->Parallel adapters work (LP: #910272).
  * debian/control: Build-depend on libusb-1.0-0-dev instead of on libusb-dev.

  [ Martin Pitt ]
  * debian/local/filters/pdf-filters/pdftoopvp/OPVPOutputDev.{h,cxx}: Drop
    definition of drawLink(). It is not being used anywhere and uses the
    "Link" class which is gone in poppler 0.18.
  * Add debian/patches/ubuntu/poppler-0.18.patch: Port SplashFontEngine()
    constructor call to poppler 0.18 API. Keep it as Ubuntu patch until Debian
    gets poppler 0.18, too. (Closes: #645507)

 -- Martin Pitt <mpitt@debian.org>  Mon, 16 Jan 2012 10:51:53 +0100

cups (1.5.0-13) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/patches/ipp-patch-r8950+.patch: Revert the IPP backend to the state
    of CUPS 1.4.x, as the 1.5.x versiuon has major regressions (LP: #877958,
    LP: #879625, LP: #881843, LP: #883585, Closes: #638521, CUPS STR #3966,
    CUPS STR #3967). This patch will get removed as soon as upstream has fixed
    all these regressions. As upstream did not announce any new features for
    the IPP backend in the release notes for 1.5.x, we assume that with this
    step no features will get lost.
  * debian/patches/dont-send-malformed-dbus-messages.patch: Do not send D-Bus
    notifications with too few parameters when there are parameters which
    cannot be added to the D-Bus request, especially invalid UTF-8 strings.
    This made gnome-session-daemon crash (LP: #893676, CUPS STR #3984).
  * debian/local/filters/cpdftocps: The cpdftocps filter (used for PostScript
    printers and for drivers with PPDs which are not PDF-aware) did not
    recognize the duplex setting correctly, making duplex not working on
    many common printers (LP: #897723).
  * debian/local/filters/cpdftocps: Cleaned up the header comments.

  [ Martin-Éric Racine ]
  * [cups.postrm]: purge /etc/cups/ssl/server.[crt|key] and /etc/cups/ssl.

  [ Martin Pitt ]
  * debian/compat: Bump from 5 to 9, this apparently was forgotten in the
    Multi-Arch transition.

 -- Martin Pitt <mpitt@debian.org>  Fri, 02 Dec 2011 11:05:51 +0100

cups (1.5.0-12) unstable; urgency=low

  [ Martin-Éric Racine ]
  * debian/control: cups-ppdc: move from net/optional to utils/optional
    to match the repository override's correct assumption.
  * Fixed: Lintian: W: spelling-error-in-changelog: lenght length.
  * Fixed: Lintian: I: conflicts-with-version: cupsddk-drivers (<< 1.4.0).
  * Fixed: Lintian: I: conflicts-with-version: cupsddk (<< 1.4.0).
  * Fixed: Lintian: W: symbols-file-contains-debian-revision: 1.5.0-0ubuntu1
    (-0ubuntu1 version removed): _mimeError@Base and mimeNew@Base.
  * Removed |libheimdal-dev from libcups2-dev Depends. (Closes: #648105)

  [ Martin Pitt ]
  * Add debian/source/options: Ignore .bzr-builddeb/, for developers who use
    bzr, but not bzr-buildpackage.
  * debian/cups.lintian-overrides: Quiesce "possible-missing-stop" warning, we
    quite deliberately do not run the init script on levels 0 and 6.

 -- Martin Pitt <mpitt@debian.org>  Sun, 13 Nov 2011 14:39:22 +0100

cups (1.5.0-11) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/patches/usb-backend-gracefully-fail-on-more-cases-of-bad-device-id.patch:
    When reading out the device ID check also for too short lengths of the
    device ID and also in this case try to change the byte order of the length
    bytes and fail if the device ID lenght is still too short (LP: #887094).
  * debian/patches/usb-backend-skip-set-configuration-set-interface.patch:
    Avoid unneeded SET_CONFIGURATION and SET_INTERFACE requests after the
    printer has already been configured. This often leads to subsequent jobs
    coming out as garbage or not at all (CUPS STR #3965, LP: #872483).
  * debian/patches/usb-backend-reset-printer-before-printing.patch: Removed,
    as we are using the less invasive approach of CUPS STR #3965 now.
    This also removes the Linux specific #include, causing FTBFS on non-Linux
    platforms. (Closes: #647666)
  * debian/cups.postinst: Allow PPD updater trigger files in
    /usr/share/cups/ppd-updaters/ also be named
    printer-driver-<driver>.ppd-updater and not only <driver> or
    <driver>.ppd-updater. This makes it easier to provide these
    files in the printer driver packages when we rename all binary packages
    of printer drivers to "printer-driver-<driver>".

  [ Martin-Éric Racine ]
  * debian/control:
    + Added the Homepage field.
    + Cleaned up duplicate Build-Depends.
  * Removed |libheimdal-dev alternative from Build-Depends (Closes: #648105)

 -- Martin Pitt <mpitt@debian.org>  Fri, 11 Nov 2011 15:48:39 +0100

cups (1.5.0-10) unstable; urgency=low

  * debian/cups.postinst: Allow PPD updater trigger files in
    /usr/share/cups/ppd-updaters/ also be named <driver>.ppd-updater
    and not only simply <driver>. This makes it easier to provide these
    files in the printer driver packages.
  * debian/patches/usb-backend-reset-printer-before-printing.patch: When
    using the "usb" CUPS backend, reset the printer before each job as
    otherwise on some printers subsequent jobs will come out as garbage
    (LP: #872483).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 21 Oct 2011 06:26:41 +0200

cups (1.5.0-9) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/patches/do-not-suppress-inputslot-setting-with-empty-ap-d-inputslot.patch:
    CUPS adds the option setting "AP_D_InputSlot=" to every job. This overrides
    the InputSlot option and so the InputSlot setting and even the default
    setting for InputSlot in the PPD get never used, rendering InputSlot
    useless (LP: #872527).
  * debian/patches/cups-avahi.patch: Updated patch from upstream (Red Hat)
    to fix crashes of the CUPS daemon when using the timeout function call
    functionality (LP: #860691, LP: #860498).

  [ Martin Pitt ]
  * debian/local/apparmor-profile: Also allow cups to map libraries under
    /usr/local/. (LP: #860765)
  * cups-avahi.patch: Make sure to guard against retrying the Avahi connection
    whilst already doing so. Thanks to Tim Waugh for the patch! (LP: #877967)

  [ Michael Vogt ]
  * debian/control: Add Conflicts/Replaces: libcupsys2 to ensure that the apt
    resolver can calculate the upgrade in a multiarch scenario where a old
    libcupsys2 package is installed (LP: #874835)

 -- Martin Pitt <mpitt@debian.org>  Wed, 19 Oct 2011 14:57:50 +0200

cups (1.5.0-8) unstable; urgency=medium

  * Urgency medium due to security fix. The previous version wasn't in testing
    yet, but already matured for half of the usual period, so it will still
    be 10 days in sum.
  * Add 00svn_gif_overflow.patch: Fix heap overflow with broken/crafted GIF
    files. Patch taken from upstream svn. [CVE-2011-3170]

 -- Martin Pitt <mpitt@debian.org>  Tue, 27 Sep 2011 14:46:38 +0200

cups (1.5.0-7) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/patches/dnssd-reg-array-linear-search.patch: Let the array of
    DNS-SD-registered printers be searched linearly and not binarily by
    the DNS-SD service name, as due to another bug the DNS-SD service name
    is not correctly set in some array elements (LP: #855445). Not
    reporting upstream yet, as the original bug can be in the Avahi
    support patch.

  [ Martin Pitt ]
  * debian/local/cups.upstart: Lower the timeout for waiting for the socket
    to 3 seconds. Tweak the respawn count and limit to be longer than the
    socket poll time, so that a continuously failing cupsd process will not
    cause an eternal respawn loop. (LP: #854490)
  * debian/control: Have libcupsmime1 break pre-1.5 versions of cups as well,
    so that we avoid having a configured "cups" packae with an upgraded, but
    unconfigured libcupsmime1 package. This takes care of LP: #854490 during
    upgrades.
  * debian/rules: Configure with --enable-debug, to stop the upstream build
    system stripping all our binaries. This fixes the cups-dbg package.

 -- Martin Pitt <mpitt@debian.org>  Thu, 22 Sep 2011 19:57:54 +0200

cups (1.5.0-6) unstable; urgency=low

  * debian/cups-client.install: Do not install the jpg/pdf/ps ipptool test
    files. They are quite large, and not used anywhere by cups itself.
  * debian/libcups2.symbols, debian/libcupsmime1.symbols: Drop revisions from
    new symbols of 1.5.0.
  * debian/local/apparmor-profile: Some third-party filters install themselves
    into a subdirectory of /usr/lib/cups/filter, adjust rule. (See LP #160092)
  * debian/control: Force libcups2 (>= 1.5) dependency on libcupsmime1, as it
    uses private symbols from libcups2. (Closes: #641182)
  * debian/libcupsmime1.symbols: Drop Debian revision suffix.
  * Update debconf translations (debconf-updatepo).

 -- Martin Pitt <mpitt@debian.org>  Thu, 15 Sep 2011 12:03:27 +0200

cups (1.5.0-5) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/cups.postinst: When executing the trigger on *.ppd-updater files of
    printer driver packages, log the modification dates of the *.ppd-updater
    (are more or less the build dates of the driver packages) after updating
    the PPDs of the existing queues for this package and only update again if
    the *.ppd-updater file has a different modification date (package got
    replaced). This avoids unnecessary updates and so long delays when one
    printer driver package gets updated.
  * debian/control: Added myself to Uploaders: to avoid Lintian warnings about
    unlogged NMUs.

  [ Martin Pitt ]
  * debian/control: Bump Breaks: cups version for libcups2, as cupsd seems to
    use internal private symbols from this library. (Closes: #638462)

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 22 Aug 2011 12:13:43 +0200

cups (1.5.0-4) unstable; urgency=low

  * debian/cups.postinst: Another fix for the PPD updater: Let the PPD updater
    not stop altogether in the case that for one driver there is no entry at all
    in the output of "lpinfo -m". This is for example the case for
    foomatic-db-engine if foomatic-db is not installed.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 19 Aug 2011 06:38:18 +0200

cups (1.5.0-3) unstable; urgency=low

  * debian/patches/cups-driverd-recognize-cached-drv-generated-ppds.patch:
    CUPS did not recognize that the PPD files generated by *.drv are cached
    in ppds.dat, and when reloading them over the entries already loaded from
    the cache, the PPD list got totally messed up (CUPS STR #3921).
  * debian/cups.postinst: Clear PPD cache when upgrading from an older version
    to remove the buggy entries for the *.drv files.
  * debian/cups.postinst: Fixes on the PPD updater:
     o Added "return 0" at the end of the ppd_updater() function, otherwise
       the progrem terminates at its end and so only the first updater file
       in /usr/share/cups/ppd-updaters/ is treated.
     o Added quotes around parameter names to conserve the special characters
       of the regexps.
     o Made sure that when regexps are applied to the lines of the temporary
       files that the resulting lines have still single newlines at their ends.
     o Log for which drivers the PPDs get updated.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 18 Aug 2011 08:45:53 +0200

cups (1.5.0-2) unstable; urgency=low

  [ Didier Raboud ]
  * Add a dpkg trigger to update the queues' PPDs on (cooperative) driver
    upgrades (Closes: #637978).

  [ Till Kamppeter ]
  * debian/patches/cups-avahi.patch: Resynced with patch upstream (Tim Waugh,
    Red Hat), via "git clone http://twaugh.fedorapeople.org/cups-avahi.git;
    cd cups-avahi, git diff origin/master origin/avahi-services-1.5 >
    ../cups-1.5-avahi.patch" and replacing cups-avahi.patch by the resulting
    patch.
  * debian/patches/airprint-support.patch: The changes for supporting Apple's
    AirPrint are not in Tim Waugh's upstream repository of cups-avahi.patch.
    Therefore we carry these changes in a separate patch to make syncing
    with Tim's patch easier.
  * debian/patches/no-conffile-timestamp.patch: Refreshed with quilt.
  * debian/patches/colord-support.patch: Added colord support. Thanks to
    Richard Hughes from Red Hat for the patch (LP: #787767, CUPS STR #3808).
  * debian/patches/no-conffile-timestamp.patch,
    debian/patches/read-embedded-options-from-incoming-postscript-and-add-to-ipp-attrs.patch,
    debian/patches/show-compile-command-lines.patch: Refreshed with quilt.
  * debian/control: Added "Recommends: colord" to the cups binary package.
  * debian/rules: Deactivated test suite failures only for this upload as the
    test suite must be adapted to colord. It changes the number of warnings
    in error_log which makes the test suite fail.
  * debian/local/filters/pdf-filters/pdftopdf/P2PFont.cxx,
    debian/local/filters/pdf-filters/pdftopdf/P2POutput.cxx,
    debian/local/filters/pdf-filters/pdftopdf/pdf2pdf.cxx: Several bug fixes
    on the pdftopdf filter from the upstream author Koji Otani. This fixes
    especially LP: #780935.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 16 Aug 2011 17:30:37 +0200

cups (1.5.0-1) experimental; urgency=low

  [ Till Kamppeter ]
  * New upstream release
  * debian/patches/usb-backend-no-segfault-on-bad-device-id.patch,
    debian/patches/usb-backend-accept-old-usblp-uris.patch,
    debian/patches/use-ps2write-ghostscript-device-for-pdftops-filter.patch:
    Removed, included upstream.
  * debian/patches/poppler-based-pdftops-fixes.patch,
    debian/patches/do-not-emit-ps-level-3-with-poppler.patch: Replaced patch
    by a new one only containing the parts which remain after removing the
    parts included upstream.
  * debian/patches/pidfile.patch,
    debian/patches/ppd-poll-with-client-conf.patch,
    debian/patches/cups-avahi.patch,
    debian/patches/drop_unnecessary_dependencies.patch,
    debian/patches/do-not-broadcast-with-hostnames.patch,
    debian/patches/ppdc-dynamic-linking.patch,
    debian/patches/pstops-based-workflow-only-for-printing-ps-on-a-ps-printer.patch:
    Manually regenerated to adapt to upstream changes.
  * debian/patches/manpage-translations.patch,
    debian/patches/rootbackends-worldreadable.patch,
    debian/patches/no-conffile-timestamp.patch,
    debian/patches/read-embedded-options-from-incoming-postscript-and-add-to-ipp-attrs.patch,
    debian/patches/cups-snmp-oids-device-id-hp-ricoh.patch,
    debian/patches/configure-default-browse-protocols.patch,
    debian/patches/logfiles_adm_readable.patch,
    debian/patches/confdirperms.patch,
    debian/patches/printer-filtering.patch,
    debian/patches/show-compile-command-lines.patch,
    debian/patches/log-debug-history-nearly-unlimited.patch:
    Refreshed using quilt.
  * debian/patches/default-ripcache-size-auto.patch: Dropped, as once,
    Ghostscript 9.04 is ignoring the cache size value as it crashes easily
    otherwise (Ghostscript upstream bug #691586) and second, CUPS defaults to
    more reasonable 128 MB (now only used for imagetops).
  * debian/patches/support-gzipped-charmaps.patch: Dropped, as the SBCS and
    VBCS character maps are not used any more by CUPS.
  * debian/rules: Enable threads in the ./configure command line, as otherwise
    CUPS 1.5.0 does not build at all.
  * debian/local/filters/pdf-filters/filter/pdftoijs.cxx,
    debian/local/filters/pdf-filters/filter/pdftoraster.cxx,
    debian/local/filters/pdf-filters/pdftoopvp/pdftoopvp.cxx,
    debian/local/filters/pdf-filters/pdftopdf/pdftopdf.cxx: Under CUPS 1.5.x.
    all programs using the PPD API of CUPS need to explicitly include
    "<cups/ppd.h>". Updated the PDF filter add-on package.
  * debian/local/filters/pdf-filters/addtocups: Make the addition of the
    pdftopdf and pdftoopvp directories also work with CUPS 1.5.x.
  * debian/local/filters/pdf-filters/addtocups,
    debian/local/filters/pdf-filters/removefromcups: Added a symbolic link
    cups/i18n.h, so that texttopdf builds.
  * debian/cups-client.install: Install the new ipptool and its sample
    files and manpages.
  * debian/cups-client.install: Commented out lines for dropped man page
    translations: ipptool, lppasswd, client.conf, ipptoolfile, cupsenable,
    lpadmin, lpinfo, cupsreject, cupsdisable, cupsaccept
  * debian/cups-common.install, debian/rules: The /usr/share/cups/charmaps
    directory got removed from CUPS.
  * debian/libcups2-dev.install: cups/i18n.h got renamed to
    cups/language-private.h. Install this as /usr/include/cups/i18n.h.
  * debian/libcups2.symbols, debian/libcupsmime1.symbols: Updated.
  * debian/cups.lintian-overrides, debian/cups.postinst, debian/cups.prerm,
    debian/cups.templates, debian/local/apparmor-profile: The "scsi"
    CUPS backend got dropped upstream, removed its treatment from these files.

  [ Martin Pitt ]
  * Add Serbian (Cyrillic) debconf translations, thanks Zlatan Todoric.
    (Closes: #635105)
  * Add Serbian (Latin) debconf translations, thanks Zlatan Todoric.
    (Closes: #635108)
  * debian/local/apparmor-profile: Allow access to serial printers on USB
    adapters. (LP: #677432)

 -- Martin Pitt <mpitt@debian.org>  Sun, 07 Aug 2011 12:53:12 +0200

cups (1.4.8-2) unstable; urgency=low

  * debian/control: Unbreak Maintainer: field. (Closes: #636574)

 -- Martin Pitt <mpitt@debian.org>  Thu, 04 Aug 2011 13:28:47 +0200

cups (1.4.8-1) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/filters/pstopdf: Added "-dNOINTERPOLATE" to the Ghostscript command
    line, this makes Ghostscript vastly faster.
  * debian/patches/use-ps2write-ghostscript-device-for-pdftops-filter.patch:
    Regenerated the patch, as we actually use it now. The "ps2write" output
    device produces finally DSC-conforming PostScript and so we can use
    Ghostscript for the pdftops filter. Made the patch also adding the
    "-dNOINTERPOLATE" to the Ghostscript command line.
  * debian/patches/series: Reactivated
    use-ps2write-ghostscript-device-for-pdftops-filter.patch and promoted it
    to the patches which should be submitted upstream.
  * debian/rules: Build CUPS with a Ghostscript-based pdftops filter.
  * debian/rules: Do not rename the pdftoraster filter of the PDF filter
    add-on any more as Ghostscript has the unified gstoraster filter now.
    Change the cost factor to make Ghostscript's filter being preferred.
  * debian/control: Let the "cups" package require at least version 9.02
    of Ghostscript, as this version does not ship a filter named pdftoraster
    any more. Added Replaces/Breaks on older Ghostscript versions
    (ghostscript-cups binary package) for smooth updating.

  [ Jamie Strandboge ]
  * debian/local/apparmor-profile: we need to allow both /var/run and /run
    for upgrades (LP: #810687)

  [ Martin Pitt ]
  * New upstream bug fix release, fixing two regressions from 1.4.7.
    (Closes: #635842)
  * debian/watch: Look for tar.bz2 instead of tar.gz now.
  * debian/local/apparmor-profile: Explicitly deny cupsd to write /run/samba,
    to avoid dmesg errors. (LP: #812035)
  * debian/control: Slightly relax ghostscript dependency to also match
    current Debian version.
  * debian/control: Add missing ghostscript build dependency.

 -- Martin Pitt <mpitt@debian.org>  Thu, 04 Aug 2011 09:35:35 +0200

cups (1.4.7-1ubuntu5) oneiric; urgency=low

  * debian/control: Added Replaces/Breaks on older Ghostscript versions
    (ghostscript-cups binary package) for smooth updating (LP: #815206).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 25 Jul 2011 09:13:11 +0200

cups (1.4.7-1ubuntu4) oneiric; urgency=low

  Reupload Debian packaging trunk for the FTBFS fix (missing ghostscript build
  dep).

  [ Till Kamppeter ]
  * debian/filters/pstopdf: Added "-dNOINTERPOLATE" to the Ghostscript command
    line, this makes Ghostscript vastly faster.
  * debian/patches/use-ps2write-ghostscript-device-for-pdftops-filter.patch:
    Regenerated the patch, as we actually use it now. The "ps2write" output
    device produces finally DSC-conforming PostScript and so we can use
    Ghostscript for the pdftops filter. Made the patch also adding the
    "-dNOINTERPOLATE" to the Ghostscript command line.
  * debian/patches/series: Reactivated
    use-ps2write-ghostscript-device-for-pdftops-filter.patch and promoted it
    to the patches which should be submitted upstream.
  * debian/rules: Build CUPS with a Ghostscript-based pdftops filter.
  * debian/rules: Do not rename the pdftoraster filter of the PDF filter
    add-on any more as Ghostscript has the unified gstoraster filter now.
    Change the cost factor to make Ghostscript's filter being preferred.
  * debian/control: Let the "cups" package require at least version 9.02
    of Ghostscript, as this version does not ship a filter named pdftoraster
    any more.

  [ Jamie Strandboge ]
  * debian/local/apparmor-profile: we need to allow both /var/run and /run
    for upgrades (LP: #810687)

  [ Martin Pitt ]
  * debian/local/apparmor-profile: Explicitly deny cupsd to write /run/samba,
    to avoid dmesg errors. (LP: #812035)
  * debian/control: Slightly relax ghostscript dependency to also match
    current Debian version.
  * debian/control: Add missing ghostscript build dependency.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 22 Jul 2011 08:04:49 +0200

cups (1.4.7-1) unstable; urgency=low

  * New upstream version.

  [ Till Kamppeter ]
  * debian/patches/ubuntu-upstart.dpatch: Updated the patch to add support
    to the new device enumeration functionality of udev-configure-printer.
    This way we do not need to retrigger the printers. Retriggering is only
    needed if udev rules change. A fallback to the old behavior is provided
    so that this CUPS package continues to work with older versions of
    udev-configure-printer.

  [ Martin Pitt ]
  * Update patches for new upstream release.
  * Drop fix-broken-ipv6-uris.patch, applied upstream.
  * debian/local/apparmor-profile: /var/run → /run transition. (LP: #810270)
  * Drop debian/patches/ubuntu-upstart.dpatch and move the upstart script to
    debian/local/cups.upstart. In debian/rules, copy it to debian/, and remove
    that again during clean. This is a slightly easier workaround for a
    nonexisting "dh_installinit --sysvinit-only" option than the previous
    creation of the upstart file with an ubuntu specific dpatch.
  * debian/patches/, debian/rules, debian/control, debian/source/format: Move
    to source format "3.0 (quilt)" and convert our dpatches to quilt patches.
    Drop dpatch build dependency.
  * Move Ubuntu specific patches to debian/patches/ubuntu. In debian/rules,
    apply them when building on Ubuntu. Add "patch" build dependency.

 -- Martin Pitt <mpitt@debian.org>  Thu, 14 Jul 2011 15:02:36 +0200

cups (1.4.6-11) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/patches/cups-avahi.dpatch: Updated Avahi patch to fix places in
    the CUPS source code where libdns_sd is supported but not Avahi.
    especially accept being called with a hostname with ".local" domain
    so that AirPrint works without "ServerAlias *" in cupsd.conf (LP: #801306).

  [ Steve Langasek ]
  * Build for multiarch. (Closes: #631425)

 -- Martin Pitt <mpitt@debian.org>  Tue, 28 Jun 2011 18:03:26 +0100

cups (1.4.6-10) unstable; urgency=low

  * debian/patches/cups-avahi.dpatch: Updated Avahi patch so that it
    generates the DNS-SD service names also correctly if there is a very
    long server name. Before it could crash if the server name was longer than
    AVAHI_LABEL_MAX - 4 (60) characters (LP: #793265).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 16 Jun 2011 19:09:11 +0200

cups (1.4.6-9) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/patches/usb-backend-accept-old-usblp-uris.dpatch: Fixed bugs in
    the patch which got introduced by the upstream clean-up and by the fix
    of a potential segfault.
  * debian/patches/usb-backend-accept-old-usblp-uris.dpatch:
    Patch got accepted upstream, replaced it by the version from
    the upstream trunk (1.5.x).

  [ Martin Pitt ]
  * debian/cups.postinst: Quiesce errors from rmmod. (Closes: #630109)

 -- Martin Pitt <mpitt@debian.org>  Wed, 15 Jun 2011 06:39:52 +0200

cups (1.4.6-8) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/patches/usb-backend-accept-old-usblp-uris.dpatch: Let the
    libusb-based "usb" backend accept also the old device URIs from the
    usblp-kernel-module-based "usb" backend, so that printing stays working
    for users who update from an old CUPS package with the usblp-based backend
    without needing to migrate the URIs. Warnings in error_log tell about
    the use of old URIs and the advantages of updating them.
  * debian/patches/cups-deviced-allow-device-ids-with-newline.dpatch: Fixed
    segfault happening sometimes when a device with a newline in its device
    ID is found.

  [ Martin Pitt ]
  * Drop usb-backend-both-usblp-and-libusb.dpatch. It's causing crashes, and
    upstream does not want it either. Instead, add a blacklist file
    debian/local/blacklist-cups-usblp.patch and install it into
    /etc/modprobe.d/; that way, we don't require kernels to disable usblp, and
    allow other spoolers than cups to work.
  * debian/cups.postinst: rmmod usblp on upgrades from earlier versions or
    fresh installs, to make above change effective without reboots as well.

 -- Martin Pitt <mpitt@debian.org>  Fri, 10 Jun 2011 11:35:33 +0200

cups (1.4.6-7) unstable; urgency=low

  * debian/patches/cups-avahi.dpatch: Updated Avahi patch so that it does
    not generate too long service names which Avahi does not accept. Printers
    did not get advertized via DNS-SD then. (LP: #793265).
  * debian/patches/cups-avahi.dpatch: Updated Avahi patch to add the text
    field entry "URF=none" and the service subtype "_universal" so that
    mDNS/Bonjour-advertized printers are recognized by AirPrint clients
    (iPhone/iPad with iOS 4.2 or newer). (LP: #711779).
  * debian/patches/cups-avahi.dpatch: In contrary to the libdns_sd API the
    Avahi API requires port numbers in host order and not in network order.
    This made the Avahi-based DNS-SD broadcasting of CUPS advertizing wronmg
    port numbers. Updated the Avahi patch to fix it. Thanks to Tim Waugh
    from Red Hat on confirming this (LP: #792309).
  * debian/local/filters/pdf-filters/pdftopdf/P2PResources.cxx: Fixed
    memory leak in pdftopdf filter which made the filter taking up several
    gigabytes when processing certain PDF files. Thanks to upstream
    author Koji Otani for the quick fix (LP: #790378).
  * debian/local/pstopdf.convs, debian/local/pstopdf.types: Do not apply
    the PDF printing workflow to PostScript input coming from the Adobe
    Reader. If this PostScript comes from an encrypted (DRM) PDF, it cannot
    be converted to PDF again by Ghostscript (LP: #782309).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 07 Jun 2011 07:04:11 +0200

cups (1.4.6-6) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/filters/pstopdf: Let pstopdf determine the page size via
    the "PageSize" or "PageRegion" setting in the 5th command line
    argument and not via "media". The "media" setting is usually
    inserted by CUPS and uses a PWG name of the paper size and not the
    name used in the PPD file. This makes Ghostscript being called
    without paper size setting and so a PDF file in the default paper
    size (A4/Letter) is passed on, breaking any printout from applications
    which send jobs in PostScript and which have a non-default paper
    size (LP: #787635).

  [ Martin Pitt ]
  * Revert calling "convert" on the banner PNGs (r961); the file is already
    correct in the source. The format conversion happens in Ubuntu's
    pkgbinarymangler, so it does not affect Debian builds at all and also this
    cannot be circumvented that way. Instead, blacklist this package from
    pkgstripfiles. (LP: #710881)
  * Bump Standards-Version to 3.9.2 (no changes necessary).

 -- Martin Pitt <mpitt@debian.org>  Wed, 25 May 2011 07:03:55 +0200

cups (1.4.6-5) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/patches/cups-avahi.dpatch: Updated the patch to add Avahi support
    to the newest state of the art from
    http://twaugh.fedorapeople.org/cups-avahi/ (upstream of the patch),
    in the hope to fix CUPS crashers like LP #759031, #754567, #711875,
    #751770.

  [ Martin Pitt ]
  * debian/local/apparmor-profile: Add cap_dac_read_search for cups-pdf. This
    circumvents the sandboxing even more, but with cups-pdf's architecture
    there is no way around it. (LP: #295536)

 -- Martin Pitt <mpitt@debian.org>  Mon, 18 Apr 2011 19:22:20 +0200

cups (1.4.6-4) unstable; urgency=low

  * debian/patches/fix-broken-ipv6-uris.dpatch: When accessing the web
    interface via http: (unencrypted) and one does an adminstrative task
    which requires encryption, on upgrading to https: (encrypted) mode
    IPv6 IP addresses without "[...]" get inserted into the URL and the
    browser cannot parse the URL correctly. Fixed with a patch from upstream
    (LP: #744674).
  * debian/rules: Convert cups.png (CUPS logo for test page) to RGBA, as the
    original 8-bit-per-pixel color map format leads to a crash in libpng. This
    prevents the CUPS test page and the banner pages from printing
    (LP: #710881).
  * debian/control: Add ImageMagick to the build dependencies, as it is
    needed for the CUPS logo image conversion.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 01 Apr 2011 11:06:02 +0200

cups (1.4.6-3) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/local/filters/pdf-filters/filter/pdftoraster.cxx: Latest bug fixes
    from upstream:
     o Respect the "*RequiresPageRegion" attribute of the PPD files in the
       same way as pstops does (LP: #405116).
     o Change default rendering intent to PERCEPTUAL.
     o Use external ICC color profile also with CMYK color space.
  * debian/local/filters/pdf-filters/pdftopdf/pdftopdf.cxx: Latest bug fixes
    from upstream:
     o Support ipp-attribute-fidelity option and MirrorPrint choice. This is
       needed that appropriate options in printing dialogs and printer setup
       tools are respected.

  [ Martin Pitt ]
  * debian/control: Downgrade smbclient to Recommends. (Closes: #618545)

 -- Martin Pitt <mpitt@debian.org>  Thu, 17 Mar 2011 10:49:04 +0100

cups (1.4.6-2) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/printer.schema: Added missing "printerType" attribute. Thanks to
    Mario Fetka for the hint (LP: #724980).

  [ Martin Pitt ]
  * ubuntu-upstart.dpatch: Fix start failure if apparmor-profile-load doesn't
    exist. Thanks Zach! (LP: #728592)

  [ Martin-Éric Racine ]
  * Added Recommends:smbclient to cups-client (Closes: #616015).

 -- Martin Pitt <mpitt@debian.org>  Tue, 15 Mar 2011 15:11:19 +0100

cups (1.4.6-1) unstable; urgency=low

  * New upstream release.

  [ Martin Pitt ]
  * ppdc-dynamic-linking.dpatch: Update to new upstream version.
  * debian/control: Bump smbclient from Suggests to Recommends.
    (Closes: #595771)

  [ Martin-Éric Racine ]
  * Updated my contact info in debian/control.

 -- Martin Pitt <mpitt@debian.org>  Sat, 19 Feb 2011 22:41:08 +0100

cups (1.4.5-3) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/rules: Do not remove the /usr/share/cups/model/ directory, some
    manufacturer-supplied printer drivers (like from Brother) still use it.
  * debian/rules: Remove a cost factor change for pstops. It is not used any
    more and overridden by
    pstops-based-workflow-only-for-printing-ps-on-a-ps-printer.dpatch
  * debian/local/filters/pdf-filters/filter/pdftoraster.cxx,
    debian/local/filters/pdf-filters/conf/pdftoraster.convs,
    debian/local/filters/pdf-filters/README,
    debian/local/filters/pdf-filters/addtocups
    debian/local/filters/pdf-filters/conf/HP-PhotoSmart_Pro_B8300-hpijs-pdftoijs.ppd,
    debian/local/filters/pdf-filters/config-scripts/cups-pdf-filters.m4,
    debian/local/filters/pdf-filters/removefromcups: Upstream changes of
    the PDF filter add-on package:
     o Added the Poppler-based pdftoraster filter. This filter is much faster
       than the Ghostscript-based filter (LP: #668800).
     o Cleaned up the sample PPD file for pdftoijs (does not go into the
       Debian/Ubuntu package of CUPS).
  * debian/rules: Rename the newly added Poppler-based pdftoraster filter
    to pdftoraster-poppler to not conflict with Ghostscript's pdftoraster
    and lower its cost factor so that it is prioritized against Ghostscript's
    filter.
  * debian/patches/cups-avahi.dpatch: Updated to fix assertion failure
    (LP: #707592, Red Hat bug #672143).

  [ Martin Pitt ]
  * debian/patches/ubuntu-upstart.dpatch: Don't ignore failures from
    apparmor-profile-load.

 -- Martin Pitt <mpitt@debian.org>  Tue, 08 Feb 2011 10:46:25 +0100

cups (1.4.5-2) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/patches/cups-avahi.dpatch: Added patch from Tim Waugh from Red Hat
    to implement full Avahi support, not only for printer discovery by the
    "dnssd" backend but also for print queue broadcasting and browsing by the
    scheduler (CUPS daemon). Fixes LP: #465916.
  * debian/patches/dnssd-avahi.dpatch: Removed, is part of new
    cups-avahi.dpatch.
  * debian/patches/quiesce-bonjour-warning.dpatch: Removed, not needed any
    more with the new cups-avahi.dpatch.
  * debian/rules: Added "--with-local_protocols='CUPS dnssd'
    --with-remote_protocols='CUPS dnssd'" to the command line of "./configure".
    This adds support for DNS-SD-based browsing and broadcasting by default.
  * debian/patches/configure-default-browse-protocols.dpatch: Fixed handling
    of "--with-local_protocols=..." and "--with-remote_protocols=..." on the
    command line of "./configure". Now (quoted) values with spaces, like
    "CUPS dnssd" are treated correctly.
  * debian/patches/usb-backend-no-segfault-on-bad-device-id.dpatch: Assure
    that the device ID string read from a USB device can never be a mess: Try
    other byte order for device ID string length also if length is too small,
    empty the read device ID string if there is an IOCTL failure, reject ID
    strings with unprintable characters, clean white space in the ID string,
    and finally accept the empty ID string as an unknown device. This
    overcomes the problem that USB-to-Parallel adapter cables do not
    report back a usable ID string. With these changes it is at least possible
    to use one adapter cable per computer if the cables do not report unique
    serial numbers via libusb and any number of adapter cables if they do
    report serial numbers via libusb. Real USB printers can always be used,
    also if there are other printers connected with an adapter cable
    (LP: #468701, LP: #564917).

  [ Martin Pitt ]
  * debian/local/apparmor-profile: Explicitly deny access to ttyUSB* to
    silence noise. This is presumably an extra control channel for some USB
    printers, but cupsd can't use it anyway. (LP: #692892)
  * ubuntu-upstart.dpatch: Drop reloading of Samba. It didn't work in some
    cases, and is better fixed in samba's upstart script (start cups in its
    pre-start).
  * debian/rules: Set LC_MESSAGES=C to avoid breaking the test suite in
    non-English locales. This is a temporary fix until it is resolved upstream
    (see http://www.cups.org/str.php?L3765).

  [ Kees Cook ]
  * ubuntu-upstart.dpatch: Use AppArmor profile loading helper. (LP: #690040)

 -- Martin Pitt <mpitt@debian.org>  Tue, 04 Jan 2011 11:02:32 +0100

cups (1.4.5-1) unstable; urgency=low

  [ Martin Pitt ]
  * New upstream bug fix/security release. The security issue
    (CVE-2010-2941) was already fixed by a backported patch in the previous
    upload.
  * Drop CVE-2010-2941.dpatch, upstream now.
  * Drop manual-section-for-drv.dpatch, obsolete with new upstream version.
  * dnssd-avahi.dpatch: Unfuzz for new upstream version.
  * debian/control: Drop xpdf-* CJK suggests, they got removed from squeeze.
    (Closes: #603467)
  * debian/control: Clean up obsolete suggests.
  * Update Catalan debconf translations, thanks Jordi Mallach!
    (Closes: #601138)
  * debian/cups-ppdc.install: Drop drv manpage, doesn't exist any more.

  [ Till Kamppeter ]
  * debian/local/filters/pdf-filters/pdftopdf/P2PForm.cxx,
    debian/local/filters/pdf-filters/pdftopdf/P2PForm.h,
    debian/local/filters/pdf-filters/pdftopdf/Makefile,
    debian/local/filters/pdf-filters/pdftopdf/P2PMatrix.h,
    debian/local/filters/pdf-filters/pdftopdf/P2PPage.cxx,
    debian/local/filters/pdf-filters/pdftopdf/P2PPage.h,
    debian/local/filters/pdf-filters/pdftopdf/P2PResources.cxx,
    debian/local/filters/pdf-filters/pdftopdf/P2PResources.h: Make
    pdftopdf working with PDF files which use "Form" without "Resource"
    dictionary. Thanks to Koji Otani for this patch and to Nicola
    Ruggero for reporting the problem and sending sample files.

 -- Martin Pitt <mpitt@debian.org>  Mon, 06 Dec 2010 19:40:56 +0100

cups (1.4.4-7) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/local/filters/pdf-filters/pdftopdf/parseargs.c,
    debian/local/filters/pdf-filters/pdftopdf/parseargs.cxx,
    debian/local/filters/pdf-filters/pdftopdf/parseargs.h,
    debian/local/filters/pdf-filters/pdftopdf/Makefile: Made pdftopdf
    building with Poppler 0.15.x. Thanks to Koji Otani for this patch.
  * debian/control: Added dependency on "cups-ppdc" package to the "cups"
    package, so that the PPDs of the drivers which come with CUPS get built
    (LP: #485383).

  [ Martin Pitt ]
  * ubuntu-upstart.dpatch: Wait until daemon is ready, to avoid race
    conditions with init scripts which expect cups tools to work right after
    restarting it. (LP: #647369)
  * ubuntu-upstart.dpatch: If D-BUS is not available, start on runlevels 2 to
    5, so that this also works in server environments. (LP: #650893)
  * debian/local/apparmor-profile: Allow access to /usr/local/lib/cups/**.
    (LP: #160092)
  * debian/local/apparmor-profile: Allow reading /usr/local/**, in case
    third-party printer drivers need auxiliary files.
  * debian/local/apparmor-profile: Allow reading /var/run/**. (LP: #659961)
  * ubuntu-upstart.dpatch: Time out after 5 seconds when the local socket
    doesn't get created. Apparently a lot of users disable it in cupsd.conf.
    (LP: #672438)
  * debian/local/filters/pdf-filters/addtocups: Link pdftoijs with $(CXX),
    since it's a C++ program. Fixes FTBFS with gcc 4.5.
  * debian/local/filters/pdf-filters/pdftopdf/Makefile: Explicitly pdftopdf
    with -lz. gcc 4.5 does not automatically link to transitive library
    dependencies any more.
  * drop_unnecessary_dependencies.dpatch: Drop hunk for reduced krb5/gssapi
    linkage. With gcc 4.5, we now need -lkrb5.

  [ Marc Deslauriers ]
  * Add CVE-2010-2941.dpatch: Fix denial of service and possible code execution
    via invalid free. Skip over and reserve unused tags in cups/ipp.{c,h}.
    [CVE-2010-2941] (Closes: #603344)

 -- Martin Pitt <mpitt@debian.org>  Fri, 12 Nov 2010 11:07:33 +0100

cups (1.4.4-6) unstable; urgency=low

  * debian/cups.preinst: Go back to using lsb-release, since dpkg-vendor is
    not installed by default (it's in dpkg-dev). Bump the version guard to
    this version, to reattempt the migration. (LP: #645328)

 -- Martin Pitt <mpitt@debian.org>  Thu, 23 Sep 2010 08:47:11 +0200

cups (1.4.4-5) unstable; urgency=low

  [ Martin Pitt ]
  * ubuntu-upstart.dpatch: Drop the dependency "on starting smbd", it causes
    samba to hang on package upgrades or manual restarts. There doesn't seem
    to be a good way to express this dependency right now. (LP: #639768)
    Instead, send a SIGHUP to smbd if it is running, which causes it to reload
    printers.

  [ Till Kamppeter ]
  * pstops-based-workflow-only-for-printing-ps-on-a-ps-printer.dpatch:
    Let CUPS use the former PostScript-based filter chain only if the input
    file is PostScript and the printer is a PostScript printer with
    manufacturer-supplied PPD file. This avoids ugly PS->PDF->PS conversions
    which are bad for the performance and sometimes cause issues
    (Closes: #593338, requested by Ricoh).

 -- Martin Pitt <mpitt@debian.org>  Thu, 16 Sep 2010 18:57:06 +0200

cups (1.4.4-4) unstable; urgency=low

  [ Till Kamppeter ]
  * default-ripcache-size-auto.dpatch: Replaced patch for letting CUPS default
    RIP_MAX_CACHE to 1/4 of the system's RAM by a patch defaulting
    RIP_MAX_CACHE to "auto". See LP: #628030.
  * debian/patches/cups-snmp-oids-device-id-hp-ricoh.dpatch: Let the "snmp"
    backend also use the manufacturer-specific MIBs of HP and Ricoh to
    obtain the device IDs of network-connected printers. This way we get more
    reliable information about make and model and in addition the supported
    page description languages, which allow to identify whether an optional
    PostScript add-on is installed or for an unsupported printer which
    generic PPD is the best choice (requested by Ricoh, thanks to Tim Waugh
    from Red Hat to create the patch).

  [ Martin Pitt ]
  * debian/control: Drop perl-modules dependency. The only script that uses
    perl is oopstops, which uses IO::Handle, and this is in perl-base.
  * debian/control, debian/rules, ubuntu-*.dpatch: Replace lsb_release call
    with dpkg-vendor, and drop lsb-release build dependency.
  * Upstartify for Ubuntu:
    - Add ubuntu-upstart.dpatch: Add debian/cups.upstart script, which now
      causes Samba to wait for cups to start. Don't have it in debian/ by
      default, since dh_installinit unconditionally prefers it over .init.
    - debian/rules: Call dh_installinit with --upstart-only when building on
      Ubuntu.
    - debian/cups.preinst: Remove old init script on upgrades when running on
      Ubuntu.
  * debian/cups.preinst: Remove some obsolete transitional code.
  * debian/cups.init.d, debian/cups.postinst: Move custom PPD directory setup
    from init script into postinst. No need to do that on every boot.

 -- Martin Pitt <mpitt@debian.org>  Tue, 14 Sep 2010 18:49:39 +0200

cups (1.4.4-3) unstable; urgency=low

  [ Jamie Strandboge ]
  * debian/cups.post{inst,rm}: update for local include file
  * debian/local/apparmor-profile: add local include file

  [ Martin Pitt ]
  * debian/rules: Stop building with --enable-threads, since currenu GnuTLS
    does not work with threads. This brings back the lost SSL/TLS support.
    (Closes: #588234, #591509)
  * debian/libcups2.symbols: Readd _http{Read,Write}GNUTLS@Base symbols to
    ensure that autogenerated shlibs dependencies for libcups get tight
    enough.
  * manpage-translations.dpatch: Update German manpage translations, thanks
    Helge Kreutzmann! (Closes: #588028)
  * debian/rules: Set DPKG_GENSYMBOLS_CHECK_LEVEL to 4 to point out outdated
    .symbols files more strongly.
  * debian/libcups2.symbols, debian/libcupsimage2.symbols: Subsume private
    optional symbols into regexps.

 -- Martin Pitt <mpitt@debian.org>  Wed, 11 Aug 2010 19:03:01 +0200

cups (1.4.4-2) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/local/filters/pdf-filters/filter/fontembed/bitset.h,
    debian/local/filters/pdf-filters/filter/fontembed/sfnt.c,
    debian/local/filters/pdf-filters/filter/texttopdf.c: Fixed bug with
    subsetting certain composite chars (LP: #605479).
  * debian/local/acroread.conf, debian/local/pdftops.conf, debian/cups.install:
    Removed /etc/cups/acroread.conf and /etc/cups/pdftops.conf. These two files
    were used by the alternative pdftops filter from Helge Blischke. As we
    switched back to the original pdftops filter these files are not needed any
    more (LP: #605564).
  * debian/local/filters/cpdftocps: The PostScript level from the PPD file
    was not used, but always the default value "2" instead. This made Xerox
    color laser printers crash on some files. Thanks to Roel van Os for the
    patch (LP: #600972).

  [ Martin Pitt ]
  * debian/control: Reintroduce the libcupsys2{-dev} Provides:, since some
    third-party printer drivers still depend on them. (LP: #433311)
  * debian/control: Have libcups2 break older cups versions. (Closes: #588643)

 -- Martin Pitt <mpitt@debian.org>  Sat, 24 Jul 2010 19:38:50 +0200

cups (1.4.4-1) unstable; urgency=medium

  [ Till Kamppeter ]
  * debian/cups.init.d: When loading kernel modules for the parallel port
    load also the "parport_pc" module (LP: #369850).
  * debian/filters/pstopdf: Fixed the problem of the UseCIEColor warning of
    Ghostscript correctly. The file format converter should not do any kind
    of color correction but simply pass the colors through (LP: #578181).
  * debian/patches/cups-deviced-allow-device-ids-with-newline.dpatch: Some
    printers have broken device IDs with newline characters inside. These
    break the cups-deviced printer discovery mechanism and so the printers
    get ignored. This patch allows newline characters in device IDs
    (LP: #468701).

  [ Martin Pitt ]
  * New upstream bug fix/security release. Therefore "medium" urgency.
    - CUPS could overwrite files as root in directories owned or writable by
      non-root users. [STR #3510, CVE-2010-2431]
    - The web interface now includes additional CSRF protection.
      [STR #3498, CVE-2010-0540]
    - The texttops filter did not check the results of allocations.
      [STR #3516, CVE-2010-0542]
    - The web admin interface could disclose the contents of memory.
      [STR #3577, CVE-2010-1748]
  * Drop select_use_after_free.dpatch: Applied upstream.
  * do-not-broadcast-with-hostnames.dpatch: Update to apply to new version.
  * debian/libcups2.symbols, debian/libcupscgi1.symbols: Update for new
    version.
  * Add support-gzipped-charmaps.dpatch: Support gzipped charset → UTF8 maps;
    they compress very well and take a lot of space.
  * debian/rules: Compress /usr/share/cups/charmaps/*.txt in cups-common.
  * debian/local/filters/pdf-filters/*: Reenable call of setErrorFunction() on
    armel, now that poppler on arm has been fixed (see #575262)
  * debian/cups.postinst: Drop some obsolete transition code.
  * debian/cups.postinst: Some versions of cups-pdf (and perhaps other
    packages) changed the permissions of /usr/lib/cups/backend. Fix that
    during upgrade. (Closes: #582942)
  * debian/control: Drop all the transitional cupsys* packages and the
    remaining provides/conflicts/replaces on them. All packages in sid are now
    transitioned to the new package names, and Lenny already had them.

 -- Martin Pitt <mpitt@debian.org>  Tue, 29 Jun 2010 19:03:39 +0200

cups (1.4.3-1) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/filters/pstopdf: Use "-dUseCIEColor" for the Ghostscript call in the
    pstopdf filter, to eliminate the warning "Set UseCIEColor for
    UseDeviceIndependentColor to work properly.".

  [ Martin Pitt ]
  * New upstream bug fix release. See http://www.cups.org/articles.php?L594
    for details.
  * Drop CVE-2010-0393.dpatch, upstream now.
  * Update usb-backend-both-usblp-and-libusb.dpatch for new version.
  * select_use_after_free.dpatch: Add additional fix by Tim Waugh and Vincent
    Danen for CVE-2010-0302, and update tag header. (Closes: #572940)

 -- Martin Pitt <mpitt@debian.org>  Fri, 09 Apr 2010 16:19:16 +0200

cups (1.4.2-10) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/local/filters/pdf-filters/pdftopdf/P2PDoc.cxx: Output of the
    pdftopdf filter was not completely complying with the Adobe specs for PDF.
    Thanks to Duncan Lock for finding and reporting the bug and Johann Felix
    Soden for creating the patch to fix it (LP: #544636).

  [ Martin Pitt ]
  * Add no-conffile-timestamp.dpatch: Disable time stamps in conffiles, to
    avoid ever-changing files in /etc. Thanks Joey Hess!
    (Rejected upstream, STR#3067; Closes: #549673)
  * CVE-2010-0393.dpatch: Replace with patch from upstream, and tag
    header. (Closes: #572940)
  * debian/local/filters/pdf-filters/*: Disable call of setErrorFunction() on
    armel for now, since armel's libpoppler is broken. This works around
    #575262, so that cups can finally go into testing again (which is more
    than overdue).

 -- Martin Pitt <mpitt@debian.org>  Wed, 24 Mar 2010 16:50:56 +0100

cups (1.4.2-9.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix loading of localized message string from arbitrary files
    through exporting the LOCALEDIR environment variable when lppasswd
    has a setuid bit set (CVE-2010-0393).

 -- Nico Golde <nion@debian.org>  Wed, 03 Mar 2010 21:28:13 +0100

cups (1.4.2-9) unstable; urgency=low

  * debian/control: Build depend on virtual libjpeg-dev package only.
    (Closes: #570381)
  * debian/cups.init.d: Fix syntax error which caused coldplug_usb_printers()
    to needlessly run udev-configure-printer for all USB devices.
  * Bump Standards-Version to 3.8.4 (no changes necesssary).
  * debian/libcupscgi1.symbols: Add new symbol from 1.4.2.
  * debian/cups.init.d: Add missing $remote_fs dependency.

 -- Martin Pitt <mpitt@debian.org>  Thu, 18 Feb 2010 15:16:26 +0100

cups (1.4.2-8) unstable; urgency=low

  [ Till Kamppeter ]
  * dynamic-default-ripcache-size.dpatch: Fixed the copy of thr new function
    cupsdDefaultRIPCacheSize() which goes into the cupsfilter utility. It did
    not return its result and made cupsfilter segfaulting independent of the
    input (LP: #442283).

  [ Martin Pitt ]
  * debian/control: Update libjpeg62-dev build/binary dependency to
    libjpeg8-dev | libjpeg-dev. (Closes: #569230)
  * Acknowledge Bdale Garbee's NMU to work around bad pdftotext behaviour due
    to a bug in ttf-freefont. This has been worked around in texttopdf itself
    in the previous upload (see LP #447961). (Closes: #519643)

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 11 Feb 2010 14:26:33 +0100

cups (1.4.2-7) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/local/filters/pdf-filters/filter/texttopdf.c: Workaround for
    bug in ttf-freefont which messed up the output of the texttopdf filter.
    Thanks to Hin-Tak Leung and Steve White to find this solution (LP: #447961).
  * debian/local/filters/pdf-filters/pdftopdf/P2PDoc.cxx,
    debian/local/filters/pdf-filters/pdftopdf/P2PGfx.cxx,
    debian/local/filters/pdf-filters/pdftopdf/P2PGfx.h,
    debian/local/filters/pdf-filters/pdftopdf/P2PObject.h,
    debian/local/filters/pdf-filters/pdftopdf/P2POutput.cxx: Upstream
    fix from Koji Otani for the following: (1) Fixed some memory leak;
    (2) pdftopdf now delays fetching a referenced object until when it is
    written to the output. This fixes memory hogging with N-up output
    (N pages per sheet). The fix is mainly done by (2). This fixes
    LP: #508731.

  [ Martin Pitt ]
  * manpage-translations.dpatch: Update to German manpage translations, thanks
    Helge Kreutzmann! (Closes: #502908)
  * debian/cups.postinst: Do not symlink snakeoil SSL certificate if
    server.{crt,key} already exist as broken symlinks. Thanks Andreas
    Büsching! (Closes: #554579)

 -- Martin Pitt <mpitt@debian.org>  Wed, 27 Jan 2010 09:19:32 +0100

cups (1.4.2-6) unstable; urgency=medium

  [ Till Kamppeter ]
  * Urgency medium, this only fixes a highly visible crash.
  * debian/local/filters/pdf-filters/pdftopdf/P2PGfx.cxx: Fixed segfault of
    the pdftopdf filter when the input PDF file has ICC-profile-based color
    space inline images. Thanks to Koji Otani for the fix. Fixes:
    LP: #407344, LP: #466119, LP: #467919, LP: #475330, LP: #488752.

  [ Martin Pitt ]
  * debian/rules: Have a failed test suite fail the build on Ubuntu again,
    buildds were fixed. (LP: #447919)

 -- Martin Pitt <mpitt@debian.org>  Mon, 21 Dec 2009 10:19:44 +0100

cups (1.4.2-5) unstable; urgency=low

  * debian/local/filters/pdf-filters/addtocups,
    debian/local/filters/pdf-filters/config-scripts/cups-pdf-filters.m4,
    debian/local/filters/pdf-filters/pdftoopvp/Makefile,
    debian/local/filters/pdf-filters/pdftoopvp/OPVPOutputDev.cxx,
    debian/local/filters/pdf-filters/pdftopdf/P2PGfx.cxx,
    debian/local/filters/pdf-filters/pdftopdf/P2PPattern.cxx: Synced
    the PDF CUPS filters with upstream. This introduces a change by Koji Otani
    to also support Poppler 0.12.2 and newer with a change in its API/ABI.
    This version compiles with both the new and the old Poppler, but it
    runs only with the Poppler with which it got compiled. This allows to
    build this package with both Ubuntu which ships the unchanged upstream
    version of Poppler 0.12.2 and Debian where the ABI changes got reverted
    by a Debian-only patch.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 09 Dec 2009 15:04:39 +0100

cups (1.4.2-4) unstable; urgency=high

  * High urgency, since this fixes a security issue and should not block the
    already messy poppler transition any further.
  * pdftopdf, pdftoopvp: Revert patch to build against new upstream 0.12.2
    poppler ABI, since it was reverted in poppler's -2 package. Tighten build
    dependency and conflict to any libpoppler5 < 0.12.2-2 now.
    (Closes: #558906, #559038, #559094)
  * Add select_use_after_free.dpatch: Fix use-after-free segfault, causing a
    remote DoS. (STR #3200, CVE-2009-3553, Closes: #557740)

 -- Martin Pitt <mpitt@debian.org>  Wed, 02 Dec 2009 09:39:28 +0100

cups (1.4.2-3) unstable; urgency=low

  * pdftopdf, pdftoopvp: Patch to build with poppler 0.12.2, which broke ABI
    without bumping SONAME or even just shlibs :-(. Thanks to Jonathan Guthrie
    for the patch! (Closes: #558755)

 -- Martin Pitt <mpitt@debian.org>  Mon, 30 Nov 2009 22:58:04 +0100

cups (1.4.2-2) unstable; urgency=low

  * debian/control, debian/rules: Drop dpkg-substvars hack for poppler-utils
    dependency, since 0.12 is in Debian now. Bump poppler-utils dependency.
  * debian/rules: Don't fail the build on test suite failure on Ubuntu, since
    its buildds currently can't resolve their own hostname. (See LP#447919)
  * poppler is now built on all architectures, so cups will build on amd64,
    too. (Closes: #556359)

 -- Martin Pitt <mpitt@debian.org>  Tue, 17 Nov 2009 07:13:55 -0600

cups (1.4.2-1) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/patches/log-debug-history-nearly-unlimited.dpatch: Made automatic
    debug logging of failed jobs (without need of "LogLevel debug") practically
    unlimited by raising the default limit from 200 to 99999 lines.
  * debian/local/filters/pdf-filters/pdftopdf/pdftopdf.cxx: pdftopdf did
    note collate for printers when they have "Collate" and
    "cupsManualCopies:True" in the PPD. Thanks to Koji Otani from BBR Japan
    for the fix.
  * debian/local/filters/cpdftocps: Fixed turning off duplex via command line
    (http://bugs.linux-foundation.org/show_bug.cgi?id=397).
  * debian/patches/usb-backend-both-usblp-and-libusb.dpatch: Fixed a bug
    of modifying the URI of the current print queue when comparing it with
    discovered URIs. Made the USB backend also compatible with URIS generated
    by old versions of CUPS, without serial number or with "serial=?"
    (LP: #450513).
  * debian/cups.init.d: Make cold-plugging of USB printers also correctly
    work if the usblp kernel module is loaded.

  [ Martin Pitt ]
  * New upstream security/bug fix release:
    - The CUPS web interface was vulnerable to several XSS and HTTP
      header/body attacks via attribute injection (STR #3367, STR #3401,
      CVE-2009-2820; Closes: #555666)
  * Drop maintain-default-option-settings.dpatch, applied upstream.
  * Update patches to new upstream version.
  * debian/control: Drop trademark stuff from package descriptions. No other
    package does that, and it's uninteresting here. The current ones with
    "easysw" were out of date, too. (Closes: #552781)
  * Now that poppler 0.12 is in Debian, drop
    disable-pdftoopvp-with-old-poppler.dpatch and bump libpoppler-dev build
    dependency.
  * poppler now ships fofi include files, which fixes the build.
    (Closes: #552818, #552223); rebuilding against new poppler ABI fixes
    uninstallability (Closes: #552456)

 -- Martin Pitt <mpitt@debian.org>  Thu, 12 Nov 2009 15:03:41 +0100

cups (1.4.1-5) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/patches/do-not-broadcast-with-hostnames.dpatch: Do not use host
    names for broadcasting print queues and managing print queues broadcasted
    from other servers by default. Many networks do not have valid host names
    for all machines (LP: #449586).
  * debian/cups.postinst: Clear cache for upgrade to CUPS 1.4.x (LP: #420490).
  * usb-backend-both-usblp-and-libusb.dpatch: Removed some lines which were
    temporarily inserted for debugging.

  [ Martin Pitt ]
  * usb-backend-both-usblp-and-libusb.dpatch: Add upstream link.
  * Drop: disable-pie-mipsen.dpatch: Didn't help to fix the mipsen segfault.
  * debian/cups.postinst: Simplify structure and avoid calling invoke-rc.d in
    Till's change above.
  * Add ppdc-dynamic-linking.dpatch: Dynamically link ppdc, to work around
    segfault on mipsen. Thanks to Sune Vuorela! (Closes: #548246)

  [ Tormod Volden ]
  * debian/cups.init.d: honour blacklist when loading ppdev and lp kernel
    modules (LP: #424795)

 -- Martin Pitt <mpitt@debian.org>  Tue, 13 Oct 2009 09:57:11 +0200

cups (1.4.1-4) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/patches/usb-backend-both-usblp-and-libusb.dpatch: Make the USB
    backend supporting both printer access via libusb and via the usblp kernel
    module. Make it also printing via libusb if the URI for the queue was
    generated via usblp and vice versa. This should solve most USB printing
    problems which occured on the transition to CUPS 1.4.x (LP: #420015,
    LP: #436495; Closes: #546558, #545288, #545453).

  [ Martin Pitt ]
  * debian/rules: Make the USB backend run as root again, udev rules do not
    cover all printers. (LP: #420015)
  * Drop debian/blacklist-cups.conf, and remove it on upgrade. With Till's fix
    from above this is not necessary any more.

 -- Martin Pitt <mpitt@debian.org>  Wed, 30 Sep 2009 15:17:53 +0200

cups (1.4.1-3) unstable; urgency=low

  * Add disable-pie-mipsen.dpatch: Disable PIE on mipsen, its binutils
    segfaults with it. (Closes: #548246)

 -- Martin Pitt <mpitt@debian.org>  Tue, 29 Sep 2009 09:22:12 +0200

cups (1.4.1-2) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/local/filters/cpdftocps: Double-sided printing did not work on
    PostScript printers when the "sides" command line option for "lp"/"lpr"
    was used (LP: #411392).
  * debian/patches/maintain-default-option-settings.dpatch: For options with
    an underscore (or any other allowed non-alphanumeric character) in their
    names the default settings were not conserved when the PPD got replaced
    ("lpadmin -p ... -m ...", system-config-printer, automatic PPD update
    for existing print queues). Fixes LP: #432902 and CUPS STR #3340.

  [ Martin Pitt ]
  * debian/cups.init.d: Don't actually re-trigger udev events for printer
    coldplugging, since according to Scott James Remnant this slows down boot
    and kills kittens. Instead, just call it with --dry-run and manually call
    udev-configure-printer.
  * debian/cups.init.d: Only run udevadm if udev and the callout are actually
    available. Drop udev dependency to a suggests. This unbreaks cups on
    platforms which do not have udev, such as kfreebsd. (Closes: #546922)
  * debian/cups.init.d: Drop "cupsctl RIPCache" setting. It changes our
    conffile (causing dpkg prompts on upgrade), and overwrites the admin's
    setting without warning.
  * Add dynamic-default-ripcache-size.dpatch: Replace above functionality by
    setting the internal default value of RIPCache to MemTotal/4, if not given
    in the configuration file.
  * debian/rules: Do not let the usb backend run as root in Ubuntu any more,
    since that has a recent enough udev. Still keep it for Debian.
  * debian/cups-ppdc.install: Update path for Martin-Éric's section change of
    drv manpage.

  [ Martin-Éric Racine ]
  * Add manual-section-for-drv.dpatch: Fix incorrect man section 7 -> 1 as
    reported by Lintian.

 -- Martin Pitt <mpitt@debian.org>  Wed, 23 Sep 2009 23:58:15 +0200

cups (1.4.1-1) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/cups.postinst: Fixed "lpstat -r" check for the auto update of
    PPDs of existing queues. "lpstat -r" exits always with status 0, we must
    check the actual output.
  * debian/cups.postinst: Updated PPD auto update, so that it works with the
    new CUPS sample driver PPDs which are dynamically generated now.

  [ Martin Pitt ]
  * New upstream bug fix release.
  * Drop patches accepted  upstream:
    - ppdc-locale-formatting.dpatch
    - usb-backend-infinite-loop-on-end-of-job.dpatch
    - dns-sd-check-typo.dpatch
  * debian/cups.preinst: Add cleanup of obsolete symlinks in /usr/share/ppd/.
    Drop cleanup from debian/cups.prerm. (Closes: #545298)
  * debian/control: Add udev dependency, since the init script calls udevadm.
    (LP: #429880)
  * debian/cups.postinst, debian/cups.init.d: Call client tools with
    "-h /var/run/cups/cups.sock" instead of "-h localhost", just in case the
    server isn't configured to listen on a TCP port.
  * dnssd-avahi.dpatch: Update to latest Fedora version, which fixes the dnssd
    backend so that it only reports devices once avahi resolution has
    completed.  This makes it report Device IDs.

 -- Martin Pitt <mpitt@debian.org>  Tue, 15 Sep 2009 11:30:07 +0200

cups (1.4.0-5) unstable; urgency=low

  * Drop shlibs files and add symbols files for all libraries, to avoid too
    weak dependencies. (Closes: #545244)
  * debian/control: Tighten dependencies between server, client, and -common
    versions.

 -- Martin Pitt <mpitt@debian.org>  Sun, 06 Sep 2009 13:17:12 +0200

cups (1.4.0-4) unstable; urgency=low

  Upload 1.4 to unstable.

  [ Till Kamppeter ]
  * debian/patches/usb-backend-infinite-loop-on-end-of-job.dpatch: Fixed the
    patch so that the usb backend really terminates after a job (LP: #420797).
  * debian/local/apparmor-profile: cupsd needs also to be allowed to read
    the /dev/bus/usb/ directory, given with the "/" in the end. This should
    finally fix LP: #420015.

  [ Martin Pitt ]
  * debian/control: Drop the transitional cupsys packages.
  * printer-filtering.dpatch: Fix sometimes overzealous filtering, thanks to
    Stéphane Graber!
  * debian/rules: Drop autoconf call on build again, we have a proper upstream
    release.
  * debian/cups.postinst, debian/cups.init.d: Call lpstat, lpadmin, and
    cupsctl with "-h localhost" to avoid querying network printers set up in
    /etc/cups/client.conf, and asking for passwords. Thanks to Martin-Éric
    Racine for tracking this down and the solution! (Closes: #543468)
  * debian/control: Bump Standards-Version to 3.8.3 (no changes).
  * debian/cups.postinst: Use signal names instead of numbers for trap.
    Quiesces a lintian bashism warning.
  * Add debian/README.source.
  * debian/local/filters/pdf-filters/filter/fontembed/Makefile: Build
    libfontembed with -fPIC to also work on HPPA. (Closes: #543973)
  * debian/local/filters/pdf-filters/pdftoopvp/Makefile: Don't install font
    configuration file as executable.
  * debian/cups.lintian-overrides: Update for currently installed backends.
  * debian/control: Re-add transitional cupsys packages (except the
    libraries), they are still needed for upgrades from Ubuntu 8.04. Add the
    "You can safely remove after upgrade" note to their description.

 -- Martin Pitt <mpitt@debian.org>  Sat, 05 Sep 2009 15:31:07 +0200

cups (1.4.0-3) experimental; urgency=low

  [ Till Kamppeter ]
  * debian/patches/usb-backend-infinite-loop-on-end-of-job.dpatch: Fixed
    upstream bug of the new libusb-based CUPS "usb" backend falling into
    an infinite loop after completing the job, blocking the next job
    (LP: #420797).

  [ Martin Pitt ]
  * debian/local/filters/pdf-filters/pdftopdf/P2PDoc.cxx: Update for poppler
    0.11.3 API, thanks to Koji Otani <sho@bbr.jp>!
  * disable-pdftoopvp-with-old-poppler.dpatch: Revert above change when
    building with poppler 0.10.x.

 -- Martin Pitt <mpitt@debian.org>  Tue, 01 Sep 2009 09:44:33 +0200

cups (1.4.0-2) experimental; urgency=low

  * Add debian/blacklist-cups.conf: Blacklist the usblp module, it's obsolete.
    CUPS uses libusb directly now. (LP: #420015, part 1)
  * debian/local/apparmor-profile: Allow cupsd to access /dev/bus/usb/.
    (LP: #420015, part 2)
  * debian/rules: Make the usb backend run as root, since /dev/bus/usb/* are
    root:root, and cups does not use the usblp kernel module any more.
    (LP: #420015, part 3)
  * disable-pdftoopvp-with-old-poppler.dpatch: Update.

 -- Martin Pitt <mpitt@debian.org>  Mon, 31 Aug 2009 17:34:48 +0200

cups (1.4.0-1) experimental; urgency=low

  [ Martin Pitt ]
  * Final 1.4.0 release.
  * Add ppdc-locale-formatting.dpatch: Fix locale handling in ppdc to avoid
    broken PPD files in non-English locales. (STR#3300)

  [ Till Kamppeter ]
  * debian/control: Let the cups package only suggest cups-ppdc and not
    recommend it, as cups-ppdc is only interesting for developers.

 -- Martin Pitt <mpitt@debian.org>  Sun, 30 Aug 2009 21:20:46 +0200

cups (1.4.0~svn8773-1) experimental; urgency=low

  * New upstream prerelease snapshot.
    [ Changes listed explicitly here as they are not yet available on
      www.cups.org ]
    1. accept and reject; the accept and reject commands have been
       officially renamed to cupsaccept and cupsreject. The old names are
       still supported via symlinks.
    2. cupsdisable and cupsenable; the cupsdisable command now supports a
       --hold option to stop printing after the current job and the
       cupsenable command now supports a --release option to release
       pending jobs for printing.
    3. cupsfilter; the cupsfilter program now supports filtering of
       already-queued print job files and can also run printer-specific
       filters specified in the PPD file.
    4. cupstestdsc; the cupstestdsc utility has been improved to better
       detect problems with PostScript print files.
    5. cupstestppd; the cupstestppd utility has been improved to test new
       PPD keywords and better detect impossible constraints.
    6. lpadmin; the lpadmin command now supports options to hold and
       release new jobs on a printer or all printers.
    7. lpoptions; the lpoptions command now describes custom options and
       their parameters.
    8. lppasswd; the lppasswd program is no longer installed setuid by
       default.
    9. lpstat; the lpstat command now supports a -H option to show the
       current default server and no longer slows down when a printer is
       specified.
   10. Look-n-feel; the web interface has been given a new look.
   11. PHP support; the "php-cgi" program is used, when available, to
       process PHP pages in the CUPS web interface.
   12. Printer configuration; improvements have been made to the add and
       modify printer pages.
   13. Printer options; the Set Default Options page now provides a
       "query" button that queries the default and installed options from
       the printer.
   14. Printer sharing; the "share printer" and "unshare printer" buttons
       are now only shown when printer sharing is enabled in the
       scheduler.
   15. Security; the web interface has been updated to support
       authentication for printing of test pages and RSS subscription
       operations.
   16. Server settings; the Administration page now provides access to
       common "advanced" server settings.
   17. Bonjour (DNS-SD) printing support; a new mdns backend provides
       Bonjour-based printer discovery and the ipp, lpd, and socket
       backends now support Bonjour address resolution.
   18. Bonjour (DNS-SD) perforance tuning; the scheduler now only uses a
       single file descriptor for printer sharing. It previously used one
       per printer.
   19. Bonjour (DNS-SD) web interface registry; when remote access is
       enabled, the scheduler can register the web interface for easier
       access.
   20. LPD client support; the cups-lpd mini-daemon now provides the
       document-name for print jobs and supports specification of a CUPS
       server.
   21. PWG Port Monitor MIB; the snmp backend now supports the PWG Port
       Monitor MIB to better choose the device URI to use.
   22. SNMP-based monitoring; the ipp, lpd, and socket backends now report
       supply levels and printer status using SNMP queries.
   23. IPP/2.x support; CUPS now conforms to the draft IPP/2.0 and IPP/2.1
       specifications.
   24. CUPS-Add-Modify-Printer operation; the scheduler now supports
       setting the printer-state-reasons attribute using this operation.
   25. CUPS-Get-Document operation; the scheduler now supports a "get
       document" operation to download files from a print job.
   26. Device location; the scheduler and backend discovery interface now
       support a device-location attribute.
   27. Hold-New-Jobs and Release-Held-New-Jobs operations; the scheduler
       now supports the Hold-New-Jobs and Release-Held-New-Jobs
       operations.
   28. Access control; the scheduler now supports multiple addresses in
       Allow and Deny lines. It also now returns a HTTP 403 (forbidden)
       status when a user authenticates successfully but is not allowed to
       perform an operation.
   29. Access logging; the scheduler now supports an AccessLogLevel
       directive to control what is logged in the access_log file.
   30. Configuration files; the default cupsd.conf file now provides an
       "authenticated" policy for easy authenticated sharing of printers.
   31. Default LogLevel; the default LogLevel is now "warn" instead of
       "info".
   32. Automatic debug logging; the scheduler now records up to the last N
       (default 200) debug messages for failed print jobs.
   33. Default paper size; the scheduler now supports a DefaultPaperSize
       directive to override the default paper size defined by the locale
       or libpaper configuration.
   34. Encryption support; the scheduler now supports a SSLOptions
       directive to optionally support Windows clients in "FIPS" mode. It
       also now loads both the server and CA certificates (if present)
       from the ServerCertificate file.
   35. Error logging; the scheduler now logs unsuccessful operations as
       errors in the error_log file.
   36. Error policies; the scheduler now supports a retry-current-job
       error policy that retries the current job immediately.
   37. Fatal error handling; the scheduler now supports a FatalErrors
       directive to control which startup errors should be considered
       fatal.
   38. Filter command-line; the scheduer now passes the
       job-originating-host-name attribute as a CUPS option to filters and
       backends.
   39. Filter environment; the scheduler now includes CUPS_JOBTYPE,
       PRINTER_INFO, and PRINTER_LOCATION variables in the environment
       passed to filters and backends.
   40. Job progress; the scheduler now supports a job-media-progress
       attribute to track the printing progress of each page.
   41. MIME database; MIME types now support a priority attribute to
       override the default (alphabetical) rules of precedence.
   42. Page logging; the scheduler now supports a PageLogFormat directive
       to control the format of the page_log file.
   43. PAM support; the scheduler now sets more PAM attributes to better
       support third-party authentication schemes.
   44. PDF job ticket support; the scheduler now supports cupsJobTicket
       comments at the beginning of PDF print jobs.
   45. Performance tuning; the scheduler now coalesces configuration and
       state file changes to reduce the amount of disk activity and caches
       printer attributes to further reduce startup time.
   46. Printcap support; the scheduler no longer clears the printcap file
       when shutting down, and can now create XML "plist" printcap files
       as well.
   47. RSS subscriptions; the scheduler now starts the notifier for RSS
       subscriptions after creation so the feed is available immediately.
   48. Sandbox support; the scheduler now runs child processes using
       restrictive policies on Mac OS X for improved security and job
       isolation.
   49. Test option; the scheduler now supports a test mode via the "-t"
       option.
   50. Device discovery; the cups-deviced helper now runs backends in
       parallel for faster discovery and streams the results of discovery
       as the backends provide them.
   51. Driver development kit; the CUPS DDK is now a standard part of
       CUPS.
   52. Driver information file support; the cups-driverd helper program
       now directly supports PPD compiler driver information files.
   53. Dynamic PPD support; drivers can now set PPD keywords dynamically
       using PPD: messages.
   54. Generic PostScript command filter; a new CUPS command file filter
       for PostScript printers provides auto-configuration, self-test
       page, and status and supply level reporting functions.
   55. New printer drivers; new generic PostScript and PCL drivers provide
       improved support for laser printers, the CUPS DDK drivers offer
       support for many HP DesignJet printers, and new label drivers offer
       support for Seiko and Tharo label printers.
   56. PJL support; the cupsPJLDisplay PPD attribute controls the PJL
       commands used to display the current user and job on the printer.
   57. PPD compiler improvements; the PPD compiler now supports Mac OS X
       .strings files, OID query strings, conditional directives, long
       file names, and a test mode. It also fixes many other bugs from the
       CUPS DDK 1.2.3 release.
   58. USB printer support; the usb backend now uses libusb when available
       to allow it to better work with third-party scanning and printing
       solutions.
   59. Banner filter; the bundled banner ("job-sheets") pages are now
       generated using a new banner filter provides easier customization
       and better support for UTF-8 text.
   60. Image filters; the standard image filters now support image files
       larger than 2GB.
   61. PDF filter; the pdftops filter has been replaced with a wrapper
       program that runs the Xpdf, poppler, or Ghostscript PDF to
       PostScript utilities.
   62. Backend API; a new cupsBackendReport function is provided to report
       a device from a backend and handles any needed quoting of the
       make-and-model, info, device-id, and location strings.
   63. Device discovery; the new cupsGetDevices function streams
       discovered devices to an application-provided callback function.
   64. IPP API; the IPP read and write functions no longer use a large
       stack-based buffer when reading and writing IPP attributes.
   65. PPD support; several new functions are provided: cupsGetPPD3,
       cupsResolveConflicts, ppdInstallableConflict, ppdLocalizeAttr,
       ppdLocalizeMarkerName and ppdPageSizeLimits.
   66. Side-Channel API; new cupsSideChannelSNMPGet and
       cupsSideChannelSNMPWalk functions allow printer drivers to do SNMP
       queries via the standard network backends.
   67. Streaming API; a new streaming request API provides asynchronous
       job creation and request submission.
  * debian/patches/freebsd.dpatch,
    debian/patches/manpage-typos.dpatch,
    debian/patches/search_mime_files_in_usr_share.dpatch,
    debian/patches/cupsaccept.dpatch,
    debian/patches/gnutls-pkgconfig.dpatch: Removed backport patches of upstream
    features.
  * debian/patches/testsuite-increase-wait-timeout.dpatch: Removed, fixed
    upstream.
  * debian/patches/removecvstag.dpatch,
    debian/patches/pidfile.dpatch,
    debian/patches/ppd-poll-with-client-conf.dpatch,
    debian/patches/quiesce-bonjour-warning.dpatch,
    debian/patches/rootbackends-worldreadable.dpatch,
    debian/patches/drop_unnecessary_dependencies.dpatch,
    debian/patches/reactivate_recommended_driver.dpatch,
    debian/patches/default_log_settings.dpatch,
    debian/patches/confdirperms.dpatch,
    debian/patches/printer-filtering.dpatch,
    debian/patches/ubuntu-disable-browsing.dpatch: Regenerated.
  * debian/local/backends/dnssd, debian/control, debian/cups.install,
    debian/rules: "dnssd" backend removed, DNS-SD discovery backend is now
    provided upstream.
  * debian/patches/dns-sd-check-typo.dpatch: Fixed typo in upstream code to
    check for the availability of dns_sd.h.
  * debian/patches/dnssd-avahi.dpatch: Added avahi support for the "dnssd" CUPS
    backend (patch from Fedora). CUPS' DNS-SD support does not build with the
    libdns_sd of avahi.
  * debian/patches/show-compile-command-lines.dpatch: Show compiler command
    lines in the output of the "make" process.
  * debian/control: Added libusb-dev to the build dependencies, the new USB
    printer backend uses libusb and not any more the usblp kernel module.
  * debian/control: Added libavahi-common-dev and libavahi-client-dev to
    the build dependencies, for the avahi patch for the DNS-SD support.
  * debian/control: Added new packages for the new shared libraries and also
    cups-ppdc for the PPD manipulation utilities of the former CUPS DDk. Added
    transitional package for CUPS DDK. Added Conflicts:/Replaces: as cupsddk
    is replaced by cups-ppdc and the files of cupsddk-drivers go into the
    main cups package.
  * debian/rules: Added "--enable-libusb" to the ./configure command line.
  * debian/rules: Added "--enable-avahi" to the ./configure command line.
  * debian/rules: Call autoconf, as we have an SVN snapshot currently.
  * debian/rules: Updated individual file installation and adaptation steps
    for the new CUPS version.
  * debian/libcups2-dev.install: Added new header file versioning.h.
  * debian/libcupscgi1-dev.install, debian/libcupscgi1.install,
    debian/libcupsdriver1-dev.install, debian/libcupsdriver1.install,
    debian/libcupsmime1-dev.install, debian/libcupsmime1.install,
    debian/libcupsppdc1-dev.install, debian/libcupsppdc1.install: Added install
    file lists for newly added libraries.
  * debian/cups-ppdc.install: File list for new cups-ppdc package. This package
    holds the PPD file manipulation tools which were in CUPS DDK formerly.
  * debian/cups-common.install, debian/cups.install: Updated for new CUPS
    version.
  * debian/cups.install, debian/cups-client.install, debian/cups-ppdc.install:
    Commented out lines for missing translated man pages.
  * debian/cups.postinst: Do not create the /usr/share/ppd/1-local-admin
    and /usr/share/ppd/2-third-party links. They are not needed with current
    CUPS and they also break the test procedure during package build.
  * debian/libcups2.postinst, debian/libcupsimage2.postinst: Removed no-op
    maintainer scripts.
  * debian/local/filters/pdf-filters/addtocups,
    debian/local/filters/pdf-filters/config-scripts/cups-pdf-filters.m4,
    debian/local/filters/pdf-filters/filter/texttopdf.c: Let ./configure
    script check the CUPS version so that in texttopdf.c a missing variable
    can get defined if CUPS is 1.4.x or newer.
  * debian/local/filters/pdf-filters/pdftoopvp/Makefile,
    debian/local/filters/pdf-filters/pdftopdf/Makefile: Added missing
    "unittests", "install-data", "install-headers", "install-libs",
    "install-exec", "libs", "apihelp", and "framedhelp" targets to the
    Makefiles of the PDF filters.

  [ Martin Pitt ]
  * debian/cups.install, debian/local/filters/pdf-filters/addtocups: Enable
    pdftoopvp filter.
  * Add disable-pdftoopvp-with-old-poppler.dpatch: Disable pdftoopvp if we
    build against a poppler older than 0.11, since pdftoopvp needs that new
    API. (This uses pkg-config --atleast-version in the dpatch script header.)
  * ubuntu-disable-browsing.dpatch: Restore Ubuntu check.
  * dnssd-avahi.dpatch: Add upstream bug link.
  * dnssd-avahi.dpatch: Do not error out of the dnssd backend if system D-Bus
    is not running. This unbreaks the test suite when running in a build
    environment.

 -- Martin Pitt <mpitt@debian.org>  Tue, 25 Aug 2009 22:07:17 +0200

cups (1.3.11-2) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/cups.init.d: Trigger udev event for all USB printers right after
    starting the CUPS daemon to run the udev callouts for the printers. This
    allows automatic print queue setup and re-enabling print queues also if
    the printer is cold-plugged (connected before CUPS and/or udev got
    started).
  * debian/cups.init.d: Set CUPS RIP cache to 1/4 of the total RAM when CUPS
    is started. This way CUPS Raster drivers get enough memory for reliable
    and quick operation even if large paper sizes with high resolutions are
    printed.
  * debian/local/filters/pdf-filters/pdftoopvp/OPVPOutputDev.cxx,
    debian/local/filters/pdf-filters/pdftoopvp/OPVPOutputDev.h,
    debian/local/filters/pdf-filters/pdftoopvp/pdftoopvp.cxx,
    debian/local/filters/pdf-filters/pdftoopvp/opvp/opvp.h,
    debian/local/filters/pdf-filters/pdftoopvp/opvp/opvp_0_2_0.h: Adapted
    pdftoopvp filter to the new API of Poppler 0.11.2. Thanks to upstream
    author Koji Otani for the patch.
  * debian/rules: Explicitly create empty file pdftoopvp/Dependencies after
    applying the PDF filters add-on as the build servers seem to not copy
    empty files.
  * debian/patches/default_log_warn.dpatch,
    debian/patches/default_log_settings.dpatch: Renamed patch for cupsd.conf
    logging settings and added "MaxLogSize 0" so that CUPS does not do its
    own log rotation, as our log rotation is much better.
  * debian/cups-bsd.postinst, debian/cups.postinst: Moved handling of
    /etc/printcap symlink from the post-install script of the cups-bsd
    package to the cups package. Should assure that the symlink gets
    also set on initial system installation (LP: #415825).
  * debian/local/filters/cpdftocps: Updated filter to not use the pdftops
    filter of CUPS, as from version 1.3.11 on CUPS' pdftops filter integrates
    the call of pstops, and in the PDF workflow this would duplicate the
    application of page management options, like N-up, even/odd pages, and
    even the number of copies for some printers (LP: #412709).

  [ Jamie Strandboge ]
  * debian/cups.postinst: reload individual cups profile, not all of apparmor
    (LP: #412745)

  [ Martin Pitt ]
  * debian/local/apparmor-profile: Allow cups-pdf to run /bin/cp.
  * debian/control: Drop smbclient to Suggests. (Closes: #542464)

 -- Martin Pitt <mpitt@debian.org>  Sat, 22 Aug 2009 17:49:59 +0200

cups (1.3.11-1) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/local/filters/textonly: Adding a final form feed to the job (via
    PPD option) did not work (LP: #396673).
  * debian/local/filters/pdf-filters/filter/imagetopdf.c: imagetopdf proceeded
    the PDF output with a blank line. This made some filters misbehave.
  * debian/patches/read-embedded-options-from-incoming-postscript-and-add-to-ipp-attrs.dpatch:
    Make CUPS read the number of copies out of Windows print jobs reliably by
    also considering lines like "%%BeginNonPPDFeature: NumCopies 2". Thanks
    to Dan Sheridan from Adelard (djs at adelard dot com) for this improvement
    of the patch.

  [ Stéphane Graber ]
  * Add printer-filtering.dpatch: Add support for printer filtering.
    With this patch, when the PRINTER_LIST environment variable is defined
    only the printers (comma separated) in it will be displayed.

  [ Martin Pitt ]
  * New upstream bug fix release. See http://www.cups.org/articles.php?L586
    for details.
  * Drop pdftops-testsuite.dpatch (fixed upstream).
  * poppler-based-pdftops-fixes.dpatch, search_mime_files_in_usr_share.dpatch:
    Update to new upstream version.

 -- Martin Pitt <mpitt@debian.org>  Sat, 11 Jul 2009 17:27:03 +0200

cups (1.3.10-5) unstable; urgency=low

  * debian/patches/read-embedded-options-from-incoming-postscript-and-add-to-ipp-attrs.dpatch:
    Make CUPS reading all option settings in PostScript print jobs and add
    the option settings to the filter command line before starting the filter
    chain. This fixes the problem that in the PDF printing workflow (where
    incoming PostScript gets converted to PDF by pstopdf) option settings
    embedded in the incoming PostScript code do not get obeyed. Especially
    the options of jobs from Windows clients get ignored.
  * debian/filters/pstopdf: Do not let Ghostscript generate multiple copies
    of the job if the filter command line from CUPS already supplies the
    correct number of copies.
  * debian/local/filters/pdf-filters/addtocups: The disabling of the
    pdftoopvp filter in cups 1.3.10-3 also disabled pdftopdf. Re-enabled
    pdftopdf.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 15 Jun 2009 10:50:33 +0200

cups (1.3.10-4) unstable; urgency=low

  * Add ghostscript-cups dependency. (LP: #385606)
  * debian/control: Add back dropped comma, which led to the ssl-cert
    dependency being dropped. (Closes: #532845)
  * debian/local/apparmor-profile: Allow reading /proc/sys/crypto/**.
    (LP: #335898)
  * debian/local/apparmor-profile: Allow dac_override to cups-pdf. This is
    unfortunate, but required with some $HOME permissions; the profile is very
    tight, so this shouldn't actually considerably increase privileges.
    (LP: #224365)

 -- Martin Pitt <mpitt@debian.org>  Fri, 12 Jun 2009 11:32:28 +0200

cups (1.3.10-3) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/cups.install, debian/rules: Move added *.convs and *.types files to
    /usr/share/cups/mime/ so that they are not considered config files
    by dpkg.
  * debian/local/text.convs: Turn all text input formats to text/plain at
    a high cost, so that the text-only printer (which accepts only text/plain)
    accepts them (LP: #385797).
  * debian/rules: Switch the pdftops filter back to Poppler, as Ghostscript
    has a lot of problems in generating PostScript (LP: #382379).
  * debian/patches/poppler-based-pdftops-fixes.dpatch: Fixes for the pdftops
    filter in Poppler mode: Do not emit PostScript level 3 as it Poppler's
    PostScript level 3 output is not compatible with HP's PostScript printers
    (LP: #277404); Added support for the new "-origpagesizes" option of
    Poppler's pdftops, so that documents with pages of different sizes get
    correctly printed (LP: #310575).
  * debian/filters/pstopdf: Do not call Ghostscript with asymmetric resolutions
    (like 1200x600 dpi), as it leads to problems with images in some cases.
    See http://bugs.ghostscript.com/show_bug.cgi?id=690504.
  * debian/local/filters/pdf-filters/pdftopdf/P2PObject.h,
    debian/local/filters/pdf-filters/pdftopdf/P2POutput.cxx: Fixed infinite
    loop which occured for some PDF files (LP: #382880).
  * debian/filters/pstopdf: Make it also correctly working if PaperDimension
    and ImageableArea entries in the PPD have no translation strings. Thanks
    to Koji Otani to find the bug.
  * debian/local/filters/pdf-filters/pdftoopvp/,
    debian/local/filters/pdf-filters/README,
    debian/local/filters/pdf-filters/addtocups,
    debian/local/filters/pdf-filters/removefromcups,
    debian/local/filters/pdf-filters/config-scripts/cups-pdf-filters.m4:
    Added pdftoopvp CUPS filter as part of the PDF filter add-on.
  * debian/cups.install: Make /etc/fonts/conf.d/99pdftoopvp.conf of pdftoopvp
    be installed as part of the cups package
  * debian/control: Added build dependencies needed by pdftoopvp: liblcms1-dev,
    libfreetype6-dev, libfontconfig1-dev
  * debian/control: Moved dependency on cups-client to Depends:, as
    cups-client is needed by the post-install script for the update of the
    PPDs of existing print queues.
  * debian/cups.postinst: Case-insensitive check for model names when updating
    PPDs of already existing print queues.

  [ Martin Pitt ]
  * Add gnutls-pkgconfig.dpatch: Use "pkg-config gnutls" instead of deprecated
    libgnutls-config. (Closes: #529903)
  * Bump Standards-Version to 3.8.1 (no changes necessary).
  * debian/control: Point Vcs-Browser: to bzr.d.o. loggerhead, and use http://
    URL for Vcs-Bzr.
  * debian/control: Drop ghostscript build dependency again, pdftops filter
    uses poppler again. Also Drop alternative xpdf-utils build dependency,
    since configure now checks for poppler's pdftops capabilities.
  * debian/control, debian/rules: Do a build-time check if pdftops supports
    -origpagesizes, and dynamically set the poppler-utils dependency. This is
    a hack until https://bugs.freedesktop.org/show_bug.cgi?id=19777 makes it
    into Debian.
  * debian/cups.install, debian/local/filters/pdf-filters/addtocups: Disable
    new pdftoopvp filter for now, since sid does not yet have poppler 0.11.
    Lower libpoppler-dev build dependency again.

 -- Martin Pitt <mpitt@debian.org>  Thu, 11 Jun 2009 12:19:33 +0200

cups (1.3.10-2) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/local/filters/pdf-filters/pdftopdf/P2PFont.cxx: Make the pdftopdf
    filter also building with Poppler 0.11.0.
  * debian/filters/pstopdf: Make pstopdf also reading default values from the
    PPD if there is no space between the colon and the value. Some programs
    seem to remove this space when setting the defaults. Fixes problem of
    Shaun Crampton in LP: #357732.

  [ Martin Pitt ]
  * debian/control: Lift cups-driver-gutenprint from Suggests to Recommends,
    it's needed by many printers and not very large. (Closes: #522428)
  * debian/control: Drop cups-bsd's Recommends: cups to a Suggests:. Client
    packages shouldn't pull in the server by default. (Closes: #529630)
  * debian/libcups2.dirs: Drop, obsolete.
  * debian/cups.dirs: Remove most directories, not necessary to explicitly
    create them.

  [ Martin-Éric Racine]
  * Cleaned Lintian errors:
    (source)
    E: debian-rules-ignores-make-clean-error
    W: debhelper-but-no-misc-depends
    W: dbg-package-missing-depends
    (cups)
    E: dir-or-file-in-var-run
    (cups-common)
    W: symlink-should-be-relative
  * Added Lintian overrides:
    (cups)
    W: non-standard-executable-perm
       usr/lib/cups/backend-available/[ipp|lpd|serial] 0744 != 0755

 -- Martin Pitt <mpitt@debian.org>  Thu, 21 May 2009 19:01:37 +0200

cups (1.3.10-1) unstable; urgency=medium

  [ Martin Pitt ]
  * New upstream security/bug fix release:
    - The scheduler now protects against DNS rebinding attacks. Please note
      that this could lead to some regressions. (CVE-2009-0164)
    - Fixed TIFF integer overflow in image filters. (CVE-2009-0163)
    - Lots of bug fixes.
  * Drop patches included upstream:
    - hpgl-regression.dpatch
    - runloop-backchannel-eof-spin.dpatch
    - png-image-int-overflow.dpatch
    - CVE-2008-5183.dpatch
    - pdftops-cups-1.4.dpatch
  * Add pdftops-testsuite.dpatch: Fix path to pdftops in the test suite.
  * debian/rules: Specify --with-pdftops=gs, so that the pdftops filter is
    built with intended ghostscript support.

  [ Till Kamppeter ]
  * debian/filters/pstopdf: Added support for custom page sizes to the
    pstopdf CUPS filter.
  * debian/filters/pstopdf: Call Ghostscript with the default paper size
    (from PPD or from CUPS filter command line) on its command line. Some
    applications generate PostScript without PageSize requests.
    Multi-page-size jobs (LP: 310575) do not get broken by this as
    Ghostscript uses the given page size only as default and gives priority
    to page sizes requested by the document (in contrary to Poppler).
    Fixes LP: #357732).

 -- Martin Pitt <mpitt@debian.org>  Fri, 17 Apr 2009 11:53:48 +0200

cups (1.3.9-17) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/filters/pstopdf: Added "-dDoNumCopies" to the "ps2pdf" call in
    the pstopdf CUPS filter, so that Ghostscript takes into account
    /#copies and /NumCopies when converting incoming PostScript to PDF
    (Ghostscript upstream bug #690355, LP: #320391).

  [ Martin Pitt ]
  * debian/control: Update section of cups-dbg to "debug".

 -- Martin Pitt <mpitt@debian.org>  Sun, 05 Apr 2009 18:04:33 -0700

cups (1.3.9-16) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/local/filters/pdf-filters/pdftopdf/P2PResources.cxx: Fixed
    corruption of output when generating mmultiple copies of EOG or GIMP
    output files (LP: #345183).
  * debian/cups.postinst: Silenced non-fatal error messages when
    post-install script updates PPDs and there are PPDs not belonging to
    a CUPS queue in /etc/cups/ppd/ (LP: #345866).

  [ Martin Pitt ]
  * debian/local/apparmor-profile: Drop 'm' permission for /etc/passwd and
    friends, which was a workaround for a kernel apparmor bug on i386. This is
    fixed in current kernels. Thanks to Kees Cook for pointing this out!
    (LP: #270663)
  * debian/cups.install: Do not install the unnecessary (and broken) D-BUS
    configuration file any more. All cupsd does is to send signals, which are
    allowed by default. It does not provide any D-BUS service right now. Also
    remove the obsolete file on upgrades in debian/cups.preinst.
    (Closes: #510634, LP: #318742)
  * Add logfiles_adm_readable.dpatch: Make log files readable by group "adm".
    (LP: #345953)
  * debian/changelog: Fix cruft at the end of file.
  * debian/local/apparmor-profile: Explicitly deny access to /dev/tty and
    writing access to /etc/krb5.conf, so that accesses to them do not create
    log spewage. (LP: #348556)

 -- Martin Pitt <mpitt@debian.org>  Fri, 27 Mar 2009 09:35:56 +0100

cups (1.3.9-15) unstable; urgency=low

  * Add debian/local/apport-hook.py: Apport package hook, thanks to
    Brian Murray! Install it in debian/rules if we build for Ubuntu.
    (LP: #334080)
  * debian/rules: Move init script priority to 50, so that cups starts later
    in the boot sequence. There is no reason why it should start so early
    (before e. g. gdm). Do the transition on upgrades in debian/cups.postinst.
  * debian/control: Promote ttf-freefont from Recommends to Depends, since the
    PDF filter chain needs it. (Closes: #516335)
  * debian/control: Add "Breaks: foomatic-filters (<< 4.0)", and bump
    Recommends: version. Earlier foomatic-filters do not support the PDF
    filter chain. (Closes: #511009)
  * debian/local/apparmor-profile: Add a few missing rules for Kerberos
    authentication. (LP: #324645)
  * Add bzr-builddeb configuration (merge mode).
  * debian/watch: Update so that it works again.
  * debian/local/apparmor-profile: Allow cups to read /etc/likewise, for
    authentication. (LP: #303927)
  * Add testsuite-increase-wait-timeout.dpatch: Increase test suite's timeout
    for waiting for jobs to 10 minutes, for slower architectures like arm and
    m68k. (Closes: #518787)

 -- Martin Pitt <mpitt@debian.org>  Tue, 10 Mar 2009 13:46:19 +0100

cups (1.3.9-14) unstable; urgency=low

  * debian/patches/pdftops-cups-1.4.dpatch: Revert previous change to
    define HAVE_PDFTOPS and CUPS_PDFTOPS, since Till says the filter
    should actually use ghostscript now. Add ghostscript build
    dependency instead. (LP: #329991)
  * Add drop_unnecessary_dependencies.dpatch: Do not link libcups.so
    and libcupsimage.so against unnecessary libraries. This avoids
    unnecessary package dependencies for both libcups, as well as for
    packages using cups-config. (Closes: #438067)
  * debian/control: Drop XSBC-Original-Maintainer Ubuntu-ism which
    accidentally crept in in r607.

 -- Martin Pitt <mpitt@debian.org>  Mon, 16 Feb 2009 18:05:21 +0100

cups (1.3.9-13) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/local/filters/pdf-filters/filter/imagetopdf.c: Added support for
    the new "fit-to-page" option (new, more intuitive name for "fitplot").
  * debian/filters/pstopdf: Only apply paper size if the "fitplot" or the
    "fit-to-page" option is set.
  * debian/local/filters/cpdftocps: Only the last digit of the number of
    copies was used (LP: #309314).
  * debian/local/filters/pdf-filters/pdftopdf/pdftopdf.cxx: Do not preceed the
    PDF output with a newline (LP: #303691). Only impose the page size from
    the PPD file to all pages if the "fitplot" or the "fit-to-page" option is
    set. This prevented from automatic paper tray switching to the correct paper
    sizes when a multiple-page-size document is printed (partial fix for
    LP: #310575).
  * debian/patches/pdftops-cups-1.4.dpatch: Updated from CUPS 1.4 SVN. Contains
    fixes for multiple-page-size document printing (partial fix for
    LP: #310575).
  * debian/patches/pdftops-dont_fail_on_cancel.dpatch: Removed, should be
    fixed in the new upstream version of pdftops.

  [ Martin Pitt ]
  * debian/patches/pdftops-cups-1.4.dpatch: Add definition of
    HAVE_PDFTOPS and CUPS_PDFTOPS, so that the filter actually gets
    again built with pdftops support. (Fixes Till's change from above).

 -- Martin Pitt <mpitt@debian.org>  Sun, 15 Feb 2009 18:39:03 +0100

cups (1.3.9-12) experimental; urgency=low

  [ Till Kamppeter ]
  * debian/local/filters/pdf-filters/pdftopdf/P2PPage.cxx,
    debian/local/filters/pdf-filters/pdftopdf/pdftopdf.cxx: Do not reposition
    the pages when an automatic rotation did not actually take place and
    do not apply the page size and margins from the PPD file or the coomand
    line if no manipulations affecting the printout size are done (N-up,
    scaling, fitplot, ...). This caused LP: #310575.

  * debian/cups.postinst: Let the PPD files of the existing print queues get
    automatically updated after each installation of this package (if they
    use PPDs of this package).

  [ Marc Deslauriers ]
  * SECURITY UPDATE: denial of service by adding a large number of RSS
    subscriptions (Closes: #506180, LP: #298241)
    - debian/patches/CVE-2008-5183.dpatch: gracefully handle MaxSubscriptions
      being reached in scheduler/{ipp.c,subscriptions.c}
    - CVE-2008-5183

  [ Martin Pitt ]
  * pidfile.dpatch: Adapt to changes from MaxSubscriptions fix from
    above.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sun, 25 Jan 2009 12:05:44 +0100

cups (1.3.9-11) experimental; urgency=low

  * debian/local/filters/cpdftocps: Fixed the fix for the number of copies.
    In some cases it failed and pstops was called with 0 copies requested
    (LP: #309314, LP: #300312, LP: #286048).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 19 Dec 2008 15:58:55 +0100

cups (1.3.9-10) experimental; urgency=low

  [ Till Kamppeter ]
  * debian/local/filters/pdf-filters/pdftopdf/P2PCatalog.cxx,
    debian/local/filters/pdf-filters/pdftopdf/P2PCatalog.h,
    debian/local/filters/pdf-filters/pdftopdf/P2PDoc.cxx,
    debian/local/filters/pdf-filters/pdftopdf/P2PDoc.h,
    debian/local/filters/pdf-filters/pdftopdf/P2PPage.cxx,
    debian/local/filters/pdf-filters/pdftopdf/P2PPage.h,
    debian/local/filters/pdf-filters/pdftopdf/P2PPageTree.cxx,
    debian/local/filters/pdf-filters/pdftopdf/P2PPageTree.h,
    debian/local/filters/pdf-filters/pdftopdf/pdftopdf.cxx: Fixed problem
    of Landscape-oriented PDF files being printed in the wrong orientation
    (LP: #47649, LP: #244840).

  * debian/local/filters/cpdftocps: Made correct number of copies being
    printed on PostScript printers with hardware copy handling (LP: #286048).

  [ Martin Pitt ]
  * debian/local/apparmor-profile: Allow cupsd to run Brother drivers.
    (LP: #237256)

 -- Martin Pitt <mpitt@debian.org>  Wed, 17 Dec 2008 07:46:04 +0100

cups (1.3.9-9) experimental; urgency=low

  [ Till Kamppeter ]
  * debian/local/filters/pdf-filters/pdftopdf/P2PPage.cxx,
    debian/local/filters/pdf-filters/pdftopdf/P2PResources.cxx: Added
    processing of the rotate tag (LP: #300312).

  [ Martin Pitt ]
  * Add png-image-int-overflow.dpatch: Fix integer overflow in the PNG image
    reader (Closes: #507183, STR #2974, CVE-2008-5286)

 -- Martin Pitt <mpitt@debian.org>  Mon, 01 Dec 2008 15:47:10 -0800

cups (1.3.9-8) experimental; urgency=low

  * debian/local/filters/pdf-filters/pdftopdf/P2POutputStream.cxx,
    debian/local/filters/pdf-filters/pdftopdf/P2POutputStream.h: Removed
    an endianess dependency from the pdftopdf filter, so that it also
    works on non-PC platforms like PowerPC (LP: #271350). This also fixes the
    filter on mipsel and makes the test suite, and thus the build, succeed
    again. (Closes: #500305)
  * debian/filters/pstopdf: Do not supply the margins from the PPD to the
    ps2pdf process, as this breaks full-bleed printing and is also disturbs
    the printing if PPDs have too conservative margin definitions (LP: #282186).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 26 Nov 2008 15:14:57 +0100

cups (1.3.9-7) experimental; urgency=low

  * Previous upload had some cruft in the diff.gz which caused some changed
    defaults in cupsd.conf. Reupload with a clean diff.gz. *Brown paperbag*

 -- Martin Pitt <mpitt@debian.org>  Thu, 20 Nov 2008 18:49:46 +0100

cups (1.3.9-6) experimental; urgency=low

  [ Till Kamppeter ]
  * debian/local/filters/cpdftocps: The cpdftocps filter did case-sensitive
    checking for CUPS options to keep them away from the pstops filter. CUPS
    treats such options case-insensitive, so in some cases CUPS options got
    applied twice (LP: #299707).

  [ Martin Pitt ]
  * debian/rules: Install the serial backend with 0744 permissions to make it
    run as root, since /dev/ttyS* are root:dialout and thus not accessible as
    user "lp". Thanks to Chanoch (Ken) Bloom. (part of #506181, LP: #154277)

 -- Martin Pitt <mpitt@debian.org>  Thu, 20 Nov 2008 13:43:27 +0100

cups (1.3.9-5) experimental; urgency=low

  * hpgl-regression.dpatch: Replaced with version which got committed
    upstream.
  * Add runloop-backchannel-eof-spin.dpatch: Fix backend runloop spin on
    backchannel EOF (select() returns "ready for read" on EOF). This
    completely broke printing with e. g. HPJetDirect. Thanks to
    Samuel Thibault for tracking down the problem! (Closes: #489045)
  * debian/cups-bsd.postinst: Assume default printcap path (in /var/run/cups/)
    if not specified in cupsd.conf. This brings back the lost /etc/printcap
    for legacy applications. (Closes: #482186, LP: #282667)
  * debian/rules: Drop arm/armel -f-no-stack-protector workaround, since SSP
    works on these architectures now. (See #469517)
  * debian/cups-bsd.postinst: Robustify the cupsd.conf parsing for Printcap,
    as per suggestion from Jo Mills.
  * rootbackends-worldreadable.dpatch: Apply the same relaxed permission check
    to cups-deviced, so that backends installed as 0744 don't disappear from
    printer detecttion. (Closes: #503644, LP: #275407)

 -- Martin Pitt <mpitt@debian.org>  Mon, 17 Nov 2008 08:50:34 +0100

cups (1.3.9-4) experimental; urgency=low

  [ Till Kamppeter ]
  * debian/local/filters/pdf-filters/conf/pdftoraster.convs,
    debian/local/filters/pdf-filters/filter/pdftoraster.cxx,
    debian/local/filters/pdf-filters/README,
    debian/local/filters/pdf-filters/addtocups,
    debian/local/filters/pdf-filters/removefromcups, debian/rules,
    debian/copyright: Removed Poppler-based pdftoraster filter. It will be
    replaced by a Ghostscript-based pdftoraster filter filter provided by the
    Ghostscript package, requested via Debian bug #505282 (fixes LP: #290395).

  * debian/filters/pstopdf: Fixed debug output.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 11 Nov 2008 13:46:55 +0100

cups (1.3.9-3) experimental; urgency=low

  [ Till Kamppeter ]
  * debian/filters/pstopdf: Fixed several bugs in the pstopdf filter. First,
    removed the use of CUPS' pstops filter for inserting option settings. This
    also inserts PJL headers and then Ghostscript cannot convert the PostScript
    to PDF in the next step. Fixed also the sed magic so that the paper size
    and the margins get really read from the PPD and fixed the calculation of
    the top and bottom margins, they were exchanged. Fixes LP: #289759,
    LP: #292690, LP: #282186. Possible fix for LP #293883.

  [ Martin Pitt ]
  * debian/local/apparmor-profile: Allow dnssd backend to create various less
    common network protocols (x25, appletalk, etc.) for detection. Also allow
    it to read /proc/*/net/, which the bonjour avahi library apparently uses.
    (LP: #254022)

 -- Martin Pitt <mpitt@debian.org>  Wed, 29 Oct 2008 11:41:38 +0100

cups (1.3.9-2) experimental; urgency=low

  * debian/local/filters/cpdftocps, debian/filters/pstopdf: Avoid duplicate
    execution of the number of copies. Sending a PostScript job to a
    non-PostScript printer produced n*n copies instead of n copies, also
    sending a non-PostScript job to a PostScript printer. A PostScript job
    sent to a PostScript printer could even produce n*n*n copies (LP: #286048).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 20 Oct 2008 08:18:20 +0200

cups (1.3.9-1) experimental; urgency=low

  * New upstream security/bug fix release:
    - The HP-GL/2 filter did not range check pen numbers. [CVE-2008-3641]
    - The SGI image file reader did not range check 16-bit run lengths.
      [CVE-2008-3639]
    - The text filter did not range check cpi, lpi, or column values.
      [CVE-2008-3640]
    - Fix incompatibility with Firefox 3.0 when using SSL.
    - Update the French admin.tmpl, to have the missing "Find new printer"
      button and the "Subscriptions" section. Thanks to Yves-Alexis Perez!
      (Closes: #475270)
    - Lots of other bug fixes, see http://www.cups.org/articles.php?L575.
  * Drop patches accepted upstream:
    - cupsfilter-path-typo.dpatch
    - pjl-display-ready-message.dpatch
    - dont-chown-symlinked-ssl.dpatch
  * Add hpgl-regression.dpatch: Revert the SP_select_pen() enumeration change
    introduced in STR #2911, because it changes the color mapping (e. g. "SP1"
    would now select a white pen instead of a black one, and "SP0" would not
    be valid at all any more). Also fix a remaining off-by-one loop. (STR
    #2966)

 -- Martin Pitt <mpitt@debian.org>  Fri, 10 Oct 2008 11:07:17 +0200

cups (1.3.8-13) experimental; urgency=low

  [ Till Kamppeter ]
  * debian/local/filters/pdf-filters/pdftopdf/P2PCatalog.cxx,
    debian/local/filters/pdf-filters/pdftopdf/P2PCatalog.h,
    debian/local/filters/pdf-filters/pdftopdf/P2PDoc.cxx,
    debian/local/filters/pdf-filters/pdftopdf/P2PDoc.h,
    debian/local/filters/pdf-filters/pdftopdf/P2PPageTree.cxx,
    debian/local/filters/pdf-filters/pdftopdf/P2PPageTree.h,
    debian/local/filters/pdf-filters/pdftopdf/pdftopdf.cxx:
    When N-up printing and selection of only the even or odd pages
    (for manual duplex) was used together the pages were selected
    the wrong way (number-up=2 page-set=even with an 8-page document gave
    2+4, 6+8 and should give 3+4, 7+8). This is fixed now. The behavior
    of pdftopdf is now exactly the same as of pstops.

  [ Martin Pitt ]
  * debian/local/apparmor-profile: Allow locking on /var/cache/cups/**.
    (Mentioned in LP #270046)

 -- Martin Pitt <mpitt@debian.org>  Wed, 08 Oct 2008 11:19:36 +0200

cups (1.3.8-12) experimental; urgency=low

  [ Till Kamppeter ]
  * debian/filters/pstopdf,
    debian/local/filters/pdf-filters/filter/pdftoraster.cxx,
    debian/local/filters/pdf-filters/pdftopdf/*: Fixed paper
    size handling of pstopdf, pdftopdf, and pdftoraster which led SpliX
    to crash (LP: #261363, LP: #268510), fixed monochrome CUPS Raster
    output of pdftoraster which led to black pages being printed
    (LP: #269691).

 -- Martin Pitt <mpitt@debian.org>  Mon, 06 Oct 2008 16:33:02 +0200

cups (1.3.8-11) experimental; urgency=low

  * debian/rules: Explicitly configure with --with-dbusdir. For some obscure
    reason, the automatic check fails on the buildds, causing the D-BUS
    configuratin not to be installed. Fixes FTBFS. (Closes: #498664)

 -- Martin Pitt <mpitt@debian.org>  Sat, 13 Sep 2008 10:59:31 +0200

cups (1.3.8-10) experimental; urgency=low

  [ Martin Pitt ]
  * rootbackends-worldreadable.dpatch: Do not run backends as root if they are
    group or world writable (this is by and large a paranoia fix, though).
  * dont-chown-symlinked-ssl.dpatch: Replace patch with the upstream committed
    version, which is more general.
  * debian/control: Package development moved to bzr, update Vcs- tags.
  * cupsaccept.dpatch: Replaced with the more comprehensive solution upstream
    committed to 1.4 trunk. Removed debian/cups-client.links, since the links
    are now installed by upstream. Adapt manpage-translations.dpatch
    accordingly.
  * Move installation of D-BUS configuration files from debian/rules to
    debian/cups.install.
  * debian/libcups2-dev.install: Add missing sidechannel.h.

  [ Johan Kiviniemi ]
  * debian/filters/pstopdf: Apply PPD settings (resolution, page size, page
    margins) to the conversion (LP: #263049).
  * debian/control: cups Depends: bc (for margin calculation).

 -- Martin Pitt <mpitt@debian.org>  Thu, 11 Sep 2008 13:43:34 +0200

cups (1.3.8-9) experimental; urgency=low

  * Previous upload had some cruft in the diff.gz which caused some changed
    defaults in cupsd.conf. Reupload with a clean diff.gz. *Brown paperbag*

 -- Martin Pitt <mpitt@debian.org>  Sun, 07 Sep 2008 00:22:23 +0200

cups (1.3.8-8) experimental; urgency=low

  * Remove debian/patches/dont_force_ssl.dpatch; gnome-cups-manager is ancient
    and removed from Debian, and newer GUIs like system-config-printer get
    along fine with the default setting.
  * Add quiesce-bonjour-warning.dpatch: Silence the "Apple Bonjour
    compatibility layer of Avahi" warning, since it can cause SIGPIPE crashes
    when being issued in a child process without stderr. (Closes: #497492)
  * confdirperms.dpatch, manpage-translations.dpatch: Revert note that Debian
    doesn't install lppasswd suid root, since we do. (Closes: #478280)
  * debian/control: Drop the "It can be safely removed from your system" from
    the old package names, since that is untrue until the transition is
    actually complete. (Closes: #489246)
  * debian/control: Bump Standards-Version (no actual changes necessary).
  * Remove classes_crash.dpatch, it has been fixed upstream a while ago.
  * cupsaccept.dpatch: Rewrite to be consistent with current upstream code,
    and send it upstream.
  * Drop quiesce_ipp_logging.dpatch: It was only necessary for the polling
    from gnome-cups-icon, but fortunately gnome-cups-manager has been removed
    now.
  * confdirperms.dpatch: Remove a few hunks which were only relevant for
    running cups as system user. Remove the SSL certificate bits as well,
    rewrite it to be upstream compatible, split it out to
    dont-chown-symlinked-ssl.dpatch, reported it upstream.
  * Remove device_uri.dpatch, does not seem to be necessary any more.
  * Add rootbackends-worldreadable.dpatch: Install root backends
    world-readable, to comply to Debian Policy and because it is both
    nonsensical to to not do so, and also breaks system checkers, bug
    reporting, etc. (Closes: #410171)

 -- Martin Pitt <mpitt@debian.org>  Sat, 06 Sep 2008 18:21:01 +0200

cups (1.3.8-7) experimental; urgency=low

  * Previous upload had some cruft in the diff.gz which caused some changed
    defaults in cupsd.conf. Reupload with a clean diff.gz.

 -- Martin Pitt <mpitt@debian.org>  Tue, 02 Sep 2008 12:27:18 +0200

cups (1.3.8-6) experimental; urgency=low

  [ Till Kamppeter ]
  * debian/local/filters/pdf-filters/filter/texttopdf.c,
    debian/local/filters/pdf-filters/filter/pdfutils.c,
    debian/local/filters/pdf-filters/filter/test_pdf2.c,
    debian/local/filters/pdf-filters/filter/fontembed/test_ps.c,
    debian/local/filters/pdf-filters/filter/fontembed/test_pdf.c,
    debian/local/filters/pdf-filters/filter/fontembed/sfnt.h,
    debian/local/filters/pdf-filters/filter/fontembed/main.c,
    debian/local/filters/pdf-filters/filter/fontembed/iofn.h,
    debian/local/filters/pdf-filters/filter/fontembed/fontfile.h,
    debian/local/filters/pdf-filters/filter/fontembed/fontfile.c,
    debian/local/filters/pdf-filters/filter/fontembed/embed.h,
    debian/local/filters/pdf-filters/filter/fontembed/embed.c,
    debian/local/filters/pdf-filters/filter/fontembed/Makefile,
    debian/local/filters/pdf-filters/addtocups:
    Fixed crashes of texttopdf on bad or missing fonts, make texttopdf
    also working without configuration of the fonts (at least for ASCII).
  * debian/local/filters/pdf-filters/filter/pdftoijs.cxx,
    debian/local/filters/pdf-filters/conf/HP-PhotoSmart_Pro_B8300-hpijs-pdftoijs.ppd
    debian/local/filters/pdf-filters/addtocups,
    debian/local/filters/pdf-filters/config-scripts/cups-pdf-filters.m4,
    debian/local/filters/pdf-filters/removefromcups,
    debian/local/filters/pdf-filters/README,
    debian/control, debian/rules: Added pdftoijs filter.

  [ Johan Kiviniemi ]
  * debian/filters/pstopdf:
    - Adobe Reader generates DRM-infested PostScript from encrypted PDF files.
      This PostScript contains code which stops Ghostscript with an error when
      one tries to convert it to (now unencrypted) PDF. Change the filter to
      normalize such PostScript using ps2ps before conversion.

  [ Martin Pitt ]
  * Add alternative dependency "gsfonts-x11" for ttf-freefonts.
    (Closes: #495598)
  * debian/patches/: Update the status of patches, add some upstream
    references, update status in 00list.
  * Drop obsolete include_krb5_h_in_job_h.dpatch, package builds fine in
    current unstable.
  * debian/rules: Enable PIE and other compiler flags security enhancements
    with DEB_BUILD_HARDENING=1. Add hardening-wrapper build dependency. Thanks
    to Kees Cook!
  * Add debian/local/cups.ufw.profile: "ufw" firewall profile. Install it
    for Ubuntu builds only for now, until ufw enters Debian as well. Thanks to
    Didier Roche and Jamie Strandboge! (https://launchpad.net/bugs/261903)

 -- Martin Pitt <mpitt@debian.org>  Tue, 02 Sep 2008 11:34:54 +0200

cups (1.3.8-5) experimental; urgency=low

  [ Till Kamppeter ]
  * debian/local/filters/pdf-filters/filter/texttopdf.c: Added bug fix
    from upstream so that texttopdf does not segfault on missing or bad
    fonts any more. Backed out Johan Kiviniemi's patch of replacing
    Courier by FreeMono.
  * Remove hardcoded -march=pentium from texttopdf Makefile.
    (Closes: #495220)

  * debian/local/filters/pdf-filters/conf/imagetopdf.convs: Reduced cost
    factor to prefer this filter instead of imagetops.

  [ Johan Kiviniemi ]
  * debian/local/filters/cpdftocps, debian/local/cpdftocps.convs,
    debian/cups.install, debian/rules:
    - Add an application/vnd.cups-pdf → application/vnd.cups-postscript
      filter, thus making the PDF filter chain possible for PostScript
      printers.
    - The filter’s cost is 22, making the total cost of pstopdf → pdftopdf →
      cpdftocps 66 after the following change.
  * debian/local/filters/pdf-filters/conf/pdftopdf.convs,
    debian/local/pstopdf.convs, debian/rules:
    - Change filter costs to prefer the PDF chain over pstops.
      • pdftopdf: 22 instead of 66.
      • pstopdf: 22 instead of 100.
      • pstops: 100 instead of 66.
  * Add pjl-display-ready-message.dpatch:
    - According to the PJL spec, one should use "" (not "READY") to return the
      display to the normal ready message.

 -- Martin Pitt <mpitt@debian.org>  Fri, 15 Aug 2008 15:54:36 +0200

cups (1.3.8-4) experimental; urgency=low

  [ Till Kamppeter ]
  * debian/control, debian/rules,
    debian/local/filters/pdf-filters/filter/pdfutils.h,
    debian/local/filters/pdf-filters/filter/texttopdf.c,
    debian/local/filters/pdf-filters/filter/fontembed,
    debian/local/filters/pdf-filters/filter/test.sh,
    debian/local/filters/pdf-filters/filter/test_pdf1.c,
    debian/local/filters/pdf-filters/filter/test_pdf2.c,
    debian/local/filters/pdf-filters/filter/pdfutils.c,
    debian/local/filters/pdf-filters/conf/texttopdf.convs,
    debian/local/filters/pdf-filters/AUTHORS,
    debian/local/filters/pdf-filters/addtocups,
    debian/local/filters/pdf-filters/data,
    debian/local/filters/pdf-filters/data/pdf.utf-8.simple,
    debian/local/filters/pdf-filters/data/pdf.utf-8.heavy,
    debian/local/filters/pdf-filters/removefromcups,
    debian/local/filters/pdf-filters/README: Added texttopdf filter.
    Added "Depends: ttf-freefont" for the cups package, as the
    texttopdf filter needs these fonts.

  [ Johan Kiviniemi ]
  * Add cupsfilter-path-typo.dpatch: Fix a typo in scheduler/cupsfilter.c,
    which caused filters not to have /bin in their PATH.
  * debian/filters/pstopdf:
    - Do not log to /tmp/pstopdf.log. A user running the filter (e.g. via
      cupsfilter) made all other users (including cups itself) unable to run
      the filter because of no permission to open the logfile.
    - Put unquoted variables into quotes where appropriate.
    - Never create an outfile in the same directory as the given infile; the
      process might not have write access there.
    - set -e.
  * debian/local/filters/pdf-filters/filter/texttopdf.c:
    - Use FreeMono instead of Courier, since texttopdf requires a TrueType
      font.

  [ Martin Pitt ]
  * Bump shlibs version for libcups2 and libcupsimage2. (Closes: #494168)

 -- Martin Pitt <mpitt@debian.org>  Fri, 15 Aug 2008 08:02:32 +0200

cups (1.3.8-3) experimental; urgency=low

  [ Till Kamppeter ]
  * debian/local/filters/pdf-filters/addtocups,
    debian/local/filters/pdf-filters/removefromcups,
    debian/local/filters/pdf-filters/config-scripts/cups-pdf-filters.m4,
    pdftopdf/Makefile: Avoid that all executables and libraries of CUPS
    get linked against libpoppler. This especially leads to all packages
    dependent on CUPS needing libpoppler, even for building.

 -- Martin Pitt <mpitt@debian.org>  Mon, 11 Aug 2008 16:48:59 +0200

cups (1.3.8-2) experimental; urgency=low

  [ Till Kamppeter ]
  * debian/local/filters/pdf-filters/, debian/local/pstopdf.convs,
    debian/rules, debian/control, debian/copyright, debian/cups.install:
    Introduced the first bunch of infrastructure for using PDF as standard
    print job format. Added CUPS filters imagetopdf, pstopdf, pdftopdf,
    pdftoraster, added build dependency on libpoppler-dev, as the new filters
    are Poppler-based. texttopdf and pdftoijs will be added soon.
    All this is temporary, as the filters are planned to be added to the
    upstream package of CUPS (CUPS STR #2897, #1595).
  * debian/patches/search_mime_files_in_usr_share.dpatch: Replaced by the
    changes which were done for this purpose in CUPS 1.4. In addition to
    the introduction of /usr/share/cups/mime for installing file detection and
    conversion rules as non-conffiles it also changes the reading order to
    all *.types files and the all *.convs files (instead of all in
    /usr/share/cups/mime and then all in /etc/cups). This way
    /usr/share/cups/mime can contain conversion rules based on file types
    defined by files in /etc/cups (CUPS STR #2719, CUPS SVN revs #7670 and
    #7694).

  [ Martin Pitt ]
  * Add missing CVE and more verbose descriptions to security fixes to 1.3.6-1
    changelog.

 -- Martin Pitt <mpitt@debian.org>  Sat,  9 Aug 2008 23:48:59 +0200

cups (1.3.8-1) unstable; urgency=low

  * New upstream release: some 20 bug fixes, no new features (see
    http://www.cups.org/articles.php?L562 for details).
    - Fixes remote DoS through RSS subscriptions. (CVE-2008-5184)
  * Dropped patches, accepted upstream:
    - empty_option_value_crash.dpatch
    - CVE-2008-1722.dpatch
    - glibc2.8_build.dpatch
    - HostNameLookups_values.dpatch
  * manpage-typos.dpatch: Most of this got applied to 1.3.8. The ".Sh" ->
    ".SS" fix only got applied to trunk, so backport these remaining ones.
  * manpage-translations.dpatch: Update to new upstream version.

 -- Martin Pitt <mpitt@debian.org>  Wed, 23 Jul 2008 08:58:57 +0200

cups (1.3.7-9) unstable; urgency=low

  [ Martin Pitt ]
  * Update Turkish debconf translations, thanks Mert Dirik!
    (Closes: #489408)

  [ Till Kamppeter ]
  * Updated "Suggests:" for the "cups" package, replacing obsolete
    foomatic-filters-ppds by foomatic-db and foomatic-db-engine.
    (Closes: #286127)

 -- Martin Pitt <mpitt@debian.org>  Fri, 11 Jul 2008 09:49:08 +0200

cups (1.3.7-8) unstable; urgency=medium

  * Urgency medium due to RC bug fix (#487606).
  * debian/cups.init.d: Restart xprint on start/stop/reload. (Closes: #285332)
  * Add empty_option_value_crash.dpatch: Fix crash on cupsd.conf options
    without a value. (Closes: #250848)
  * Add glibc2.8_build.dpatch: Fix building with glibc 2.8.
  * debian/patches/00list: Sort patches by upstream status.
  * Add HostNameLookups_values.dpatch: Make possible values of HostNameLookups
    consistent to manpage and to other options in cupsd.conf. (Closes: #379014)
  * debian/patches/confdirperms.dpatch: Fix typo, thanks Nicolas François!
  * Add manpage-typos.dpatch: Fix various typos in manpages, thanks Nicolas
    François! (part of #478597)
  * Add manpage-translations.dpatch: Provide po4a infrastructure for
    translating mangpages, and add French manpage translations. Add po4a build
    dependency, and add translated manpages to debian/*.install. Thanks to
    Nicolas François! (Closes: #478597)
  * Add Slovak debconf translations, thanks to Ivan Masár. (Closes: #488906)
  * Add Romanian debconf translations, thanks to Eddy Petrișor.
    (Closes: #488597)
  * debian/cups.init.d: Test for executability of daemon, not merely its
    existence. (Closes: #488843)
  * debian/cups.prerm: Do not delete the /usr/lib/cups/backend/smb symlink on
    removal, it is owned by smbclient, not cups. (Closes: #487606)

 -- Martin Pitt <mpitt@debian.org>  Wed, 02 Jul 2008 11:58:47 +0200

cups (1.3.7-7) unstable; urgency=low

  * Provide transitional cupsys-common package, to ease apt-get dist-upgrade.
  * debian/cups.preinst: Run conffile transition for "install" as well, not
    just for "upgrade" (brown paperback for this thinko!), and also remove the
    old rc.d symlinks for cupsys. (Closes: #485514)
  * debian/control: Drop obsolete "gs-esp" alternative dependency.

 -- Martin Pitt <mpitt@debian.org>  Tue, 10 Jun 2008 16:32:33 +0200

cups (1.3.7-6) unstable; urgency=low

  * Rename the package to cups. This is the proper upstream name. Upstream has
    made it clear that the usual distro patches are not a trademark violation.
    This unbreaks all the documentation out there, which refers to "cups", not
    "cupsys" (including names of the init script), as well as unbreaks
    dependencies of openprinting.org's LSB printer driver packages.
    (Closes: #482296, LP: #233790)
  * debian/cups.{config,postinst}: Remove some old cruft.
  * debian/cups.preinst: Move conffiles to new names on upgrades, in a dpkg
    conffile question avoiding manner.
  * debian/cupsys.install: Install oopstops.{convs,types} in /etc/cups, they
    do not work in /usr/share/cups/mime (loaded too early). (Closes: #474109)

 -- Martin Pitt <mpitt@debian.org>  Fri, 23 May 2008 00:32:17 +0200

cupsys (1.3.7-5) unstable; urgency=low

  * debian/cupsys-bsd.install: Remove daemon/cups-lpd. It really does not
    belong into -bsd.
  * debian/control: Add appropriate Conflicts/Replaces to older cupsys-bsd
    which shipped daemon/cups-lpd. (Closes: #477392)

 -- Martin Pitt <mpitt@debian.org>  Wed, 23 Apr 2008 11:00:41 +0200

cupsys (1.3.7-4) unstable; urgency=high

  * debian/rules: Do not fail the build when the test suite fails on m68k and
    arm. It is currently unclear why these tests fail on these architectures,
    but that shouldn't block testing migration (given that the actual bugs
    existed before as well, they just didn't get caught during build).

 -- Martin Pitt <mpitt@debian.org>  Tue, 22 Apr 2008 18:34:35 +0200

cupsys (1.3.7-3) unstable; urgency=low

  * debian/copyright: Update to current reality. (Closes: #474176)
  * Drop usage of dh_movefiles, rename the remaining debian/*.files to
    debian/*.install. This also brings back the lost
    /usr/lib/cups/daemon/cups-lpd.
  * debian/libcupsimage2-dev.install: Add cups/i18n.h from upstream (not
    installed by upstream Makefiles any more). (Closes: #474922)
  * debian/rules: Drop lintian magic, current debhelper (dh_lintian) and cdbs
    support that now. Rename .lintian -> .lintian-overrides for this.
  * debian/cupsys.doc-base: Fix section.

 -- Martin Pitt <mpitt@debian.org>  Tue, 22 Apr 2008 12:28:25 +0200

cupsys (1.3.7-2) unstable; urgency=high

  [ Martin Pitt ]
  * debian/control: Add missing build dependency lsb-release. (LP: #211375)
    Also wrap long fields, so that they are easier to edit.
  * Drop pdftops-wait-eintr.dpatch, an improved version has been committed
    upstream. Integrate the upstream solution into pdftops-cups-1.4.dpatch.
  * Add pdftops-dont_fail_on_cancel.dpatch: Fix behavioural change in patch
    from STR #2780 which broke the test suite: When a job is cancelled, do not
    report a failure in the exit code of pdftops.
  * Rebuild against fixed debhelper to properly compress manpages again (see
    #470913). (Closes: #475887, #476495)

  [ Nico Golde ]
  * Add debian/patches/CVE-2008-1722.dpatch: Two integer overflows in png
    image filter allow a denial of service attack and possibly arbitrary code
    execution. [STR #2790, CVE-2008-1722] (Closes: #476305).

 -- Martin Pitt <mpitt@debian.org>  Mon, 21 Apr 2008 19:06:55 +0200

cupsys (1.3.7-1) unstable; urgency=medium

  * Urgency medium due to security fix.
  * New upstream bugfix/security update release. For a detailled list of
    changes see http://www.cups.org/articles.php?L537.
    - CUPS GIF image filter overflow [CVE-2008-1373, STR #2765].
  * Drop patches which are now upstream:
    - cgiCompileSearch_buffer_overflow.dpatch
    - testsuite-exit-code.dpatch
    - pbmprint.dpatch
  * search_mime_files_in_usr_share.dpatch: Drop log message about missing
    /usr/share/cups/mime/ from error to info, since it is not really an
    error, and causing the test suite to fail due to error log count mismatch.
  * pdftops-cups-1.4.dpatch: Apply r7391 from SVN head to fix missing error
    message newlines (STR #2743).
  * debian/rules: Remove cleaning of test suite HTML reports in test/, they
    are written to /tmp now.
  * Add pdftops-wait-eintr.dpatch: Handle EINTR in pdftops' wait() call.
    (Caught by test suite.)
  * debian/libcupsys2-dev.files: Drop i18n.h, it's an internal interface and
    not installed by upstream any more.
  * debian/control: Add poppler-utils | xpdf-utils build dependency, so that
    the test suite works during build.

 -- Martin Pitt <mpitt@debian.org>  Wed, 02 Apr 2008 11:03:37 +0200

cupsys (1.3.6-3) unstable; urgency=high

  [ Till Kamppeter ]
  * pdftops-cups-1.4.dpatch: Updated to Mike Sweet's patch version from CUPS
    STR #2716.
  * debian/patches/ppd-poll-with-client-conf.dpatch: If there is a client.conf
    pointing to a remote server, clients were not able to poll the PPD options
    from printers on that server (CUPS STRs #2731, #2763)

  [ Martin Pitt ]
  * Urgency high due to security fix.
  * debian/local/apparmor-profile: Allow cups-pdf to read files in ~/PDF/, so
    that it can overwrite files. (LP: #161222)
  * Add cgiCompileSearch_buffer_overflow.dpatch: Fix buffer overflow in
    cgiCompileSearch() using crafted search expressions. Exploitable if
    printer sharing is enabled. (CVE-2008-0047, STR #2729, Closes: #472105)

 -- Martin Pitt <mpitt@debian.org>  Sat, 22 Mar 2008 12:37:57 +0100

cupsys (1.3.6-2) unstable; urgency=low

  * debian/rules: Configure with default log file permissions 0640.
    (Closes: #469853)
  * debian/control: Mention "lpr" in the description of -bsd, for easier
    apt-cache search catching. (Closes: #426519)
  * Remove debian/NEWS, there's nothing new since Etch's release.
    (Closes: #376580)
  * Add debian/patches/pbmprint.dpatch: Fix printing of PBM files, thanks to
    Eugeniy Meshcheryakov! (Closes: #313536)
  * debian/cupsys.preinst: Only chown /var/run/cups if it exists. (LP #156634)
  * Move scripting examples from cupsys to libcupsys2-dev. No need to install
    those 1.3 MB by default on every system, this is much more developer
    oriented. Mention this in the package description.
  * debian/rules: Explicitly build with -fno-stack-protector on arm and armel,
    since the compiler produces segfaulting binaries. Works around #469517.
  * search_mime_files_in_usr_share.dpatch: Do not fatally fail if
    DataDir/mime does not exist. This both makes much more sense (since
    /etc/cups is the canonical dir which must exist, and /usr/share/cups/mime
    is optional), and also unbreaks the test suite (which does not create this
    directory by default).
  * pidfile.dpatch: Specify PidFile in temporary directory in the self test's
    cupsd.conf.
  * debian/rules clean: Remove test suite HTML reports.
  * Add testsuite-exit-code.dpatch: Exit with nonzero if the test suite fails,
    so that it is easier to integrate into package building.
  * pdftops-cups-1.4.dpatch: Update pdftops location in test suite, too, so
    that it does not fail the PDF printing test. (Forwarded to STR #2759)
  * debian/rules: Run test suite on build. This will fail the build if any
    tests fail, so that problems on particular platforms will be caught
    easily.
  * debian/control: Add alternative (build-)depends to heimdal-dev.
  * debian/rules, debian/cupsys.postinst: Call update-rc.d to not install stop
    symlinks for runlevels 0 and 6, since they just needlessly slow down
    shutdown. Remove the obsolete kill symlinks on upgrade. Patch adopted from
    the Ubuntu branch, but without using the Ubuntu-only 'multiuser' mode of
    update-rc.d.
  * Add debian/local/apparmor-profile: AppArmor profile (taken from Ubuntu
    branch). Install it in debian/rules if package is built on Ubuntu (tested
    with lsb_release -is). Reload AppArmor in debian/cupsys.postinst if both
    the cupsys profile and AppArmor itself are present.
  * Add debian/patches/ubuntu-disable-browsing.dpatch: Disable Browsing by
    default when building on Ubuntu.
  * Add debian/patches/ubuntu-default-error-policy-retry-job.dpatch: Set
    default job error policy to "Retry", since it is less confusing and a
    better default on desktop machines. This is only applied when building on
    Ubuntu.
  * debian/control: Add Vcs-{Svn,Browser} fields.

 -- Martin Pitt <mpitt@debian.org>  Sun, 16 Mar 2008 22:34:50 +0100

cupsys (1.3.6-1) unstable; urgency=low

  * New upstream bugfix release.
    - Fixes buffer overflows in filter/hpgl-input.c, possibly exploitable to
      run arbitrary code with crafted HP-GL files. (CVE-2008-0053)
    - Fixes double free vulnerability in process_browse_data(),
      exploitable to remote DoS. (CVE-2008-0882, bug #467653)
  * Remove the following patches which are upstream now:
    - fix_regression_reactivate_net_ifaces_changes_detection.dpatch
    - web-interface-breaks-default-auth-setting.dpatch
  * search_mime_files_in_usr_share.dpatch: Greatly simplified the patch by
    using mimeMerge(), so that it is more robust against upstream changes.
    Forwarded to STR#2719.
  * Dropped cupsd.conf-AllowLocal.dpatch; it does not do anything good any
    more for the current web and GUI administration tools (they handle this
    fine by themselves), so it's obsolete now.
  * Drop enable{sharing,browsing} and {sharing,browsing}_status scripts. They
    have never been used in Debian, not used any more in Ubuntu, and the
    current frontends (web, system-config-printer, etc.) do this in a much
    better way.
  * debian/docs: Remove redundant LICENSE.txt.
  * debian/rules: Add a generic rule to install lintian overrides in
    debian/packagename.lintian.
  * Add lintian overrides for unjustified/wontfix complaints about libcupsys2
    and cupsys.
  * debian/cupsys.doc-base: Remove erroneous whitespace in the section
    separator.
  * debian/rules: Remove *.o and *.so files from PHP scripting examples
    directory (it's /usr/share after all).
  * debian/cupsys.init.d: Add Short-Description.
  * debian/rules: Do not ship an empty /usr/share/cups/model/ directory.

 -- Martin Pitt <mpitt@debian.org>  Tue, 26 Feb 2008 14:23:50 +0100

cupsys (1.3.5-2) unstable; urgency=low

  [ Martin Pitt ]
  * debian/cupsys.init.d: Add Should-Start: avahi. (Closes: #459662)

  [ Till Kamppeter ]
  * debian/patches/pdftops-cups-1.4.dpatch, debian/local/filters/pdftops:
    Replaced Helge Blischke's alternative pdftops wrapper by the pdftops
    of CUPS 1.4. The old pdftops wrapper did not work with the pdftops
    filter of Poppler, the new one works with the pdftops filters of both
    Poppler and XPDF (Closes: #457810; Ubuntu LP: #182379).
  * debian/patches/web-interface-breaks-default-auth-setting.dpatch: When
    modifying server settings with the CUPS web interface, the setting
    for the default authentication got overwritten with gibberish
    (Closes: #461331; CUPS STR #2703, Ubuntu LP: #188426).
  * debian/local/backends/dnssd: Updated dnssd to filter out IPv6 entries,
    as they clutter the lists of detected printers and make the network
    printer discovery process taking more time than needed. Applied also
    a bug fix and the possibility of querying one IP address by calling
    the dnssd backend with the IP as command line argument (like the
    snmp CUPS backend).

 -- Martin Pitt <mpitt@debian.org>  Mon, 25 Feb 2008 11:13:15 +0100

cupsys (1.3.5-1) unstable; urgency=high

  [ Kenshi Muto]
  * New upstream release
    - cups-stops-broadcasting-on-HUP-with-explicit-BrowseAddress patch is
      merged.
    - Fix that SNMP backend did not check for negative string lengths.
      (CVE-2007-5849, closes: #457453).
  * Update pdftops.pl to 1.20. It fixes overwriting arbitary files
    via symlink attack. (CVE-2007-6358, closes: #456960)

  [ Till Kamppeter ]
  * debian/patches/fix_regression_reactivate_net_ifaces_changes_detection.dpatch :
    Fix a regression in upstream code that has removed the network interface
    update poll (CUPS STR #2631, LP: #177075). Thanks to Hugues Fournier
    (hugues dot fournier at gmail dot com) for the patch.

 -- Kenshi Muto <kmuto@debian.org>  Wed, 19 Dec 2007 17:07:05 +0900

cupsys (1.3.4-4) unstable; urgency=high

  [ Kenshi Muto]
  * cupsys depends on "ghostscript | gs-esp", not "ghostscript | gsp-esp"!
    I should punish myself.
    (closes: #456455)

 -- Kenshi Muto <kmuto@debian.org>  Tue, 18 Dec 2007 07:49:17 +0900

cupsys (1.3.4-3) unstable; urgency=high

  [ Martin Pitt ]
  * debian/control: Bump Standards-Version to 3.7.3 (no changes necessary).

  [ Till Kamppeter ]
  * debian/patches/cups-stops-broadcasting-on-HUP-with-explicit-BrowseAddress.dpatch:
    CUPS stopped broadcasting on a HUP signal when using a fixed
    BrowseAddress (CUPS STR #2618, Ubuntu LP: #173470).
  * debian/local/backends/dnssd: Updated dnssd to support Mac OS X servers
    which broadcast their print queues only via DNS-SD and require clients
    to create raw IPP queues pointing to the server's queues manually.

  [ Kenshi Muto]
  * Debconf translation
    - French (closes: #456272)
    - do update-debconfpo. Update all translations to use the msgstr 'dnssd'
      for msgid 'dnssd'.
  * cupsys depends on "ghostscript | gs-esp", to ease testing transition and
    upgrades from etch (closes: #456455).

 -- Kenshi Muto <kmuto@debian.org>  Mon, 17 Dec 2007 10:25:02 +0900

cupsys (1.3.4-2) unstable; urgency=low

  [ Kenshi Muto ]
  * Bumps up shlibs to 1.3.4.

  [ Martin Pitt ]
  * debian/control: Remove gs-esp alternative dependency, it's just
    "ghostscript" nowadays.
  * debian/control: Slightly bump the C/R: for -common; it's a pointless delta
    to Ubuntu and it doesn't hurt us.
  * debian/cupsys-bsd.postinst: Symlink cupsys-bsd's doc directory to
    cupsys-common's, not cupsys', since the latter is not a dependency.
  * debian/control: Demote cups-pdf from Recommends: to Suggests: to match the
    semantics (apt installs recommends by default now).
  * debian/cupsys.init.d: Add LSB header, thanks to Petter Reinholdtsen!
    (closes: #337640)
  * debian/rules: Configure with default printcap in /var/run/cups/.
    (closes: #452446)

  [ Till Kamppeter ]
  * Add debian/local/backends/dnssd: Printer discovery backend for
    several cheaper printers, like the HP Color LaserJet 2600n, are not
    discovered by the "snmp" backend.  In addition, this backend extracts more
    info from the printers than the "snmp" backend, like for example available
    page description languages.  This leads to better driver choices for
    unknown printer models.
  * debian/cupsys.install, debian/cupsys.{prerm,postinst,templates,rules}:
    Install new backend.
  * debian/control: Add Recommends: to avahi-utils; if it is installed, the
    dnssd backend can actually work.
  * debian/postinst: Activate new backends (since Etch) by default on
    upgrades. This affects snmp, scsi, serial, and dnssd.

 -- Martin Pitt <mpitt@debian.org>  Fri, 30 Nov 2007 18:42:15 +0100

cupsys (1.3.4-1) unstable; urgency=high

  * New upstream release.
    - Fixes CVE-2007-4351
      IPP Tags Memory Corruption Vulnerability (closes: #448866)

  [ Martin Pitt ]
  * debian/cupsys.postinst: Drop ancient code to remove root from group
    lpadmin.

  [ Kenshi Muto ]
  * Debconf translation
    - Finnish (closes: #446740)

 -- Kenshi Muto <kmuto@debian.org>  Fri, 02 Nov 2007 21:32:29 +0900

cupsys (1.3.2-1) unstable; urgency=low

  * New upstream bug fix release.
    - Fixes web interface for many browsers. (STR#2472, Closes: #440589)
  * Remove str2488-fix-localedir.dpatch, str2505_localize.dpatch,
    str2508-dont_kill_edit-config.tmpl.dpatch: Fixed upstream.

 -- Martin Pitt <mpitt@debian.org>  Tue, 18 Sep 2007 08:15:17 +0200

cupsys (1.3.0-4) unstable; urgency=low

  * Install PO files again, but this time under /usr/share/cups/locale. cups
    has its own crazy PO file parser.
  * Add debian/patches/str2488-fix-localedir.dpatch: Make the --localedir
    configure option actually work (taken from upstream SVN, STR#2488)
  * debian/rules: Add --enable-gssapi to ensure that the package is built with
    Kerberos support.
  * debian/rules: Use -Wl,--as-needed linker flag. This drops a few
    unnecessary dependencies and should make checklib much happier.
  * Add debian/patches/str2508-dont_kill_edit-config.tmpl.dpatch: Do not kill
    edit-config.tmpl on distclean. Forwarded upstream as STR#2508.
    (Closes: #441697)
  * Add debian/patches/str2505_localize.dpatch: Fix localization of web
    interface (STR#2505, Closes: #440256)

 -- Martin Pitt <mpitt@debian.org>  Tue, 11 Sep 2007 22:43:06 +0200

cupsys (1.3.0-3) unstable; urgency=low

  [ Martin Pitt ]
  * debian/control: Allow 'ghostscript' as alternative dependency to gs-esp.
  * debian/cupsys.dirs: Create /usr/lib/cups/backend/ (regression from the big
    debian/rules cleanup). (closes: #438432)
  * debian/cupsys.preinst: Bump the version comparison for the file owner
    cleanup, since some log files were still left as owned by 'cupsys' until
    #437536 was fixed.
  * debian/cupsys-common.files: Do not install the .po files, cups does not
    use them at runtime. (closes: #438625)

  [ Till Kamppeter ]
  * debian/local/postscript.ppd: New generic PostScript PPD file for
    unknown PostScript printers added.

 -- Martin Pitt <mpitt@debian.org>  Mon, 20 Aug 2007 16:23:58 +0200

cupsys (1.3.0-2) unstable; urgency=low

  * debian/control: Re-add erroneously dropped adduser dependencies to cupsys
    and cupsys-client. Still needed for addgroup lpadmin. (closes: #437951)
  * debian/control: Add missing libkrb5-dev dependency to libcupsys2-dev.

 -- Martin Pitt <mpitt@debian.org>  Wed, 15 Aug 2007 09:22:29 +0200

cupsys (1.3.0-1) unstable; urgency=low

  [ Till Kamppeter ]
  * New upstream release (first release of 1.3.x generation)
  * 90_include_krb5_h_in_job_h.dpatch: Added a missing "#include <krb5.h>" to
    the scheduler/job.h file (upstream bug).
  * Regenerated patches: 44_fixconfdirperms.dpatch, 47_pid.dpatch,
    70_reactivate_recommended_driver.dpatch.
  * Removed patches (fixed upstream): 53_usr_share_ppd_support.dpatch,
    55_ppd_okidata_name.dpatch, 68_edit-config.dpatch
  * debian/control: Added "libkrb5-dev", and "libavahi-compat-libdnssd-dev"
    to the build dependencies, so that the new Kerberos and DNS Service
    Discovery support of CUPS gets compiled.
  * debian/libcupsys2-dev.files: Removed /usr/include/cups/md5.h This file is
    not provided any more by CUPS
  * debian/cupsys.install, debian/cupsys-client.files: Added new files.
  * debian/rules: Added more files to "clean::" rule which upstream has
    forgotten in "make clean".

  [ Martin Pitt ]
  * Bump library shlibs to >= 1.3.0.
  * Drop 02_configure.dpatch, upstream configure does not set rpath any more
    for prefix=/usr.
  * Drop 54_cups-config_modeldir.dpatch, --modeldir was never actually used
    anywhere and not documented, and LSB prescribes /usr/share/ppd/ anyway.
  * Drop 56_dirsvc.dpatch, which was fixed upstream long ago and disabled in
    00list anyway since then.
  * Drop 67_printcap.dpatch: /var/run/cups/printcap is now the implicit
    default upstream.
  * debian/patches: Drop number prefixes from patches. The enumeration is not
    useful at all any more since it both got inflated and is not sorted by any
    category. With dpatch we also do not need number prefixes.

 -- Martin Pitt <mpitt@debian.org>  Tue, 14 Aug 2007 21:10:50 +0200

cupsys (1.2.12-4) unstable; urgency=low

  [ Martin Pitt ]
  * cupsys.logrotate: Fix last occurence of 'cupsys' user.
    (closes: #437536)
  * Moved all Debian specific filters to debian/local/filters.
  * Cleaned up debian/rules, moved some file installs to
    debian/cupsys.install.
  * Merge debian/cupsys.files into debian/cupsys.install and remove the
    former. Two different files are just too confusing.
  * debian/local/filters/pdftops: Do not pass /etc/cups/pdftops.conf to
    pdftops if it does not exist (poppler-utils does not have this file).
    (https://launchpad.net/bugs/125300)

  [ Martin-Éric Racine ]
  * Corrected download URL in debian/copyright.
  * Added debian/watch file using that URL.
  * Revised the Uploaders in debian/control:
    - Fixed the name for Masayuki Hatta.
    - Added Roger Leigh.
  * Removed cupsys-driver-gimpprint alternative in debian/control;
    superseded by cupsys-driver-gutenprint since Etch.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sun, 12 Aug 2007 13:36:30 +0300

cupsys (1.2.12-3) unstable; urgency=low

  [ Martin-Éric Racine ]
  * Added presubj script to warn bug reporters to avoid filing Poppler
    or XPDF security issues, since we don't use that codebase; we call
    external programs who do and that's where the bug should be filed.

  [ Martin Pitt ]
  * cupsys.init.d: Remove stray chown'ing to 'cupsys' which does not exist any
    more. (closes: #436662)
  * cupsys.init.d: Fix detection of parallel printers when 'lp' is already
    loaded. (https://launchpad.net/bugs/29050)
  * debian/cupsys.init.d: Put back 'reload'.

 -- Martin Pitt <mpitt@debian.org>  Thu, 09 Aug 2007 20:47:42 +0200

cupsys (1.2.12-2) unstable; urgency=low

  [ Kenshi Muto ]
  * Added scripting directory to /usr/share/doc/cupsys/examples.
    This directory contains the binding code from Java, Perl, and PHP
    to CUPS. (closes: #193076)
    Although we Debian CUPS team cannot afford to maintain them,
    some of you may want them.
  * Added 'Recommends: cupsys' to cupsys-bsd. (closes: #426521)
  * Changed cupsys-client from 'Recommends: cupsys-bsd' to 'Suggests:
    cupsys-bsd.' because cupsys-bsd isn't so necessary for cupsys-client.
  * Fixed to use 'cupsys' instead of 'cups' for PAM on cups-check-pam-auth.
    (though Debian CUPS doesn't use this daemon) (closes: #425701)
  * Added debconf-2.0 to the dependency of cupsys-bsd. (closes: #415684)

  [ Martin Pitt ]
  * Drop the derooting changes. It still has some regressions, and with
    upstream not even acknowledging the need for improving cupsys' security we
    will sit on this forever. This will be replaced by an AppArmor/SELinux
    profiles in the future.
    - Drop derooting related patches:
      06_disable_backend_setuid.dpatch
      10_external_pam_helper.dpatch
      09_runasuser.dpatch
      09_runasuser_autoconf.dpatch
    - debian/cupsys{,-client}.postinst: Drop the 'cupsys' user setup and file
      permission juggling.
    - debian/rules:
      + Drop --with-cups-user configure option.
      + Do not modify the upstream default backend permissions.
    - debian/cupsys.init.d: Do not touch log file permissions any more.
    - debian/cupsys.files: Drop cups-check-pam-auth.
    - debian/NEWS: Drop description of derooting changes.
    - debian/control: Drop adduser dependency.
   * debian/patches/44_fixconfdirperms.dpatch: Do not create
     /var/run/cups/certs as lp:lpadmin, but as root:lpadmin, so that cupsd
     does not need CAP_DAC_OVERRIDE. This will make it possible to create a
     sensible AppArmor/SELinux profile.
   * debian/cupsys.preinst: Fix file permissions on upgrades (owner cupsys ->
     root).
   * debian/control, debian/rules: Remove references to libcupsys2-gnutls10,
     since it's a transitional package in Etch and not relevant any more in
     Lenny.
  * debian/cupsys.{pre,post}inst: Remove obsolete transition bits.
  * Remove obsolete debian/patches/05_avoidunknowngroup.dpatch.
  * Use ssl-cert's "snakeoil" SSL certificate by default: (Closes: #402370)
    - debian/control: Add ssl-cert dependency.
    - debian/cupsys.postinst: Symlink snakeoil SSL certificate if present, and
      there is none present yet.
  * debian/control: Replace obsolete ${Source-Version} with ${binary:Version}.

  [ Till Kamppeter ]
  * Add debian/local/textonly.{ppd,filter}: Text-only printer driver from Red
    Hat. Install it in debian/rules.
  * debian/rules: Install the D-Bus config file so that CUPS reports
    job progress to dbus clients (like sytem-config-printer).
  * Add debian/local/oopstops.{.pl,types,convs}: Helge Bliscke's oopstops
    filter to work around the bugs in the PostScript output of OpenOffice.org
    (from http://www.srz.de/Members/bla/cups/filter/oopstops). Install them in
    debian/rules.

 -- Martin Pitt <mpitt@debian.org>  Mon, 06 Aug 2007 15:47:33 +0200

cupsys (1.2.12-1) unstable; urgency=low

  * New upstream release
  * removed unnecessary dependency against patch package (Closes: #431069)
  * Debconf translation
    - Danish (Closes: #426772)
    - Vietnamese (Closes: #426822)
    - Spanish (Closes: #430004)
  * Disabled external_pam_helper due to #425944 and Ubuntu#112803.
    (closes: #425944)

 -- Kenshi Muto <kmuto@debian.org>  Sat, 14 Jul 2007 14:56:24 +0900

cupsys (1.2.11-3) unstable; urgency=medium

  * debian/rules: Disable privilege dropping for now until we fixed the
    backend invocation to become compatible to upstream's behaviour again.
    This unbreaks third-party backends again for now. (Closes: #427559)

 -- Martin Pitt <mpitt@debian.org>  Fri, 08 Jun 2007 11:15:12 +0200

cupsys (1.2.11-2) unstable; urgency=low

  * debian/rules: Latest cups installs the ipp backend with 0700 permissions,
    which makes it inaccessible to both the cups daemon (Closes: #423972) and
    unreadable for users (Closes: #415872)

 -- Martin Pitt <mpitt@debian.org>  Wed, 16 May 2007 09:06:44 +0200

cupsys (1.2.11-1) unstable; urgency=low

  [ Kenshi Muto ]
  * Applied templates improvement patch contributed by
    debian-l10n-english team. (closes: #416350)
  * Debconf translation
    - Japanese
    - Galician (closes: #416357)
    - Swedish (closes: #416356)
    - Catalan (closes: #416367)
    - Basque (closes: #416385)
    - Norwegian (closes: #416401)
    - Italian (closes: #416407)
  * New upstream version 1.2.11:
    - 56_dirsvc patch is merged.

  [ Christian Perrier ]
  * Debconf translation
    - Czech (closes: #416939)
    - German (closes: #416994)
    - Brazilian Portuguese (closes: #417249)
    - French
    - Malayalam. (closes: #418030)
    - Russian. (closes: #417874)
    - Dutch. (closes: #418135)
    - Portuguese (closes: #418299)

  [ Martin Pitt ]
  * New upstream bugfix release (closes: #421899).

  Synchronize patches with Ubuntu and new upstream version 1.2.10:

  * Drop patches which are fixed upstream:
    00_00str2111.dpatch, 00_01str2137.dpatch, 00_02str2144.dpatch,
    00_03str2106.dpatch, 00_04str2117.dpatch, 00_05str2133.dpatch,
    00_06str2121.dpatch, 00_07str2123.dpatch, 00_08str2135.dpatch,
    00_09str2198.dpatch, 03_clean.dpatch, 65_detect_http_shutdown.dpatch
  * Remove a few obsolete patches:
    08_cupsd.conf.conf.d.dpatch, 26_modprobe.dpatch, 48_stdlib.dpatch,
    61_job_c_strangeloop.dpatch, 08_cupsd.conf.conf.d.dpatch,
    64_driverfolder.dpatch.
  * Add debian/patches/14_dont_force_ssl.dpatch: Do not require SSL for /admin
    pages, since gnome-cups-manager (and most probably other GUI frontends)
    does not support this.
  * Add debian/patches/58_cupsd.conf-AllowLocal.dpatch: Allow access to local
    ethernet by default. This just affects the ACL, for actually enabling
    access cupsd needs to be switched to not only listen on localhost. With
    that, this setting does not need to be configured in two different places.
  * Add debian/patches/70_reactivate_recommended_driver.dpatch: Upstream CUPS
    filters the "(recommended)" marking from the NickNames of the PPD files
    when listing PPDs. These are an important orientation for the user and
    they are also made use of by some printer setup tools. We need them at
    least until a better solution for recommending drivers gets available.
  * Add debian/patches/98_search_mime_files_in_usr_share.dpatch: Let CUPS also
    search for *.types and *.convs files in /usr/share/cups/mime. This way
    packages can provide *.types and *.convs files which do not get considered
    as conffiles. (See https://launchpad.net/36532 for details).
  * debian/patches/*.dpatch: Forwarded a lot of patches to upstream bug
    tracker, add STR URLs to dpatch DP: headers.

  Synchronize packaging with Ubuntu:

  * debian/control: Drop transitional libcupsys2-gnutls10 package, it was only
    required for Sarge->Etch upgrades.
  * debian/control: Change netbase dependency to update-inetd, since that
    lives in its own package now.
  * debian/local/enable_sharing: Also match on 127.0.0.1 IP adresses in
    addition to 'localhost'.
  * debian/rules: Most of the clean:: rule is obsolete, only two files are
    left behind now. These two have been reported upstream in
    http://www.cups.org/str.php?L2366.
  * debian/cupsys.templates: Activate SCSI, serial, and SNMP backends by
    default. With these backends activated, many printers can be easily set up
    with the printer setup tools.  Especially network printers get
    auto-detected and the correct URI gets assigned to them (doing this
    manually is a non-trivial task for most users).
  * debian/cupsys.dirs: Add /usr/share/ppd/custom/, a place where lpadmins can
    store additional PPDs (this functionality is e. g. provided in
    gnome-cups-manager's "Custom driver..." file dialog).
  * debian/cupsys.init.d: Give proper permissions to /usr/share/ppd/custom/:
    root:lpadmin 3775. Drop the obsolete chmod/chowning of
    /usr/share/cups/model.
  * Run the backend as non-root system user to confine the impact of security
    vulnerabilities:
    - Add debian/patches/10_external_pam_helper.dpatch:
      + Add a helper program 'cups-check-pam-auth' which performs PAM
        authentication and returns the status as exit code.
      + scheduler/auth.c, cupsdAuthorize(): Attempt to use
        cups-check-pam-auth before trying native PAM.
      + With this we do not need to put the cupsys user into the shadow group.
    - debian/cupsys.files: Install PAM helper.
    - debian/cupsys.postinst: Set permissions of PAM helper to cupsys:shadow
      2754, alter permissions of some configuration files and directories to
      work with non-root cupsd.
    - debian/cupsys.postinst: Fix /var/cache/cups/ permissions for upgrades
      which might have written cache files as root.
    - debian/cupsys.logrotate: Save log files as cupsys:lpadmin.
    - debian/cupsys.init.d: Disable 'reload'; change force-reload to restart,
      since cupsd cannot reload as non-root.
    - debian/cupsys.init.d: Set up proper permissions of log files.
    - debian/rules: Enable --enable-privilege-dropping configure option.
    - debian/rules: Install lpd backend suid root, so that it can bind to
      ports < 1024 (really silly, but required for RFC compliance).
    - debian/cupsys-client.postinst, debian/cupsys.postinst: Set up cupsys
      system user.
  * debian/NEWS: Describe derooting.

 -- Martin Pitt <mpitt@debian.org>  Mon, 14 May 2007 09:23:16 +0200

cupsys (1.2.7-4) unstable; urgency=high

  [ Kenshi Muto ]
  * Use dh_usrlocal to install files in /usr/local in the
    maintainer scripts, instead of shipping them in the deb.
    This was policy violation (closes: #409335)

 -- Kenshi Muto <kmuto@debian.org>  Fri,  2 Feb 2007 18:16:24 +0900

cupsys (1.2.7-3) unstable; urgency=high

  [ Kenshi Muto ]
  * removed STR2137 patch. This patch corruted some
    Postscript files. (closes: #403703) This was a release
    critical bug.
  * Provides /usr/local/share/ppd and /opt/share/ppd
    to satisfy LSB 3.2. (closes: #408154)
  * Applied upstream patch:
    - STR2198: The scheduler still loaded the remote printer cache,
      even when browsing was disabled
  * Debconf translation
    - Portuguese (closes: #408332)
    - Norwegian (closes: #406253)

 -- Kenshi Muto <kmuto@debian.org>  Thu,  1 Feb 2007 10:17:30 +0000

cupsys (1.2.7-2) unstable; urgency=high

  [ Kenshi Muto ]
  * Applied upstream patches to fix some (include RC) bugs as dpatch style:
    - STR2106: Raw PBM files did not print correctly
    - STR2111: The PostScript filter did not properly output
      document setup commands for reversed output (closes: Bug#403703)
    - STR2117: The scheduler did not parse IPv6 netmask properly
    - STR2121: cupsDoAuthentication() did not translate the password
      prompt
    - STR2123: The backends incorrectly used STATUS:
      media-tray-empty-error messages for out-of-paper conditions
    - STR2133: httpGetLength2() did not handle error messages without
      content correctly
    - STR2135: cupsMarkOptions() did not handle the
      multiple-document-handling option
    - STR2137: Collated output produced by the PostScript filter could
      lose some options
    - STR2144: job-hold-until with time values for the next day would
      be held for 60 days
  * 67_printcap: Add Printcap/PrintcapFormat/PrintcapGUI variables to
    cupsd.conf file. (closes: #401981)
  * cupsys makes /var/run/cups/certs. Although CUPS daemon can make
    it automatically, the daemon logs an warning.
  * 68_edit-config: Provide same cupsd.conf as initial package
    installation.

 -- Kenshi Muto <kmuto@debian.org>  Wed,  6 Dec 2006 22:42:34 +0000

cupsys (1.2.7-1) unstable; urgency=low

  * New upstream release
    - Added Italian translation

  [ Kenshi Muto ]
  * Add printer.schema to /usr/share/doc/cupsys/examples for LDAP.
    (closes: #399122)

 -- Kenshi Muto <kmuto@debian.org>  Sat, 18 Nov 2006 10:03:30 +0900

cupsys (1.2.6-2) unstable; urgency=low

  [ Kenshi Muto ]
  * Debconf translation
    - Brazillian Portuguese (closes: #397842)
    - Basque (closes: #398574)
  * 00_r6100: Apply SVN r6100.
    - Fixed an inefficiency in the SNMP IPP detection code
      (closes: #397833)

 -- Kenshi Muto <kmuto@debian.org>  Tue, 14 Nov 2006 22:29:08 +0900

cupsys (1.2.6-1) unstable; urgency=low

  * New upstream release
    Fixes bugs include
    - "lpc status" did not show the number of queued jobs for
      disabled queues
    - The lpstat program could hang

 -- Kenshi Muto <kmuto@debian.org>  Tue,  7 Nov 2006 21:09:33 +0900

cupsys (1.2.5-1) unstable; urgency=medium

  * New upstream release.

  [ Kenshi Muto ]
  * 00_r6052: Apply SVN r6052 to pass the compile with libpaper.
  * provides /etc/pam.d/cupsys correctly. (closes: #392142)
    (renamed debian/pam to debian/cupsys.pam)
  * fixed "ppd API fails to discover printer nickname and options"
    problem" by upstream (closes: #394255)

 -- Kenshi Muto <kmuto@debian.org>  Sat, 21 Oct 2006 01:18:34 +0000

cupsys (1.2.4-2) unstable; urgency=low

  [ Kenshi Muto ]
  * PPD transition to /usr/share/ppd is mostly finished.
    Now I remove old symlink /usr/share/ppd/cups-transitional-dir and
    /usr/share/cups/cups-included. (closes: #381266, #383291)
  * Update debconf translations:
    - Brazilian Portuguese (closes: #389222)
  * Tried to solve the backend permission problem. CUPS scheduler
    uses a permission and owner information of backend program.
    - Install ipp and lpd as mode 0700.
    - Create backend links as hardlink instead of symlink.

 -- Kenshi Muto <kmuto@debian.org>  Sat, 30 Sep 2006 14:56:29 +0900

cupsys (1.2.4-1) unstable; urgency=medium

  * New upstream release
    - The web interface change settings and edit configuration
      file buttons would truncate the cupsd.conf file (STR #1976,
      closes: #389093)
      Because this bug seems critical, we upload this fixed version
      as urgency=medium.
  [ Martin Pitt ]
  * debian/patches/56_dirsvc.dpatch: Update patch so that a patch/unpatch
    cycle restores the source properly instead of breaking dirsvc.c in two
    different places.

  [ Kenshi Muto ]
  * debian/patches/65_detect_http_shutdown.dpatch: avoid that
    gnome-cups-manager eats CPU 100%. (closes: #377640)

 -- Kenshi Muto <kmuto@debian.org>  Sun, 24 Sep 2006 09:54:44 +0000

cupsys (1.2.3-1) unstable; urgency=medium

  * New upstream release
    - The parallel and USB backends no longer wait for the
          printer to go on-line - this caused problems with
          certain printers that don't follow with the IEEE-1284
          standard (STR #1738, closes: #383091)
    - fixed Printer options were not always honored when printing
      from Windows clients (STR#1839, closes: #385605)

  [ Martin Pitt ]
  * Add appropriate Replaces: to cupsys-common to unbreak upgrades.
  * debian/patches/44_fixconfdirperms.dpatch: Fix file mode specification:
    3755 -> 03755 (regression of svn commit 353).

  [ Kenshi Muto ]
  * Apply upstream svn r5958.
  * check modprobe command and /proc/modules dir exist before running
    modprobe (closes: #387176).
  * 62_classes_crash: fix incorrect code. old code returned an error
    even if user use the correct class configuration. (closes: #380663, #384654)
  * bump up libcupsys2.shlibs version to 1.2.3. (closes: #385724)
  * Merge old separated style configuration to the single format
    only if user upgraded from an affected version. (closes: #386551)
  * Provide /usr/share/cups/drivers to contain Windows drivers.
  * 57_cupsaddsmb: original cupsaddsmb easily goes infinite and DoS-like
    loop. Debian cupsaddsmb ends soon when it catches an error.

 -- Kenshi Muto <kmuto@debian.org>  Fri,  8 Sep 2006 11:28:12 +0200

cupsys (1.2.2-2) unstable; urgency=high

  [ Kenshi Muto ]
  * Apply upstream svn change r5845.
    - BrowseRelay didn't work on Debian (closes: #372855)
    61_job_c_strangeloop.dpatch: I don't make sure but job.c of
    r5818 causes strange CPU busy when it gets printing jobs.
    This patch avoids it.
  * 12_quiesce_ipp_logging: some part are merged into the upstream
    source. updated.
  * libcupsys2 conflicts cupsys version 1.1.
    libcupsys2 version 1.2 changed its private API. This breaks
    old cupsys 1.1, but we believe cupsys is only one application
    is affected by this change. (closes: #380619)
  * Provide an new package, "cupsys-dbg" to help chasing the
    problems at user's environment.
  * Increment compat to 5.
  * 44_fixconfdirperms: set owner lp for /etc/cups directory.
    And modify lppasswd.man to mention about Debian
    specific changes. lppasswd command now work. (closes: #378062)
  * 62_classes_crash: when class hasn't any printers, cupsd will
    crash immedieately after receiving a job. This patch avoids
    a crash.
  * Update debconf translations:
    - Spanish (closes: #383087)

 -- Kenshi Muto <kmuto@debian.org>  Thu, 27 Jul 2006 23:40:54 +0900

cupsys (1.2.2-1) unstable; urgency=medium

  * New upstream release

  [ Martin Pitt ]
  * Adapt patches to new upstream version.
  * debian/cupsys.init.d: If lp module loading is requested, also load the
    'ppdev' module to fix the name and model detection of parallel printers on
    newer kernels.
  * Revive debian/patches/56_dirsvc.dpatch; it's still not fixed upstream.
  * debian/patches/09_runasuser.dpatch: Do not drop additional group
    privileges in scheduler/process.c. This should fix a range of bugs
    concerning detection of parallel port printers and other 'permission
    denied' bugs if privilege dropping is enabled (it is disabled by default in
    Debian).
  * debian/patches/44_fixconfdirperms.dpatch: Do not change owner and mode of
    SSL certificate, in order to not break permissions of customized global
    ones (like the one from the ssl-cert package). Grrr, cups, no, you cannot
    own the world!
  * debian/patches/54_cups-config_modeldir.dpatch: Add --modeldir to
    cups-config so that other packages can use it to figure out the correct
    PPD base path.
  * debian/cupsys.examples: Do not ship .svn files (upstream Makefiles install
    them).
  * debian/local/{enable_browsing,browsing_status}: Adapt to single-file
    configuration file style.
  * Add debian/local/{enable_sharing,sharing_status}: Similar to
    enable_browsing and browsing_status, this switches between "Listen
    localhost:631" and "Port 631" (just as the web interface does). Install
    files in debian/rules.

 -- Kenshi Muto <kmuto@debian.org>  Mon, 24 Jul 2006 10:59:27 +0200

cupsys (1.2.1-4) unstable; urgency=medium

  [Kenshi Muto]
  * Include changelogs during 1.1.23-13 - 1.1.23-15. (closes: #374494)
  * Apply upstream svn change r5754.
    - Fix negotiation problem between unstable clients and sarge servers.
      (closes: #375359)
  * 58_fixdestc: avoid build failure of r5754 (add ipp-private.h include).
  * 59_de_docroot: install German translation/images. Although upstream
    SVN has, Debian diff structure can't handle a binary diff. This patch
    will be removed when 1.2.2 is released.
  * Add snmp to backend choices. Because I don't make sure this backend
    is stable, the default is disabled. Use dpkg-reconfigure cupsys to
    enable. (closes: #376496)
  * Don't remove backend symlinks during reconfigure/upgrade process.
    (closes: #376499)
  * Check Include directive with case insensitive. (closes: #376883)
  * libcupsys2 has /etc/cups directory to allow admin put own
    client.conf. (closes: #370788)
  * Include sample client.conf in libcupsys2. You can copy /usr/share/
    doc/libcupsys2/examples/client.conf to /etc/cups or ~/.cups and modify
    for your environment. (closes: #376840)
  * Split locale files to new package "cupsys-common". (closes: #378659)
    This package is used by cupsys and cupsys-client/cupsys-bsd.
  * removed 26_modprobe: because parallel backend executes with user 'lp'
    permission, modprobe can't work. We CUPS team believe it's better
    that lp module is loaded by discover or any other hardware detection
    programs instead of CUPS. We provide a module loader by init script
    for user's convenience at this time.
  * 60_device_uri: preserve old URI during the printer configuration on
    Web interface.

 -- Kenshi Muto <kmuto@debian.org>  Wed, 21 Jun 2006 15:06:02 +0000

cupsys (1.2.1-3) unstable; urgency=low

  [Kenshi Muto]
  * Apply upstream svn change r5673.
    - Remove unnecessary %s from dirsvc.c and will solve a mysterious
      cupsd crash. Thanks Neil. (closes: #372696, #370611)
    - Support again * character as IP address. (closes: #372291)
    - Fixes wrong command line arguments to backend. (closes: #372586, #373839)
  * Improve the wording of NEWS file, thanks Tomas (closes: #372256)
  * 53_usr_share_ppd_support: Use /usr/share/ppd as PPD path.
    (closes: #365300, #373722)
    Make symlink /usr/share/ppd/cups-transitional-dir -> /usr/share/cups/ppd
    for keeping a compatibility. We'll migrate all of PPD files to
    /usr/share/ppd in the future.
  * Revert to use single /etc/cups/cupsd.conf file for the configuration
    instead of using separate files in /etc/cups/cups.d. The migration will
    be done automatically. (closes: #345973, #372727)
  * Apply correct permission modes to the files under /etc/cups at postinst
    stage.
  * Update debconf translations:
    - Danish (closes: #371170)
    - French (closes: #372714)
    - Italian (closes: #372198)

 -- Kenshi Muto <kmuto@debian.org>  Sun, 11 Jun 2006 11:51:01 +0000

cupsys (1.2.1-2) unstable; urgency=low

  [Kenshi Muto]
  * Provides /etc/cups/ssl directory for SSL. (closes: #370407, #370450)
  * Add an newline after 'Starting ...' message by appending log_end_msg
    to /etc/init.d/cupsys. (closes: #370460)

 -- Kenshi Muto <kmuto@debian.org>  Mon,  5 Jun 2006 22:44:55 +0900

cupsys (1.2.1-1) unstable; urgency=low

  [Kenshi Muto]
  * New upstream release 1.2.1 for Debian unstable/testing.
  * 00_r5610: Apply patches from upstream r5610.
  * Re-update Dutch debconf translation (closes: #369004)
  * Pump up shlibs to >=1.2.1 for compatibility safe.

 -- Kenshi Muto <kmuto@debian.org>  Wed, 31 May 2006 13:17:16 +0000

cupsys (1.2.1-0exp1) experimental; urgency=low

  [Kenshi Muto]
  * New upstream release 1.2.1.
  * Update Dutch debconf translation (closes: #369004)
  * Update Italian debconf translation (closes: #367943)
  * Includes the installation guide of dvi filter to /usr/share/doc/
    cupsys/examples/filters/dvipipetops.INSTALL is contributed by
    Francesco Potort. This is partial fix for Bug#368450.

  [Martin Pitt]
  * New upstream release 1.2.0.
  * Update patches for new upstream release.
  * Remove debian/patches/01_cupsimage.dpatch, fixed upstream.
  * Remove debian/patches/20_httpGetHostname_crash.dpatch, fixed upstream.
  * debian/patches/55_ppd_okidata_name.dpatch: Change "Oki" manufacturer name
    to "Okidata" to be consistent with other PPD files.
  * Implement http://wiki.debian.org/PpdFileStructureSpecification:
    - debian/dirs: Create /usr/share/ppd/cups-included/.
    - debian/rules: Install shipped PPDs into
      /usr/share/ppd/cups-included/<Manufacturer>/ and provide a symlink to
      the old /usr/share/cups/model directory for backwards compatibility.
  * debian/cupsys.dirs: Ship /usr/lib/cups/driver/ to avoid error messages if
    it's missing.
  * debian/patches/09_runasuser.dpatch, scheduler/cert.c: Change root
    certificate permissions from 0440 to 0240, so that the CGI programs cannot
    read it any more. Without this patch, cupsd presented its own certificate
    to itself, and *every* user could do admin tasks without authentication.
  * debian/cupsys-client.links: Fix cupsenable/cupsdisable manpage link.
    Closes: #364447
  * debian/patches/08_cupsd.conf.conf.d.dpatch:
    - Set "BrowseAddress @LOCAL"; without this, sending browsing information
      does not work (Browsing still has to be enabled).
    - Add some comments to point out that the Port and Browsing settings are
      moved to /etc/cups/cups.d/.
  * debian/cupsys.postrm: Clean up passwd.md5 on purge.

 -- Kenshi Muto <kmuto@debian.org>  Sun, 28 May 2006 13:07:36 +0000

cupsys (1.1.99.rc2-0exp1) experimental; urgency=low

  [ Kenshi Muto ]
  * New upstream release 1.2RC2.
    - Because -fpie config becomes optional, compiler works on amd64 and
      other architectures. (closes: #335199)
  * Enable LDAP support.
  * Remove duplicated update-rc.d (closes: #356911)
  * Stopped asking admin password because it works only if user chooses
    digest authentication. The default configuration of Debian uses
    PAM and basic authentication.
  * Enable dbus support.
  * 03_clean.dpatch: Remove produced and remained files during build.
  * Now CUPS uses 'lp' user/group privilege to call backend or any other
    programs.
    CUPS SystemGroup is 'lpadmin'. You need to add users who are allowed
    to add/modify/remove printers/jobs/classes.
  * Remove image.h.patch from source. It is no longer needed.
  * 02_configure.dpath: Remove -rpath from configure.
  * Fix typo in cupsys-bsd description. (closes: #362070)
  * Add Galician debconf translation. (closes: #361258)
  * Update Danish debconf translation. (closes: #357969)
  * Use 'reload' during logrotate instead of 'restart'. It looks safe
    on CUPS 1.2. (though job-restart problem still remains)
  * set TZ in init script only if TZ isn't defined yet.
  * Use if-fi structure style for postrotate of logrotate script.
    It solves error when cupsys is not running. (closes: #347641)
  * Unset TMPDIR environment variable before running daemon. (closes: #347829)
  * Removed /etc/cups/pdftops.conf because it was for pdftops of upstream
    version. Debian CUPS uses xpdf-utils wrapper and doesn't need
    pdftops.conf.
  * Notice: /etc/cups/client.conf has been removed upstream.
  * Notice: {dis,en}able have been renamed to cups{dis,en}able.

  [ Martin Pitt ]
  * debian/patches/48_stdlib.dpatch: Adapted to new upstream version.
  * debian/cupsys.init.d:
    - Fix arguments of start-stop-daemon and remove the hideous kill
      algorithm.
    - Ensure that /var/run/cupsd exists; this makes the init script work with
      /var/run mounted on a tmpfs.
  * debian/libcupsys2-dev.files, debian/libcupsimage2-dev.files: Remove static
    library; upstream does not build them any more, and they are useless
    anyway.
  * Add debian/patches/06_disable_backend_setuid.dpatch: Remove the uid
    changing in scheduler/cups-deviced.c which was introduced recently in
    upstream. It totally breaks device node access (e. g. /dev/lp0 is root:lp
    0660, which is inaccessible for a process which runs as lp:root).
  * debian/rules: Remove --with-cups-user, upstream does not support
    it any more.
  * debian/patches/09_runasuser_fixes.dpatch: RunAsUser was removed upstream;
    rename the patch to 09_runasuser.dpatch and rewrite it:
    - Enclose all changes in an #if CUPS_DROP_PRIVILEGES, so that it is easy to
      enable this feature.
    - scheduler/main.c: Drop privileges after initialization.
    - scheduler/conf.c: If we build with CUPS_DROP_PRIVILEGES, set RunUser to
      User instead of getuid(), since at that point we will always run as root
      (privileges cannot yet be dropped at that point).
    - config-scripts/cups-defaults.m4: Add --enable-privilege-dropping option.
    - config.h.in: Add CUPS_DROP_PRIVILEGES option template.
  * Add debian/patches/09_runasuser_autoconf.dpatch: autoconf changes for
    09_runasuser_fixes.dpatch changes.
  * debian/pdftops: Fix reading from stdin (https://launchpad.net/bugs/17124)
  * debian/cupsys.preinst: Remove dangling /etc/cups/pdftops.conf symlink on
    upgrades to unbreak printing with poppler-utils.
  * debian/control: Add poppler-utils alternative for xpdf-utils dependency.
  * Add debian/patches/12_quiesce_ipp_logging.dpatch:
    - Drop successful IPP messages to log level 'debug' and unsuccessful ones
      to 'info'.
    - Do not flood access_log with successful CUPS-Get-Printers and
      Get-Printer-Attributes queries (which are generated by e. g.
      gnome-cups-icon every 3 seconds).
    - Closes: #280718
